Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.opengl.cg
Class CgGL

    java.lang.Object
      com.sun.opengl.cg.CgGL

public class CgGL
extends Object

Field Summary
`static int` | `CG_ARRAY` Defined as part of enum type "CGtype"
`static int` | `CG_ARRAY_DIMENSIONS_DO_NOT_MATCH_ERROR` Defined as part of enum type "CGerror"
`static int` | `CG_ARRAY_HAS_WRONG_DIMENSION_ERROR` Defined as part of enum type "CGerror"
`static int` | `CG_ARRAY_PARAM_ERROR` Defined as part of enum type "CGerror"
`static int` | `CG_ARRAY_SIZE_MISMATCH_ERROR` Defined as part of enum type "CGerror"
`static int` | `CG_ARRAY_TYPES_DO_NOT_MATCH_ERROR` Defined as part of enum type "CGerror"
`static int` | `CG_ATTR0` Defined as part of enum type "CGresource"
`static int` | `CG_ATTR1` Defined as part of enum type "CGresource"
`static int` | `CG_ATTR10` Defined as part of enum type "CGresource"
`static int` | `CG_ATTR11` Defined as part of enum type "CGresource"
`static int` | `CG_ATTR12` Defined as part of enum type "CGresource"
`static int` | `CG_ATTR13` Defined as part of enum type "CGresource"
`static int` | `CG_ATTR14` Defined as part of enum type "CGresource"
`static int` | `CG_ATTR15` Defined as part of enum type "CGresource"
`static int` | `CG_ATTR2` Defined as part of enum type "CGresource"
`static int` | `CG_ATTR3` Defined as part of enum type "CGresource"
`static int` | `CG_ATTR4` Defined as part of enum type "CGresource"
`static int` | `CG_ATTR5` Defined as part of enum type "CGresource"
`static int` | `CG_ATTR6` Defined as part of enum type "CGresource"
`static int` | `CG_ATTR7` Defined as part of enum type "CGresource"
`static int` | `CG_ATTR8` Defined as part of enum type "CGresource"
`static int` | `CG_ATTR9` Defined as part of enum type "CGresource"
`static int` | `CG_BIND_CREATES_CYCLE_ERROR` Defined as part of enum type "CGerror"
`static int` | `CG_BINORMAL0` Defined as part of enum type "CGresource"
`static int` | `CG_BINORMAL1` Defined as part of enum type "CGresource"
`static int` | `CG_BINORMAL10` Defined as part of enum type "CGresource"
`static int` | `CG_BINORMAL11` Defined as part of enum type "CGresource"
`static int` | `CG_BINORMAL12` Defined as part of enum type "CGresource"
`static int` | `CG_BINORMAL13` Defined as part of enum type "CGresource"
`static int` | `CG_BINORMAL14` Defined as part of enum type "CGresource"
`static int` | `CG_BINORMAL15` Defined as part of enum type "CGresource"
`static int` | `CG_BINORMAL2` Defined as part of enum type "CGresource"
`static int` | `CG_BINORMAL3` Defined as part of enum type "CGresource"
`static int` | `CG_BINORMAL4` Defined as part of enum type "CGresource"
`static int` | `CG_BINORMAL5` Defined as part of enum type "CGresource"
`static int` | `CG_BINORMAL6` Defined as part of enum type "CGresource"
`static int` | `CG_BINORMAL7` Defined as part of enum type "CGresource"
`static int` | `CG_BINORMAL8` Defined as part of enum type "CGresource"
`static int` | `CG_BINORMAL9` Defined as part of enum type "CGresource"
`static int` | `CG_BLENDINDICES0` Defined as part of enum type "CGresource"
`static int` | `CG_BLENDINDICES1` Defined as part of enum type "CGresource"
`static int` | `CG_BLENDINDICES10` Defined as part of enum type "CGresource"
`static int` | `CG_BLENDINDICES11` Defined as part of enum type "CGresource"
`static int` | `CG_BLENDINDICES12` Defined as part of enum type "CGresource"
`static int` | `CG_BLENDINDICES13` Defined as part of enum type "CGresource"
`static int` | `CG_BLENDINDICES14` Defined as part of enum type "CGresource"
`static int` | `CG_BLENDINDICES15` Defined as part of enum type "CGresource"
`static int` | `CG_BLENDINDICES2` Defined as part of enum type "CGresource"
`static int` | `CG_BLENDINDICES3` Defined as part of enum type "CGresource"
`static int` | `CG_BLENDINDICES4` Defined as part of enum type "CGresource"
`static int` | `CG_BLENDINDICES5` Defined as part of enum type "CGresource"
`static int` | `CG_BLENDINDICES6` Defined as part of enum type "CGresource"
`static int` | `CG_BLENDINDICES7` Defined as part of enum type "CGresource"
`static int` | `CG_BLENDINDICES8` Defined as part of enum type "CGresource"
`static int` | `CG_BLENDINDICES9` Defined as part of enum type "CGresource"
`static int` | `CG_BLENDWEIGHT0` Defined as part of enum type "CGresource"
`static int` | `CG_BLENDWEIGHT1` Defined as part of enum type "CGresource"
`static int` | `CG_BLENDWEIGHT10` Defined as part of enum type "CGresource"
`static int` | `CG_BLENDWEIGHT11` Defined as part of enum type "CGresource"
`static int` | `CG_BLENDWEIGHT12` Defined as part of enum type "CGresource"
`static int` | `CG_BLENDWEIGHT13` Defined as part of enum type "CGresource"
`static int` | `CG_BLENDWEIGHT14` Defined as part of enum type "CGresource"
`static int` | `CG_BLENDWEIGHT15` Defined as part of enum type "CGresource"
`static int` | `CG_BLENDWEIGHT2` Defined as part of enum type "CGresource"
`static int` | `CG_BLENDWEIGHT3` Defined as part of enum type "CGresource"
`static int` | `CG_BLENDWEIGHT4` Defined as part of enum type "CGresource"
`static int` | `CG_BLENDWEIGHT5` Defined as part of enum type "CGresource"
`static int` | `CG_BLENDWEIGHT6` Defined as part of enum type "CGresource"
`static int` | `CG_BLENDWEIGHT7` Defined as part of enum type "CGresource"
`static int` | `CG_BLENDWEIGHT8` Defined as part of enum type "CGresource"
`static int` | `CG_BLENDWEIGHT9` Defined as part of enum type "CGresource"
`static int` | `CG_BOOL` Defined as part of enum type "CGtype"
`static int` | `CG_BOOL1` Defined as part of enum type "CGtype"
`static int` | `CG_BOOL1x1` Defined as part of enum type "CGtype"
`static int` | `CG_BOOL1x2` Defined as part of enum type "CGtype"
`static int` | `CG_BOOL1x3` Defined as part of enum type "CGtype"
`static int` | `CG_BOOL1x4` Defined as part of enum type "CGtype"
`static int` | `CG_BOOL2` Defined as part of enum type "CGtype"
`static int` | `CG_BOOL2x1` Defined as part of enum type "CGtype"
`static int` | `CG_BOOL2x2` Defined as part of enum type "CGtype"
`static int` | `CG_BOOL2x3` Defined as part of enum type "CGtype"
`static int` | `CG_BOOL2x4` Defined as part of enum type "CGtype"
`static int` | `CG_BOOL3` Defined as part of enum type "CGtype"
`static int` | `CG_BOOL3x1` Defined as part of enum type "CGtype"
`static int` | `CG_BOOL3x2` Defined as part of enum type "CGtype"
`static int` | `CG_BOOL3x3` Defined as part of enum type "CGtype"
`static int` | `CG_BOOL3x4` Defined as part of enum type "CGtype"
`static int` | `CG_BOOL4` Defined as part of enum type "CGtype"
`static int` | `CG_BOOL4x1` Defined as part of enum type "CGtype"
`static int` | `CG_BOOL4x2` Defined as part of enum type "CGtype"
`static int` | `CG_BOOL4x3` Defined as part of enum type "CGtype"
`static int` | `CG_BOOL4x4` Defined as part of enum type "CGtype"
`static int` | `CG_C` Defined as part of enum type "CGresource"
`static int` | `CG_CANNOT_DESTROY_PARAMETER_ERROR` Defined as part of enum type "CGerror"
`static int` | `CG_COL0` Defined as part of enum type "CGresource"
`static int` | `CG_COL1` Defined as part of enum type "CGresource"
`static int` | `CG_COL2` Defined as part of enum type "CGresource"
`static int` | `CG_COL3` Defined as part of enum type "CGresource"
`static int` | `CG_COLOR0` Defined as part of enum type "CGresource"
`static int` | `CG_COLOR1` Defined as part of enum type "CGresource"
`static int` | `CG_COLOR10` Defined as part of enum type "CGresource"
`static int` | `CG_COLOR11` Defined as part of enum type "CGresource"
`static int` | `CG_COLOR12` Defined as part of enum type "CGresource"
`static int` | `CG_COLOR13` Defined as part of enum type "CGresource"
`static int` | `CG_COLOR14` Defined as part of enum type "CGresource"
`static int` | `CG_COLOR15` Defined as part of enum type "CGresource"
`static int` | `CG_COLOR2` Defined as part of enum type "CGresource"
`static int` | `CG_COLOR3` Defined as part of enum type "CGresource"
`static int` | `CG_COLOR4` Defined as part of enum type "CGresource"
`static int` | `CG_COLOR5` Defined as part of enum type "CGresource"
`static int` | `CG_COLOR6` Defined as part of enum type "CGresource"
`static int` | `CG_COLOR7` Defined as part of enum type "CGresource"
`static int` | `CG_COLOR8` Defined as part of enum type "CGresource"
`static int` | `CG_COLOR9` Defined as part of enum type "CGresource"
`static int` | `CG_COLUMN_MAJOR` Defined as part of enum type "CGenum"
`static int` | `CG_COMBINER_CONST0` Defined as part of enum type "CGresource"
`static int` | `CG_COMBINER_CONST1` Defined as part of enum type "CGresource"
`static int` | `CG_COMBINER_STAGE_CONST0` Defined as part of enum type "CGresource"
`static int` | `CG_COMBINER_STAGE_CONST1` Defined as part of enum type "CGresource"
`static int` | `CG_COMPILE_IMMEDIATE` Defined as part of enum type "CGenum"
`static int` | `CG_COMPILE_LAZY` Defined as part of enum type "CGenum"
`static int` | `CG_COMPILE_MANUAL` Defined as part of enum type "CGenum"
`static int` | `CG_COMPILED_PROGRAM` Defined as part of enum type "CGenum"
`static int` | `CG_COMPILER_ERROR` Defined as part of enum type "CGerror"
`static int` | `CG_CONFLICTING_PARAMETER_TYPES_ERROR` Defined as part of enum type "CGerror"
`static int` | `CG_CONFLICTING_TYPES_ERROR` Defined as part of enum type "CGerror"
`static int` | `CG_CONST_EYE` Defined as part of enum type "CGresource"
`static int` | `CG_CONSTANT` Defined as part of enum type "CGenum"
`static int` | `CG_CURRENT` Defined as part of enum type "CGenum"
`static int` | `CG_DEFAULT` Defined as part of enum type "CGenum"
`static int` | `CG_DEPTH0` Defined as part of enum type "CGresource"
`static int` | `CG_DEPTH1` Defined as part of enum type "CGresource"
`static int` | `CG_DEPTH10` Defined as part of enum type "CGresource"
`static int` | `CG_DEPTH11` Defined as part of enum type "CGresource"
`static int` | `CG_DEPTH12` Defined as part of enum type "CGresource"
`static int` | `CG_DEPTH13` Defined as part of enum type "CGresource"
`static int` | `CG_DEPTH14` Defined as part of enum type "CGresource"
`static int` | `CG_DEPTH15` Defined as part of enum type "CGresource"
`static int` | `CG_DEPTH2` Defined as part of enum type "CGresource"
`static int` | `CG_DEPTH3` Defined as part of enum type "CGresource"
`static int` | `CG_DEPTH4` Defined as part of enum type "CGresource"
`static int` | `CG_DEPTH5` Defined as part of enum type "CGresource"
`static int` | `CG_DEPTH6` Defined as part of enum type "CGresource"
`static int` | `CG_DEPTH7` Defined as part of enum type "CGresource"
`static int` | `CG_DEPTH8` Defined as part of enum type "CGresource"
`static int` | `CG_DEPTH9` Defined as part of enum type "CGresource"
`static int` | `CG_DIFFUSE0` Defined as part of enum type "CGresource"
`static int` | `CG_ERROR` Defined as part of enum type "CGenum"
`static int` | `CG_FILE_READ_ERROR` Defined as part of enum type "CGerror"
`static int` | `CG_FILE_WRITE_ERROR` Defined as part of enum type "CGerror"
`static int` | `CG_FIXED` Defined as part of enum type "CGtype"
`static int` | `CG_FIXED1` Defined as part of enum type "CGtype"
`static int` | `CG_FIXED1x1` Defined as part of enum type "CGtype"
`static int` | `CG_FIXED1x2` Defined as part of enum type "CGtype"
`static int` | `CG_FIXED1x3` Defined as part of enum type "CGtype"
`static int` | `CG_FIXED1x4` Defined as part of enum type "CGtype"
`static int` | `CG_FIXED2` Defined as part of enum type "CGtype"
`static int` | `CG_FIXED2x1` Defined as part of enum type "CGtype"
`static int` | `CG_FIXED2x2` Defined as part of enum type "CGtype"
`static int` | `CG_FIXED2x3` Defined as part of enum type "CGtype"
`static int` | `CG_FIXED2x4` Defined as part of enum type "CGtype"
`static int` | `CG_FIXED3` Defined as part of enum type "CGtype"
`static int` | `CG_FIXED3x1` Defined as part of enum type "CGtype"
`static int` | `CG_FIXED3x2` Defined as part of enum type "CGtype"
`static int` | `CG_FIXED3x3` Defined as part of enum type "CGtype"
`static int` | `CG_FIXED3x4` Defined as part of enum type "CGtype"
`static int` | `CG_FIXED4` Defined as part of enum type "CGtype"
`static int` | `CG_FIXED4x1` Defined as part of enum type "CGtype"
`static int` | `CG_FIXED4x2` Defined as part of enum type "CGtype"
`static int` | `CG_FIXED4x3` Defined as part of enum type "CGtype"
`static int` | `CG_FIXED4x4` Defined as part of enum type "CGtype"
`static int` | `CG_FLOAT` Defined as part of enum type "CGtype"
`static int` | `CG_FLOAT1` Defined as part of enum type "CGtype"
`static int` | `CG_FLOAT1x1` Defined as part of enum type "CGtype"
`static int` | `CG_FLOAT1x2` Defined as part of enum type "CGtype"
`static int` | `CG_FLOAT1x3` Defined as part of enum type "CGtype"
`static int` | `CG_FLOAT1x4` Defined as part of enum type "CGtype"
`static int` | `CG_FLOAT2` Defined as part of enum type "CGtype"
`static int` | `CG_FLOAT2x1` Defined as part of enum type "CGtype"
`static int` | `CG_FLOAT2x2` Defined as part of enum type "CGtype"
`static int` | `CG_FLOAT2x3` Defined as part of enum type "CGtype"
`static int` | `CG_FLOAT2x4` Defined as part of enum type "CGtype"
`static int` | `CG_FLOAT3` Defined as part of enum type "CGtype"
`static int` | `CG_FLOAT3x1` Defined as part of enum type "CGtype"
`static int` | `CG_FLOAT3x2` Defined as part of enum type "CGtype"
`static int` | `CG_FLOAT3x3` Defined as part of enum type "CGtype"
`static int` | `CG_FLOAT3x4` Defined as part of enum type "CGtype"
`static int` | `CG_FLOAT4` Defined as part of enum type "CGtype"
`static int` | `CG_FLOAT4x1` Defined as part of enum type "CGtype"
`static int` | `CG_FLOAT4x2` Defined as part of enum type "CGtype"
`static int` | `CG_FLOAT4x3` Defined as part of enum type "CGtype"
`static int` | `CG_FLOAT4x4` Defined as part of enum type "CGtype"
`static int` | `CG_FOG0` Defined as part of enum type "CGresource"
`static int` | `CG_FOG1` Defined as part of enum type "CGresource"
`static int` | `CG_FOG10` Defined as part of enum type "CGresource"
`static int` | `CG_FOG11` Defined as part of enum type "CGresource"
`static int` | `CG_FOG12` Defined as part of enum type "CGresource"
`static int` | `CG_FOG13` Defined as part of enum type "CGresource"
`static int` | `CG_FOG14` Defined as part of enum type "CGresource"
`static int` | `CG_FOG15` Defined as part of enum type "CGresource"
`static int` | `CG_FOG2` Defined as part of enum type "CGresource"
`static int` | `CG_FOG3` Defined as part of enum type "CGresource"
`static int` | `CG_FOG4` Defined as part of enum type "CGresource"
`static int` | `CG_FOG5` Defined as part of enum type "CGresource"
`static int` | `CG_FOG6` Defined as part of enum type "CGresource"
`static int` | `CG_FOG7` Defined as part of enum type "CGresource"
`static int` | `CG_FOG8` Defined as part of enum type "CGresource"
`static int` | `CG_FOG9` Defined as part of enum type "CGresource"
`static int` | `CG_FOGCOORD` Defined as part of enum type "CGresource"
`static int` | `CG_GL_FRAGMENT` Defined as part of enum type "CGGLenum"
`static int` | `CG_GL_MATRIX_IDENTITY` Defined as part of enum type "CGGLenum"
`static int` | `CG_GL_MATRIX_INVERSE` Defined as part of enum type "CGGLenum"
`static int` | `CG_GL_MATRIX_INVERSE_TRANSPOSE` Defined as part of enum type "CGGLenum"
`static int` | `CG_GL_MATRIX_TRANSPOSE` Defined as part of enum type "CGGLenum"
`static int` | `CG_GL_MODELVIEW_MATRIX` Defined as part of enum type "CGGLenum"
`static int` | `CG_GL_MODELVIEW_PROJECTION_MATRIX` Defined as part of enum type "CGGLenum"
`static int` | `CG_GL_PROJECTION_MATRIX` Defined as part of enum type "CGGLenum"
`static int` | `CG_GL_TEXTURE_MATRIX` Defined as part of enum type "CGGLenum"
`static int` | `CG_GL_VERTEX` Defined as part of enum type "CGGLenum"
`static int` | `CG_GLOBAL` Defined as part of enum type "CGenum"
`static int` | `CG_HALF` Defined as part of enum type "CGtype"
`static int` | `CG_HALF1` Defined as part of enum type "CGtype"
`static int` | `CG_HALF1x1` Defined as part of enum type "CGtype"
`static int` | `CG_HALF1x2` Defined as part of enum type "CGtype"
`static int` | `CG_HALF1x3` Defined as part of enum type "CGtype"
`static int` | `CG_HALF1x4` Defined as part of enum type "CGtype"
`static int` | `CG_HALF2` Defined as part of enum type "CGtype"
`static int` | `CG_HALF2x1` Defined as part of enum type "CGtype"
`static int` | `CG_HALF2x2` Defined as part of enum type "CGtype"
`static int` | `CG_HALF2x3` Defined as part of enum type "CGtype"
`static int` | `CG_HALF2x4` Defined as part of enum type "CGtype"
`static int` | `CG_HALF3` Defined as part of enum type "CGtype"
`static int` | `CG_HALF3x1` Defined as part of enum type "CGtype"
`static int` | `CG_HALF3x2` Defined as part of enum type "CGtype"
`static int` | `CG_HALF3x3` Defined as part of enum type "CGtype"
`static int` | `CG_HALF3x4` Defined as part of enum type "CGtype"
`static int` | `CG_HALF4` Defined as part of enum type "CGtype"
`static int` | `CG_HALF4x1` Defined as part of enum type "CGtype"
`static int` | `CG_HALF4x2` Defined as part of enum type "CGtype"
`static int` | `CG_HALF4x3` Defined as part of enum type "CGtype"
`static int` | `CG_HALF4x4` Defined as part of enum type "CGtype"
`static int` | `CG_HPOS` Defined as part of enum type "CGresource"
`static int` | `CG_IN` Defined as part of enum type "CGenum"
`static int` | `CG_INOUT` Defined as part of enum type "CGenum"
`static int` | `CG_INT` Defined as part of enum type "CGtype"
`static int` | `CG_INT1` Defined as part of enum type "CGtype"
`static int` | `CG_INT1x1` Defined as part of enum type "CGtype"
`static int` | `CG_INT1x2` Defined as part of enum type "CGtype"
`static int` | `CG_INT1x3` Defined as part of enum type "CGtype"
`static int` | `CG_INT1x4` Defined as part of enum type "CGtype"
`static int` | `CG_INT2` Defined as part of enum type "CGtype"
`static int` | `CG_INT2x1` Defined as part of enum type "CGtype"
`static int` | `CG_INT2x2` Defined as part of enum type "CGtype"
`static int` | `CG_INT2x3` Defined as part of enum type "CGtype"
`static int` | `CG_INT2x4` Defined as part of enum type "CGtype"
`static int` | `CG_INT3` Defined as part of enum type "CGtype"
`static int` | `CG_INT3x1` Defined as part of enum type "CGtype"
`static int` | `CG_INT3x2` Defined as part of enum type "CGtype"
`static int` | `CG_INT3x3` Defined as part of enum type "CGtype"
`static int` | `CG_INT3x4` Defined as part of enum type "CGtype"
`static int` | `CG_INT4` Defined as part of enum type "CGtype"
`static int` | `CG_INT4x1` Defined as part of enum type "CGtype"
`static int` | `CG_INT4x2` Defined as part of enum type "CGtype"
`static int` | `CG_INT4x3` Defined as part of enum type "CGtype"
`static int` | `CG_INT4x4` Defined as part of enum type "CGtype"
`static int` | `CG_INVALID_ANNOTATION_HANDLE_ERROR` Defined as part of enum type "CGerror"
`static int` | `CG_INVALID_CONTEXT_HANDLE_ERROR` Defined as part of enum type "CGerror"
`static int` | `CG_INVALID_DIMENSION_ERROR` Defined as part of enum type "CGerror"
`static int` | `CG_INVALID_EFFECT_HANDLE_ERROR` Defined as part of enum type "CGerror"
`static int` | `CG_INVALID_ENUMERANT_ERROR` Defined as part of enum type "CGerror"
`static int` | `CG_INVALID_FUNCTION_HANDLE_ERROR` Defined as part of enum type "CGerror"
`static int` | `CG_INVALID_PARAM_HANDLE_ERROR` Defined as part of enum type "CGerror"
`static int` | `CG_INVALID_PARAMETER_ERROR` Defined as part of enum type "CGerror"
`static int` | `CG_INVALID_PARAMETER_HANDLE_ERROR` Defined as part of enum type "CGerror"
`static int` | `CG_INVALID_PARAMETER_TYPE_ERROR` Defined as part of enum type "CGerror"
`static int` | `CG_INVALID_PARAMETER_VARIABILITY_ERROR` Defined as part of enum type "CGerror"
`static int` | `CG_INVALID_PASS_HANDLE_ERROR` Defined as part of enum type "CGerror"
`static int` | `CG_INVALID_POINTER_ERROR` Defined as part of enum type "CGerror"
`static int` | `CG_INVALID_PROFILE_ERROR` Defined as part of enum type "CGerror"
`static int` | `CG_INVALID_PROGRAM_HANDLE_ERROR` Defined as part of enum type "CGerror"
`static int` | `CG_INVALID_SIZE_ERROR` Defined as part of enum type "CGerror"
`static int` | `CG_INVALID_STATE_ASSIGNMENT_HANDLE_ERROR` Defined as part of enum type "CGerror"
`static int` | `CG_INVALID_STATE_HANDLE_ERROR` Defined as part of enum type "CGerror"
`static int` | `CG_INVALID_TECHNIQUE_ERROR` Defined as part of enum type "CGerror"
`static int` | `CG_INVALID_TECHNIQUE_HANDLE_ERROR` Defined as part of enum type "CGerror"
`static int` | `CG_INVALID_VALUE_TYPE_ERROR` Defined as part of enum type "CGerror"
`static int` | `CG_IS_NOT_PROGRAM_PARAMETER_ERROR` Defined as part of enum type "CGerror"
`static int` | `CG_LITERAL` Defined as part of enum type "CGenum"
`static int` | `CG_MEMORY_ALLOC_ERROR` Defined as part of enum type "CGerror"
`static int` | `CG_MIXED` Defined as part of enum type "CGenum"
`static int` | `CG_NO_ERROR` Defined as part of enum type "CGerror"
`static int` | `CG_NON_NUMERIC_PARAMETER_ERROR` Defined as part of enum type "CGerror"
`static int` | `CG_NORMAL0` Defined as part of enum type "CGresource"
`static int` | `CG_NORMAL1` Defined as part of enum type "CGresource"
`static int` | `CG_NORMAL10` Defined as part of enum type "CGresource"
`static int` | `CG_NORMAL11` Defined as part of enum type "CGresource"
`static int` | `CG_NORMAL12` Defined as part of enum type "CGresource"
`static int` | `CG_NORMAL13` Defined as part of enum type "CGresource"
`static int` | `CG_NORMAL14` Defined as part of enum type "CGresource"
`static int` | `CG_NORMAL15` Defined as part of enum type "CGresource"
`static int` | `CG_NORMAL2` Defined as part of enum type "CGresource"
`static int` | `CG_NORMAL3` Defined as part of enum type "CGresource"
`static int` | `CG_NORMAL4` Defined as part of enum type "CGresource"
`static int` | `CG_NORMAL5` Defined as part of enum type "CGresource"
`static int` | `CG_NORMAL6` Defined as part of enum type "CGresource"
`static int` | `CG_NORMAL7` Defined as part of enum type "CGresource"
`static int` | `CG_NORMAL8` Defined as part of enum type "CGresource"
`static int` | `CG_NORMAL9` Defined as part of enum type "CGresource"
`static int` | `CG_NOT_4x4_MATRIX_ERROR` Defined as part of enum type "CGerror"
`static int` | `CG_NOT_ENOUGH_DATA_ERROR` Defined as part of enum type "CGerror"
`static int` | `CG_NOT_MATRIX_PARAM_ERROR` Defined as part of enum type "CGerror"
`static int` | `CG_NOT_ROOT_PARAMETER_ERROR` Defined as part of enum type "CGerror"
`static int` | `CG_NVPARSE_ERROR` Defined as part of enum type "CGerror"
`static int` | `CG_OBJECT` Defined as part of enum type "CGenum"
`static int` | `CG_OFFSET_TEXTURE_BIAS` Defined as part of enum type "CGresource"
`static int` | `CG_OFFSET_TEXTURE_MATRIX` Defined as part of enum type "CGresource"
`static int` | `CG_OFFSET_TEXTURE_SCALE` Defined as part of enum type "CGresource"
`static int` | `CG_OUT` Defined as part of enum type "CGenum"
`static int` | `CG_OUT_OF_ARRAY_BOUNDS_ERROR` Defined as part of enum type "CGerror"
`static int` | `CG_PARAMETER_IS_NOT_RESIZABLE_ARRAY_ERROR` Defined as part of enum type "CGerror"
`static int` | `CG_PARAMETER_IS_NOT_SHARED_ERROR` Defined as part of enum type "CGerror"
`static int` | `CG_PARAMETERCLASS_ARRAY` Defined as part of enum type "CGparameterclass"
`static int` | `CG_PARAMETERCLASS_MATRIX` Defined as part of enum type "CGparameterclass"
`static int` | `CG_PARAMETERCLASS_OBJECT` Defined as part of enum type "CGparameterclass"
`static int` | `CG_PARAMETERCLASS_SAMPLER` Defined as part of enum type "CGparameterclass"
`static int` | `CG_PARAMETERCLASS_SCALAR` Defined as part of enum type "CGparameterclass"
`static int` | `CG_PARAMETERCLASS_STRUCT` Defined as part of enum type "CGparameterclass"
`static int` | `CG_PARAMETERCLASS_UNKNOWN` Defined as part of enum type "CGparameterclass"
`static int` | `CG_PARAMETERCLASS_VECTOR` Defined as part of enum type "CGparameterclass"
`static int` | `CG_PARAMETERS_DO_NOT_MATCH_ERROR` Defined as part of enum type "CGerror"
`static int` | `CG_POSITION0` Defined as part of enum type "CGresource"
`static int` | `CG_POSITION1` Defined as part of enum type "CGresource"
`static int` | `CG_POSITION10` Defined as part of enum type "CGresource"
`static int` | `CG_POSITION11` Defined as part of enum type "CGresource"
`static int` | `CG_POSITION12` Defined as part of enum type "CGresource"
`static int` | `CG_POSITION13` Defined as part of enum type "CGresource"
`static int` | `CG_POSITION14` Defined as part of enum type "CGresource"
`static int` | `CG_POSITION15` Defined as part of enum type "CGresource"
`static int` | `CG_POSITION2` Defined as part of enum type "CGresource"
`static int` | `CG_POSITION3` Defined as part of enum type "CGresource"
`static int` | `CG_POSITION4` Defined as part of enum type "CGresource"
`static int` | `CG_POSITION5` Defined as part of enum type "CGresource"
`static int` | `CG_POSITION6` Defined as part of enum type "CGresource"
`static int` | `CG_POSITION7` Defined as part of enum type "CGresource"
`static int` | `CG_POSITION8` Defined as part of enum type "CGresource"
`static int` | `CG_POSITION9` Defined as part of enum type "CGresource"
`static int` | `CG_PROFILE_ARBFP1` Defined as part of enum type "CGprofile"
`static int` | `CG_PROFILE_ARBVP1` Defined as part of enum type "CGprofile"
`static int` | `CG_PROFILE_FP20` Defined as part of enum type "CGprofile"
`static int` | `CG_PROFILE_FP30` Defined as part of enum type "CGprofile"
`static int` | `CG_PROFILE_FP40` Defined as part of enum type "CGprofile"
`static int` | `CG_PROFILE_MAX` Defined as part of enum type "CGprofile"
`static int` | `CG_PROFILE_PS_1_1` Defined as part of enum type "CGprofile"
`static int` | `CG_PROFILE_PS_1_2` Defined as part of enum type "CGprofile"
`static int` | `CG_PROFILE_PS_1_3` Defined as part of enum type "CGprofile"
`static int` | `CG_PROFILE_PS_2_0` Defined as part of enum type "CGprofile"
`static int` | `CG_PROFILE_PS_2_X` Defined as part of enum type "CGprofile"
`static int` | `CG_PROFILE_START` Defined as part of enum type "CGprofile"
`static int` | `CG_PROFILE_UNKNOWN` Defined as part of enum type "CGprofile"
`static int` | `CG_PROFILE_VP20` Defined as part of enum type "CGprofile"
`static int` | `CG_PROFILE_VP30` Defined as part of enum type "CGprofile"
`static int` | `CG_PROFILE_VP40` Defined as part of enum type "CGprofile"
`static int` | `CG_PROFILE_VS_1_1` Defined as part of enum type "CGprofile"
`static int` | `CG_PROFILE_VS_2_0` Defined as part of enum type "CGprofile"
`static int` | `CG_PROFILE_VS_2_X` Defined as part of enum type "CGprofile"
`static int` | `CG_PROGRAM` Defined as part of enum type "CGenum"
`static int` | `CG_PROGRAM_BIND_ERROR` Defined as part of enum type "CGerror"
`static int` | `CG_PROGRAM_ENTRY` Defined as part of enum type "CGenum"
`static int` | `CG_PROGRAM_LOAD_ERROR` Defined as part of enum type "CGerror"
`static int` | `CG_PROGRAM_NOT_LOADED_ERROR` Defined as part of enum type "CGerror"
`static int` | `CG_PROGRAM_PROFILE` Defined as part of enum type "CGenum"
`static int` | `CG_PROGRAM_SOURCE` Defined as part of enum type "CGenum"
`static int` | `CG_PROGRAM_TYPE` Defined as part of enum type "CGtype"
`static int` | `CG_PSIZ` Defined as part of enum type "CGresource"
`static int` | `CG_PSIZE0` Defined as part of enum type "CGresource"
`static int` | `CG_PSIZE1` Defined as part of enum type "CGresource"
`static int` | `CG_PSIZE10` Defined as part of enum type "CGresource"
`static int` | `CG_PSIZE11` Defined as part of enum type "CGresource"
`static int` | `CG_PSIZE12` Defined as part of enum type "CGresource"
`static int` | `CG_PSIZE13` Defined as part of enum type "CGresource"
`static int` | `CG_PSIZE14` Defined as part of enum type "CGresource"
`static int` | `CG_PSIZE15` Defined as part of enum type "CGresource"
`static int` | `CG_PSIZE2` Defined as part of enum type "CGresource"
`static int` | `CG_PSIZE3` Defined as part of enum type "CGresource"
`static int` | `CG_PSIZE4` Defined as part of enum type "CGresource"
`static int` | `CG_PSIZE5` Defined as part of enum type "CGresource"
`static int` | `CG_PSIZE6` Defined as part of enum type "CGresource"
`static int` | `CG_PSIZE7` Defined as part of enum type "CGresource"
`static int` | `CG_PSIZE8` Defined as part of enum type "CGresource"
`static int` | `CG_PSIZE9` Defined as part of enum type "CGresource"
`static int` | `CG_ROW_MAJOR` Defined as part of enum type "CGenum"
`static int` | `CG_SAMPLE0` Defined as part of enum type "CGresource"
`static int` | `CG_SAMPLE1` Defined as part of enum type "CGresource"
`static int` | `CG_SAMPLE10` Defined as part of enum type "CGresource"
`static int` | `CG_SAMPLE11` Defined as part of enum type "CGresource"
`static int` | `CG_SAMPLE12` Defined as part of enum type "CGresource"
`static int` | `CG_SAMPLE13` Defined as part of enum type "CGresource"
`static int` | `CG_SAMPLE14` Defined as part of enum type "CGresource"
`static int` | `CG_SAMPLE15` Defined as part of enum type "CGresource"
`static int` | `CG_SAMPLE2` Defined as part of enum type "CGresource"
`static int` | `CG_SAMPLE3` Defined as part of enum type "CGresource"
`static int` | `CG_SAMPLE4` Defined as part of enum type "CGresource"
`static int` | `CG_SAMPLE5` Defined as part of enum type "CGresource"
`static int` | `CG_SAMPLE6` Defined as part of enum type "CGresource"
`static int` | `CG_SAMPLE7` Defined as part of enum type "CGresource"
`static int` | `CG_SAMPLE8` Defined as part of enum type "CGresource"
`static int` | `CG_SAMPLE9` Defined as part of enum type "CGresource"
`static int` | `CG_SAMPLER1D` Defined as part of enum type "CGtype"
`static int` | `CG_SAMPLER2D` Defined as part of enum type "CGtype"
`static int` | `CG_SAMPLER3D` Defined as part of enum type "CGtype"
`static int` | `CG_SAMPLERCUBE` Defined as part of enum type "CGtype"
`static int` | `CG_SAMPLERRECT` Defined as part of enum type "CGtype"
`static int` | `CG_SOURCE` Defined as part of enum type "CGenum"
`static int` | `CG_SPECULAR0` Defined as part of enum type "CGresource"
`static int` | `CG_STATE_ASSIGNMENT_TYPE_MISMATCH_ERROR` Defined as part of enum type "CGerror"
`static int` | `CG_STRING` Defined as part of enum type "CGtype"
`static int` | `CG_STRUCT` Defined as part of enum type "CGtype"
`static int` | `CG_TANGENT0` Defined as part of enum type "CGresource"
`static int` | `CG_TANGENT1` Defined as part of enum type "CGresource"
`static int` | `CG_TANGENT10` Defined as part of enum type "CGresource"
`static int` | `CG_TANGENT11` Defined as part of enum type "CGresource"
`static int` | `CG_TANGENT12` Defined as part of enum type "CGresource"
`static int` | `CG_TANGENT13` Defined as part of enum type "CGresource"
`static int` | `CG_TANGENT14` Defined as part of enum type "CGresource"
`static int` | `CG_TANGENT15` Defined as part of enum type "CGresource"
`static int` | `CG_TANGENT2` Defined as part of enum type "CGresource"
`static int` | `CG_TANGENT3` Defined as part of enum type "CGresource"
`static int` | `CG_TANGENT4` Defined as part of enum type "CGresource"
`static int` | `CG_TANGENT5` Defined as part of enum type "CGresource"
`static int` | `CG_TANGENT6` Defined as part of enum type "CGresource"
`static int` | `CG_TANGENT7` Defined as part of enum type "CGresource"
`static int` | `CG_TANGENT8` Defined as part of enum type "CGresource"
`static int` | `CG_TANGENT9` Defined as part of enum type "CGresource"
`static int` | `CG_TESSFACTOR` Defined as part of enum type "CGresource"
`static int` | `CG_TEX0` Defined as part of enum type "CGresource"
`static int` | `CG_TEX1` Defined as part of enum type "CGresource"
`static int` | `CG_TEX2` Defined as part of enum type "CGresource"
`static int` | `CG_TEX3` Defined as part of enum type "CGresource"
`static int` | `CG_TEX4` Defined as part of enum type "CGresource"
`static int` | `CG_TEX5` Defined as part of enum type "CGresource"
`static int` | `CG_TEX6` Defined as part of enum type "CGresource"
`static int` | `CG_TEX7` Defined as part of enum type "CGresource"
`static int` | `CG_TEXCOORD0` Defined as part of enum type "CGresource"
`static int` | `CG_TEXCOORD1` Defined as part of enum type "CGresource"
`static int` | `CG_TEXCOORD10` Defined as part of enum type "CGresource"
`static int` | `CG_TEXCOORD11` Defined as part of enum type "CGresource"
`static int` | `CG_TEXCOORD12` Defined as part of enum type "CGresource"
`static int` | `CG_TEXCOORD13` Defined as part of enum type "CGresource"
`static int` | `CG_TEXCOORD14` Defined as part of enum type "CGresource"
`static int` | `CG_TEXCOORD15` Defined as part of enum type "CGresource"
`static int` | `CG_TEXCOORD2` Defined as part of enum type "CGresource"
`static int` | `CG_TEXCOORD3` Defined as part of enum type "CGresource"
`static int` | `CG_TEXCOORD4` Defined as part of enum type "CGresource"
`static int` | `CG_TEXCOORD5` Defined as part of enum type "CGresource"
`static int` | `CG_TEXCOORD6` Defined as part of enum type "CGresource"
`static int` | `CG_TEXCOORD7` Defined as part of enum type "CGresource"
`static int` | `CG_TEXCOORD8` Defined as part of enum type "CGresource"
`static int` | `CG_TEXCOORD9` Defined as part of enum type "CGresource"
`static int` | `CG_TEXTURE` Defined as part of enum type "CGtype"
`static int` | `CG_TEXUNIT0` Defined as part of enum type "CGresource"
`static int` | `CG_TEXUNIT1` Defined as part of enum type "CGresource"
`static int` | `CG_TEXUNIT10` Defined as part of enum type "CGresource"
`static int` | `CG_TEXUNIT11` Defined as part of enum type "CGresource"
`static int` | `CG_TEXUNIT12` Defined as part of enum type "CGresource"
`static int` | `CG_TEXUNIT13` Defined as part of enum type "CGresource"
`static int` | `CG_TEXUNIT14` Defined as part of enum type "CGresource"
`static int` | `CG_TEXUNIT15` Defined as part of enum type "CGresource"
`static int` | `CG_TEXUNIT2` Defined as part of enum type "CGresource"
`static int` | `CG_TEXUNIT3` Defined as part of enum type "CGresource"
`static int` | `CG_TEXUNIT4` Defined as part of enum type "CGresource"
`static int` | `CG_TEXUNIT5` Defined as part of enum type "CGresource"
`static int` | `CG_TEXUNIT6` Defined as part of enum type "CGresource"
`static int` | `CG_TEXUNIT7` Defined as part of enum type "CGresource"
`static int` | `CG_TEXUNIT8` Defined as part of enum type "CGresource"
`static int` | `CG_TEXUNIT9` Defined as part of enum type "CGresource"
`static int` | `CG_TYPE_IS_NOT_DEFINED_IN_PROGRAM_ERROR` Defined as part of enum type "CGerror"
`static int` | `CG_TYPE_START_ENUM` Defined as part of enum type "CGtype"
`static int` | `CG_UNDEFINED` Defined as part of enum type "CGresource"
`static int` | `CG_UNIFORM` Defined as part of enum type "CGenum"
`static int` | `CG_UNKNOWN` Defined as part of enum type "CGenum"
`static int` | `CG_UNKNOWN_PROFILE_ERROR` Defined as part of enum type "CGerror"
`static int` | `CG_UNKNOWN_TYPE` Defined as part of enum type "CGtype"
`static int` | `CG_UNSUPPORTED_GL_EXTENSION_ERROR` Defined as part of enum type "CGerror"
`static int` | `CG_VAR_ARG_ERROR` Defined as part of enum type "CGerror"
`static int` | `CG_VARYING` Defined as part of enum type "CGenum"
`static int` | `CG_VERSION` Defined as part of enum type "CGenum"
`static int` | `CG_VERSION_NUM`
`static int` | `CG_WPOS` Defined as part of enum type "CGresource"
`static int` | `GENERIC` Defined as part of enum type "CGprofile"

Constructor Summary
`CgGL()`

Method Summary
`static void` | `cgAddStateEnumerant(CGstate arg0, String name, int value)` Interface to C language function: `void cgAddStateEnumerant(CGstate, const char * name, int value);`
`static boolean` | `cgCallStateResetCallback(CGstateassignment arg0)` Interface to C language function: `CGbool cgCallStateResetCallback(CGstateassignment);`
`static boolean` | `cgCallStateSetCallback(CGstateassignment arg0)` Interface to C language function: `CGbool cgCallStateSetCallback(CGstateassignment);`
`static boolean` | `cgCallStateValidateCallback(CGstateassignment arg0)` Interface to C language function: `CGbool cgCallStateValidateCallback(CGstateassignment);`
`static void` | `cgCompileProgram(CGprogram program)` Interface to C language function: `void cgCompileProgram(CGprogram program);`
`static void` | `cgConnectParameter(CGparameter from, CGparameter to)` Interface to C language function: `void cgConnectParameter(CGparameter from, CGparameter to);`
`static CGprogram` | `cgCopyProgram(CGprogram program)` Interface to C language function: `CGprogram cgCopyProgram(CGprogram program);`
`static CGstate` | `cgCreateArraySamplerState(CGcontext arg0, String name, int arg2, int nelems)` Interface to C language function: `CGstate cgCreateArraySamplerState(CGcontext, const char * name, CGtype, int nelems);`
`static CGstate` | `cgCreateArrayState(CGcontext arg0, String name, int arg2, int nelems)` Interface to C language function: `CGstate cgCreateArrayState(CGcontext, const char * name, CGtype, int nelems);`
`static CGcontext` | `cgCreateContext()` Interface to C language function: `CGcontext cgCreateContext(void);`
`static CGeffect` | `cgCreateEffect(CGcontext arg0, String code, String[] args)` Interface to C language function: `CGeffect cgCreateEffect(CGcontext, const char * code, const char * * args);`
`static CGeffect` | `cgCreateEffectFromFile(CGcontext arg0, String filename, String[] args)` Interface to C language function: `CGeffect cgCreateEffectFromFile(CGcontext, const char * filename, const char * * args);`
`static CGparameter` | `cgCreateParameter(CGcontext ctx, int type)` Interface to C language function: `CGparameter cgCreateParameter(CGcontext ctx, CGtype type);`
`static CGparameter` | `cgCreateParameterArray(CGcontext ctx, int type, int length)` Interface to C language function: `CGparameter cgCreateParameterArray(CGcontext ctx, CGtype type, int length);`
`static CGparameter` | `cgCreateParameterMultiDimArray(CGcontext ctx, int type, int dim, int[] lengths, int lengths_offset)` Interface to C language function: `CGparameter cgCreateParameterMultiDimArray(CGcontext ctx, CGtype type, int dim, const int * lengths);`
`static CGparameter` | `cgCreateParameterMultiDimArray(CGcontext ctx, int type, int dim, IntBuffer lengths)` Interface to C language function: `CGparameter cgCreateParameterMultiDimArray(CGcontext ctx, CGtype type, int dim, const int * lengths);`
`static CGprogram` | `cgCreateProgram(CGcontext ctx, int program_type, String program, int profile, String entry, String[] args)` Interface to C language function: `CGprogram cgCreateProgram(CGcontext ctx, CGenum program_type, const char * program, CGprofile profile, const char * entry, const char * * args);`
`static CGprogram` | `cgCreateProgramFromEffect(CGeffect effect, int profile, String entry, String[] args)` Interface to C language function: `CGprogram cgCreateProgramFromEffect(CGeffect effect, CGprofile profile, const char * entry, const char * * args);`
`static CGprogram` | `cgCreateProgramFromFile(CGcontext ctx, int program_type, String program_file, int profile, String entry, String[] args)` Interface to C language function: `CGprogram cgCreateProgramFromFile(CGcontext ctx, CGenum program_type, const char * program_file, CGprofile profile, const char * entry, const char * * args);`
`static CGprogram` | `cgCreateProgramFromStream(CGcontext ctx, int program_type, InputStream stream, int profile, String entry, String[] args)` A convenience method which reads all available data from the InputStream and then calls cgCreateProgram.
`static CGstate` | `cgCreateSamplerState(CGcontext arg0, String name, int arg2)` Interface to C language function: `CGstate cgCreateSamplerState(CGcontext, const char * name, CGtype);`
`static CGstate` | `cgCreateState(CGcontext arg0, String name, int arg2)` Interface to C language function: `CGstate cgCreateState(CGcontext, const char * name, CGtype);`
`static void` | `cgDestroyContext(CGcontext ctx)` Interface to C language function: `void cgDestroyContext(CGcontext ctx);`
`static void` | `cgDestroyEffect(CGeffect arg0)` Interface to C language function: `void cgDestroyEffect(CGeffect);`
`static void` | `cgDestroyParameter(CGparameter param)` Interface to C language function: `void cgDestroyParameter(CGparameter param);`
`static void` | `cgDestroyProgram(CGprogram program)` Interface to C language function: `void cgDestroyProgram(CGprogram program);`
`static void` | `cgDisconnectParameter(CGparameter param)` Interface to C language function: `void cgDisconnectParameter(CGparameter param);`
`static void` | `cgEvaluateProgram(CGprogram arg0, float[] arg1, int arg1_offset, int ncomps, int nx, int ny, int nz)` Interface to C language function: `void cgEvaluateProgram(CGprogram, float * , int ncomps, int nx, int ny, int nz);`
`static void` | `cgEvaluateProgram(CGprogram arg0, FloatBuffer arg1, int ncomps, int nx, int ny, int nz)` Interface to C language function: `void cgEvaluateProgram(CGprogram, float * , int ncomps, int nx, int ny, int nz);`
`static String` | `cgGetAnnotationName(CGannotation arg0)` Interface to C language function: `const char * cgGetAnnotationName(CGannotation);`
`static int` | `cgGetAnnotationType(CGannotation arg0)` Interface to C language function: `CGtype cgGetAnnotationType(CGannotation);`
`static int` | `cgGetArrayDimension(CGparameter param)` Interface to C language function: `int cgGetArrayDimension(CGparameter param);`
`static CGparameter` | `cgGetArrayParameter(CGparameter aparam, int index)` Interface to C language function: `CGparameter cgGetArrayParameter(CGparameter aparam, int index);`
`static int` | `cgGetArraySize(CGparameter param, int dimension)` Interface to C language function: `int cgGetArraySize(CGparameter param, int dimension);`
`static int` | `cgGetArrayTotalSize(CGparameter param)` Interface to C language function: `int cgGetArrayTotalSize(CGparameter param);`
`static int` | `cgGetArrayType(CGparameter param)` Interface to C language function: `CGtype cgGetArrayType(CGparameter param);`
`static int` | `cgGetAutoCompile(CGcontext ctx)` Interface to C language function: `CGenum cgGetAutoCompile(CGcontext ctx);`
`static CGparameter` | `cgGetConnectedParameter(CGparameter param)` Interface to C language function: `CGparameter cgGetConnectedParameter(CGparameter param);`
`static CGparameter` | `cgGetConnectedToParameter(CGparameter param, int index)` Interface to C language function: `CGparameter cgGetConnectedToParameter(CGparameter param, int index);`
`static CGparameter` | `cgGetDependentAnnotationParameter(CGannotation arg0, int index)` Interface to C language function: `CGparameter cgGetDependentAnnotationParameter(CGannotation, int index);`
`static CGparameter` | `cgGetDependentStateAssignmentParameter(CGstateassignment arg0, int index)` Interface to C language function: `CGparameter cgGetDependentStateAssignmentParameter(CGstateassignment, int index);`
`static CGcontext` | `cgGetEffectContext(CGeffect arg0)` Interface to C language function: `CGcontext cgGetEffectContext(CGeffect);`
`static CGparameter` | `cgGetEffectParameterBySemantic(CGeffect arg0, String arg1)` Interface to C language function: `CGparameter cgGetEffectParameterBySemantic(CGeffect, const char * );`
`static int` | `cgGetEnum(String enum_string)` Interface to C language function: `CGenum cgGetEnum(const char * enum_string);`
`static String` | `cgGetEnumString(int en)` Interface to C language function: `const char * cgGetEnumString(CGenum en);`
`static int` | `cgGetError()` Interface to C language function: `CGerror cgGetError(void);`
`static String` | `cgGetErrorString(int error)` Interface to C language function: `const char * cgGetErrorString(CGerror error);`
`static CGparameter` | `cgGetFirstDependentParameter(CGparameter param)` Interface to C language function: `CGparameter cgGetFirstDependentParameter(CGparameter param);`
`static CGeffect` | `cgGetFirstEffect(CGcontext arg0)` Interface to C language function: `CGeffect cgGetFirstEffect(CGcontext);`
`static CGparameter` | `cgGetFirstEffectParameter(CGeffect arg0)` Interface to C language function: `CGparameter cgGetFirstEffectParameter(CGeffect);`
`static int` | `cgGetFirstError()` Interface to C language function: `CGerror cgGetFirstError(void);`
`static CGparameter` | `cgGetFirstLeafEffectParameter(CGeffect arg0)` Interface to C language function: `CGparameter cgGetFirstLeafEffectParameter(CGeffect);`
`static CGparameter` | `cgGetFirstLeafParameter(CGprogram prog, int name_space)` Interface to C language function: `CGparameter cgGetFirstLeafParameter(CGprogram prog, CGenum name_space);`
`static CGparameter` | `cgGetFirstParameter(CGprogram prog, int name_space)` Interface to C language function: `CGparameter cgGetFirstParameter(CGprogram prog, CGenum name_space);`
`static CGannotation` | `cgGetFirstParameterAnnotation(CGparameter arg0)` Interface to C language function: `CGannotation cgGetFirstParameterAnnotation(CGparameter);`
`static CGpass` | `cgGetFirstPass(CGtechnique arg0)` Interface to C language function: `CGpass cgGetFirstPass(CGtechnique);`
`static CGannotation` | `cgGetFirstPassAnnotation(CGpass arg0)` Interface to C language function: `CGannotation cgGetFirstPassAnnotation(CGpass);`
`static CGprogram` | `cgGetFirstProgram(CGcontext ctx)` Interface to C language function: `CGprogram cgGetFirstProgram(CGcontext ctx);`
`static CGannotation` | `cgGetFirstProgramAnnotation(CGprogram arg0)` Interface to C language function: `CGannotation cgGetFirstProgramAnnotation(CGprogram);`
`static CGstate` | `cgGetFirstSamplerState(CGcontext arg0)` Interface to C language function: `CGstate cgGetFirstSamplerState(CGcontext);`
`static CGstateassignment` | `cgGetFirstSamplerStateAssignment(CGparameter arg0)` Interface to C language function: `CGstateassignment cgGetFirstSamplerStateAssignment(CGparameter);`
`static CGstate` | `cgGetFirstState(CGcontext arg0)` Interface to C language function: `CGstate cgGetFirstState(CGcontext);`
`static CGstateassignment` | `cgGetFirstStateAssignment(CGpass arg0)` Interface to C language function: `CGstateassignment cgGetFirstStateAssignment(CGpass);`
`static CGparameter` | `cgGetFirstStructParameter(CGparameter param)` Interface to C language function: `CGparameter cgGetFirstStructParameter(CGparameter param);`
`static CGtechnique` | `cgGetFirstTechnique(CGeffect arg0)` Interface to C language function: `CGtechnique cgGetFirstTechnique(CGeffect);`
`static CGannotation` | `cgGetFirstTechniqueAnnotation(CGtechnique arg0)` Interface to C language function: `CGannotation cgGetFirstTechniqueAnnotation(CGtechnique);`
`static String` | `cgGetLastErrorString(int[] error, int error_offset)` Interface to C language function: `const char * cgGetLastErrorString(CGerror * error);`
`static String` | `cgGetLastErrorString(IntBuffer error)` Interface to C language function: `const char * cgGetLastErrorString(CGerror * error);`
`static String` | `cgGetLastListing(CGcontext ctx)` Interface to C language function: `const char * cgGetLastListing(CGcontext ctx);`
`static void` | `cgGetMatrixParameterdc(CGparameter param, double[] matrix, int matrix_offset)` Interface to C language function: `void cgGetMatrixParameterdc(CGparameter param, double * matrix);`
`static void` | `cgGetMatrixParameterdc(CGparameter param, DoubleBuffer matrix)` Interface to C language function: `void cgGetMatrixParameterdc(CGparameter param, double * matrix);`
`static void` | `cgGetMatrixParameterdr(CGparameter param, double[] matrix, int matrix_offset)` Interface to C language function: `void cgGetMatrixParameterdr(CGparameter param, double * matrix);`
`static void` | `cgGetMatrixParameterdr(CGparameter param, DoubleBuffer matrix)` Interface to C language function: `void cgGetMatrixParameterdr(CGparameter param, double * matrix);`
`static void` | `cgGetMatrixParameterfc(CGparameter param, float[] matrix, int matrix_offset)` Interface to C language function: `void cgGetMatrixParameterfc(CGparameter param, float * matrix);`
`static void` | `cgGetMatrixParameterfc(CGparameter param, FloatBuffer matrix)` Interface to C language function: `void cgGetMatrixParameterfc(CGparameter param, float * matrix);`
`static void` | `cgGetMatrixParameterfr(CGparameter param, float[] matrix, int matrix_offset)` Interface to C language function: `void cgGetMatrixParameterfr(CGparameter param, float * matrix);`
`static void` | `cgGetMatrixParameterfr(CGparameter param, FloatBuffer matrix)` Interface to C language function: `void cgGetMatrixParameterfr(CGparameter param, float * matrix);`
`static void` | `cgGetMatrixParameteric(CGparameter param, int[] matrix, int matrix_offset)` Interface to C language function: `void cgGetMatrixParameteric(CGparameter param, int * matrix);`
`static void` | `cgGetMatrixParameteric(CGparameter param, IntBuffer matrix)` Interface to C language function: `void cgGetMatrixParameteric(CGparameter param, int * matrix);`
`static void` | `cgGetMatrixParameterir(CGparameter param, int[] matrix, int matrix_offset)` Interface to C language function: `void cgGetMatrixParameterir(CGparameter param, int * matrix);`
`static void` | `cgGetMatrixParameterir(CGparameter param, IntBuffer matrix)` Interface to C language function: `void cgGetMatrixParameterir(CGparameter param, int * matrix);`
`static CGparameter` | `cgGetNamedEffectParameter(CGeffect arg0, String arg1)` Interface to C language function: `CGparameter cgGetNamedEffectParameter(CGeffect, const char * );`
`static CGparameter` | `cgGetNamedParameter(CGprogram prog, String name)` Interface to C language function: `CGparameter cgGetNamedParameter(CGprogram prog, const char * name);`
`static CGannotation` | `cgGetNamedParameterAnnotation(CGparameter arg0, String arg1)` Interface to C language function: `CGannotation cgGetNamedParameterAnnotation(CGparameter, const char * );`
`static CGpass` | `cgGetNamedPass(CGtechnique arg0, String name)` Interface to C language function: `CGpass cgGetNamedPass(CGtechnique, const char * name);`
`static CGannotation` | `cgGetNamedPassAnnotation(CGpass arg0, String arg1)` Interface to C language function: `CGannotation cgGetNamedPassAnnotation(CGpass, const char * );`
`static CGannotation` | `cgGetNamedProgramAnnotation(CGprogram arg0, String arg1)` Interface to C language function: `CGannotation cgGetNamedProgramAnnotation(CGprogram, const char * );`
`static CGparameter` | `cgGetNamedProgramParameter(CGprogram prog, int name_space, String name)` Interface to C language function: `CGparameter cgGetNamedProgramParameter(CGprogram prog, CGenum name_space, const char * name);`
`static CGstate` | `cgGetNamedSamplerState(CGcontext arg0, String name)` Interface to C language function: `CGstate cgGetNamedSamplerState(CGcontext, const char * name);`
`static CGstateassignment` | `cgGetNamedSamplerStateAssignment(CGparameter arg0, String arg1)` Interface to C language function: `CGstateassignment cgGetNamedSamplerStateAssignment(CGparameter, const char * );`
`static CGstate` | `cgGetNamedState(CGcontext arg0, String name)` Interface to C language function: `CGstate cgGetNamedState(CGcontext, const char * name);`
`static CGstateassignment` | `cgGetNamedStateAssignment(CGpass arg0, String name)` Interface to C language function: `CGstateassignment cgGetNamedStateAssignment(CGpass, const char * name);`
`static CGparameter` | `cgGetNamedStructParameter(CGparameter param, String name)` Interface to C language function: `CGparameter cgGetNamedStructParameter(CGparameter param, const char * name);`
`static CGtechnique` | `cgGetNamedTechnique(CGeffect arg0, String name)` Interface to C language function: `CGtechnique cgGetNamedTechnique(CGeffect, const char * name);`
`static CGannotation` | `cgGetNamedTechniqueAnnotation(CGtechnique arg0, String arg1)` Interface to C language function: `CGannotation cgGetNamedTechniqueAnnotation(CGtechnique, const char * );`
`static int` | `cgGetNamedUserType(Buffer handle, String name)` Interface to C language function: `CGtype cgGetNamedUserType(CGhandle handle, const char * name);`
`static CGannotation` | `cgGetNextAnnotation(CGannotation arg0)` Interface to C language function: `CGannotation cgGetNextAnnotation(CGannotation);`
`static CGeffect` | `cgGetNextEffect(CGeffect arg0)` Interface to C language function: `CGeffect cgGetNextEffect(CGeffect);`
`static CGparameter` | `cgGetNextLeafParameter(CGparameter current)` Interface to C language function: `CGparameter cgGetNextLeafParameter(CGparameter current);`
`static CGparameter` | `cgGetNextParameter(CGparameter current)` Interface to C language function: `CGparameter cgGetNextParameter(CGparameter current);`
`static CGpass` | `cgGetNextPass(CGpass arg0)` Interface to C language function: `CGpass cgGetNextPass(CGpass);`
`static CGprogram` | `cgGetNextProgram(CGprogram current)` Interface to C language function: `CGprogram cgGetNextProgram(CGprogram current);`
`static CGstate` | `cgGetNextState(CGstate arg0)` Interface to C language function: `CGstate cgGetNextState(CGstate);`
`static CGstateassignment` | `cgGetNextStateAssignment(CGstateassignment arg0)` Interface to C language function: `CGstateassignment cgGetNextStateAssignment(CGstateassignment);`
`static CGtechnique` | `cgGetNextTechnique(CGtechnique arg0)` Interface to C language function: `CGtechnique cgGetNextTechnique(CGtechnique);`
`static int` | `cgGetNumConnectedToParameters(CGparameter param)` Interface to C language function: `int cgGetNumConnectedToParameters(CGparameter param);`
`static int` | `cgGetNumDependentAnnotationParameters(CGannotation arg0)` Interface to C language function: `int cgGetNumDependentAnnotationParameters(CGannotation);`
`static int` | `cgGetNumDependentStateAssignmentParameters(CGstateassignment arg0)` Interface to C language function: `int cgGetNumDependentStateAssignmentParameters(CGstateassignment);`
`static int` | `cgGetNumParentTypes(int type)` Interface to C language function: `int cgGetNumParentTypes(CGtype type);`
`static int` | `cgGetNumUserTypes(Buffer handle)` Interface to C language function: `int cgGetNumUserTypes(CGhandle handle);`
`static int` | `cgGetParameterBaseResource(CGparameter param)` Interface to C language function: `CGresource cgGetParameterBaseResource(CGparameter param);`
`static int` | `cgGetParameterBaseType(CGparameter param)` Interface to C language function: `CGtype cgGetParameterBaseType(CGparameter param);`
`static int` | `cgGetParameterClass(CGparameter param)` Interface to C language function: `CGparameterclass cgGetParameterClass(CGparameter param);`
`static int` | `cgGetParameterColumns(CGparameter param)` Interface to C language function: `int cgGetParameterColumns(CGparameter param);`
`static CGcontext` | `cgGetParameterContext(CGparameter param)` Interface to C language function: `CGcontext cgGetParameterContext(CGparameter param);`
`static int` | `cgGetParameterDirection(CGparameter param)` Interface to C language function: `CGenum cgGetParameterDirection(CGparameter param);`
`static int` | `cgGetParameterIndex(CGparameter param)` Interface to C language function: `int cgGetParameterIndex(CGparameter param);`
`static String` | `cgGetParameterName(CGparameter param)` Interface to C language function: `const char * cgGetParameterName(CGparameter param);`
`static int` | `cgGetParameterNamedType(CGparameter param)` Interface to C language function: `CGtype cgGetParameterNamedType(CGparameter param);`
`static int` | `cgGetParameterOrdinalNumber(CGparameter param)` Interface to C language function: `int cgGetParameterOrdinalNumber(CGparameter param);`
`static CGprogram` | `cgGetParameterProgram(CGparameter param)` Interface to C language function: `CGprogram cgGetParameterProgram(CGparameter param);`
`static int` | `cgGetParameterResource(CGparameter param)` Interface to C language function: `CGresource cgGetParameterResource(CGparameter param);`
`static long` | `cgGetParameterResourceIndex(CGparameter param)` Interface to C language function: `unsigned long cgGetParameterResourceIndex(CGparameter param);`
`static int` | `cgGetParameterRows(CGparameter param)` Interface to C language function: `int cgGetParameterRows(CGparameter param);`
`static String` | `cgGetParameterSemantic(CGparameter param)` Interface to C language function: `const char * cgGetParameterSemantic(CGparameter param);`
`static int` | `cgGetParameterType(CGparameter param)` Interface to C language function: `CGtype cgGetParameterType(CGparameter param);`
`static int` | `cgGetParameterValuedc(CGparameter param, int n, double[] vals, int vals_offset)` Interface to C language function: `int cgGetParameterValuedc(CGparameter param, int n, double * vals);`
`static int` | `cgGetParameterValuedc(CGparameter param, int n, DoubleBuffer vals)` Interface to C language function: `int cgGetParameterValuedc(CGparameter param, int n, double * vals);`
`static int` | `cgGetParameterValuedr(CGparameter param, int n, double[] vals, int vals_offset)` Interface to C language function: `int cgGetParameterValuedr(CGparameter param, int n, double * vals);`
`static int` | `cgGetParameterValuedr(CGparameter param, int n, DoubleBuffer vals)` Interface to C language function: `int cgGetParameterValuedr(CGparameter param, int n, double * vals);`
`static int` | `cgGetParameterValuefc(CGparameter param, int n, float[] vals, int vals_offset)` Interface to C language function: `int cgGetParameterValuefc(CGparameter param, int n, float * vals);`
`static int` | `cgGetParameterValuefc(CGparameter param, int n, FloatBuffer vals)` Interface to C language function: `int cgGetParameterValuefc(CGparameter param, int n, float * vals);`
`static int` | `cgGetParameterValuefr(CGparameter param, int n, float[] vals, int vals_offset)` Interface to C language function: `int cgGetParameterValuefr(CGparameter param, int n, float * vals);`
`static int` | `cgGetParameterValuefr(CGparameter param, int n, FloatBuffer vals)` Interface to C language function: `int cgGetParameterValuefr(CGparameter param, int n, float * vals);`
`static int` | `cgGetParameterValueic(CGparameter param, int n, int[] vals, int vals_offset)` Interface to C language function: `int cgGetParameterValueic(CGparameter param, int n, int * vals);`
`static int` | `cgGetParameterValueic(CGparameter param, int n, IntBuffer vals)` Interface to C language function: `int cgGetParameterValueic(CGparameter param, int n, int * vals);`
`static int` | `cgGetParameterValueir(CGparameter param, int n, int[] vals, int vals_offset)` Interface to C language function: `int cgGetParameterValueir(CGparameter param, int n, int * vals);`
`static int` | `cgGetParameterValueir(CGparameter param, int n, IntBuffer vals)` Interface to C language function: `int cgGetParameterValueir(CGparameter param, int n, int * vals);`
`static int` | `cgGetParameterVariability(CGparameter param)` Interface to C language function: `CGenum cgGetParameterVariability(CGparameter param);`
`static int` | `cgGetParentType(int type, int index)` Interface to C language function: `CGtype cgGetParentType(CGtype type, int index);`
`static String` | `cgGetPassName(CGpass arg0)` Interface to C language function: `const char * cgGetPassName(CGpass);`
`static CGtechnique` | `cgGetPassTechnique(CGpass arg0)` Interface to C language function: `CGtechnique cgGetPassTechnique(CGpass);`
`static int` | `cgGetProfile(String profile_string)` Interface to C language function: `CGprofile cgGetProfile(const char * profile_string);`
`static String` | `cgGetProfileString(int profile)` Interface to C language function: `const char * cgGetProfileString(CGprofile profile);`
`static CGcontext` | `cgGetProgramContext(CGprogram prog)` Interface to C language function: `CGcontext cgGetProgramContext(CGprogram prog);`
`static int` | `cgGetProgramProfile(CGprogram prog)` Interface to C language function: `CGprofile cgGetProgramProfile(CGprogram prog);`
`static CGprogram` | `cgGetProgramStateAssignmentValue(CGstateassignment arg0)` Interface to C language function: `CGprogram cgGetProgramStateAssignmentValue(CGstateassignment);`
`static String` | `cgGetProgramString(CGprogram prog, int pname)` Interface to C language function: `const char * cgGetProgramString(CGprogram prog, CGenum pname);`
`static int` | `cgGetResource(String resource_string)` Interface to C language function: `CGresource cgGetResource(const char * resource_string);`
`static String` | `cgGetResourceString(int resource)` Interface to C language function: `const char * cgGetResourceString(CGresource resource);`
`static CGparameter` | `cgGetSamplerStateAssignmentParameter(CGstateassignment arg0)` Interface to C language function: `CGparameter cgGetSamplerStateAssignmentParameter(CGstateassignment);`
`static CGstate` | `cgGetSamplerStateAssignmentState(CGstateassignment arg0)` Interface to C language function: `CGstate cgGetSamplerStateAssignmentState(CGstateassignment);`
`static CGparameter` | `cgGetSamplerStateAssignmentValue(CGstateassignment arg0)` Interface to C language function: `CGparameter cgGetSamplerStateAssignmentValue(CGstateassignment);`
`static int` | `cgGetStateAssignmentIndex(CGstateassignment arg0)` Interface to C language function: `int cgGetStateAssignmentIndex(CGstateassignment);`
`static CGpass` | `cgGetStateAssignmentPass(CGstateassignment arg0)` Interface to C language function: `CGpass cgGetStateAssignmentPass(CGstateassignment);`
`static CGstate` | `cgGetStateAssignmentState(CGstateassignment arg0)` Interface to C language function: `CGstate cgGetStateAssignmentState(CGstateassignment);`
`static String` | `cgGetStateName(CGstate arg0)` Interface to C language function: `const char * cgGetStateName(CGstate);`
`static int` | `cgGetStateType(CGstate arg0)` Interface to C language function: `CGtype cgGetStateType(CGstate);`
`static String` | `cgGetString(int sname)` Interface to C language function: `const char * cgGetString(CGenum sname);`
`static String` | `cgGetStringAnnotationValue(CGannotation arg0)` Interface to C language function: `const char * cgGetStringAnnotationValue(CGannotation);`
`static String` | `cgGetStringParameterValue(CGparameter param)` Interface to C language function: `const char * cgGetStringParameterValue(CGparameter param);`
`static String` | `cgGetStringStateAssignmentValue(CGstateassignment arg0)` Interface to C language function: `const char * cgGetStringStateAssignmentValue(CGstateassignment);`
`static CGeffect` | `cgGetTechniqueEffect(CGtechnique arg0)` Interface to C language function: `CGeffect cgGetTechniqueEffect(CGtechnique);`
`static String` | `cgGetTechniqueName(CGtechnique arg0)` Interface to C language function: `const char * cgGetTechniqueName(CGtechnique);`
`static CGparameter` | `cgGetTextureStateAssignmentValue(CGstateassignment arg0)` Interface to C language function: `CGparameter cgGetTextureStateAssignmentValue(CGstateassignment);`
`static int` | `cgGetType(String type_string)` Interface to C language function: `CGtype cgGetType(const char * type_string);`
`static String` | `cgGetTypeString(int type)` Interface to C language function: `const char * cgGetTypeString(CGtype type);`
`static int` | `cgGetUserType(Buffer handle, int index)` Interface to C language function: `CGtype cgGetUserType(CGhandle handle, int index);`
`static void` | `cgGLBindProgram(CGprogram program)` Interface to C language function: `void cgGLBindProgram(CGprogram program);`
`static void` | `cgGLDisableClientState(CGparameter param)` Interface to C language function: `void cgGLDisableClientState(CGparameter param);`
`static void` | `cgGLDisableProfile(int profile)` Interface to C language function: `void cgGLDisableProfile(CGprofile profile);`
`static void` | `cgGLDisableTextureParameter(CGparameter param)` Interface to C language function: `void cgGLDisableTextureParameter(CGparameter param);`
`static void` | `cgGLEnableClientState(CGparameter param)` Interface to C language function: `void cgGLEnableClientState(CGparameter param);`
`static void` | `cgGLEnableProfile(int profile)` Interface to C language function: `void cgGLEnableProfile(CGprofile profile);`
`static void` | `cgGLEnableTextureParameter(CGparameter param)` Interface to C language function: `void cgGLEnableTextureParameter(CGparameter param);`
`static int` | `cgGLGetLatestProfile(int profile_type)` Interface to C language function: `CGprofile cgGLGetLatestProfile(CGGLenum profile_type);`
`static boolean` | `cgGLGetManageTextureParameters(CGcontext ctx)` Interface to C language function: `CGbool cgGLGetManageTextureParameters(CGcontext ctx);`
`static void` | `cgGLGetMatrixParameterArraydc(CGparameter param, long offset, long nelements, double[] matrices, int matrices_offset)` Interface to C language function: `void cgGLGetMatrixParameterArraydc(CGparameter param, long offset, long nelements, double * matrices);`
`static void` | `cgGLGetMatrixParameterArraydc(CGparameter param, long offset, long nelements, DoubleBuffer matrices)` Interface to C language function: `void cgGLGetMatrixParameterArraydc(CGparameter param, long offset, long nelements, double * matrices);`
`static void` | `cgGLGetMatrixParameterArraydr(CGparameter param, long offset, long nelements, double[] matrices, int matrices_offset)` Interface to C language function: `void cgGLGetMatrixParameterArraydr(CGparameter param, long offset, long nelements, double * matrices);`
`static void` | `cgGLGetMatrixParameterArraydr(CGparameter param, long offset, long nelements, DoubleBuffer matrices)` Interface to C language function: `void cgGLGetMatrixParameterArraydr(CGparameter param, long offset, long nelements, double * matrices);`
`static void` | `cgGLGetMatrixParameterArrayfc(CGparameter param, long offset, long nelements, float[] matrices, int matrices_offset)` Interface to C language function: `void cgGLGetMatrixParameterArrayfc(CGparameter param, long offset, long nelements, float * matrices);`
`static void` | `cgGLGetMatrixParameterArrayfc(CGparameter param, long offset, long nelements, FloatBuffer matrices)` Interface to C language function: `void cgGLGetMatrixParameterArrayfc(CGparameter param, long offset, long nelements, float * matrices);`
`static void` | `cgGLGetMatrixParameterArrayfr(CGparameter param, long offset, long nelements, float[] matrices, int matrices_offset)` Interface to C language function: `void cgGLGetMatrixParameterArrayfr(CGparameter param, long offset, long nelements, float * matrices);`
`static void` | `cgGLGetMatrixParameterArrayfr(CGparameter param, long offset, long nelements, FloatBuffer matrices)` Interface to C language function: `void cgGLGetMatrixParameterArrayfr(CGparameter param, long offset, long nelements, float * matrices);`
`static void` | `cgGLGetMatrixParameterdc(CGparameter param, double[] matrix, int matrix_offset)` Interface to C language function: `void cgGLGetMatrixParameterdc(CGparameter param, double * matrix);`
`static void` | `cgGLGetMatrixParameterdc(CGparameter param, DoubleBuffer matrix)` Interface to C language function: `void cgGLGetMatrixParameterdc(CGparameter param, double * matrix);`
`static void` | `cgGLGetMatrixParameterdr(CGparameter param, double[] matrix, int matrix_offset)` Interface to C language function: `void cgGLGetMatrixParameterdr(CGparameter param, double * matrix);`
`static void` | `cgGLGetMatrixParameterdr(CGparameter param, DoubleBuffer matrix)` Interface to C language function: `void cgGLGetMatrixParameterdr(CGparameter param, double * matrix);`
`static void` | `cgGLGetMatrixParameterfc(CGparameter param, float[] matrix, int matrix_offset)` Interface to C language function: `void cgGLGetMatrixParameterfc(CGparameter param, float * matrix);`
`static void` | `cgGLGetMatrixParameterfc(CGparameter param, FloatBuffer matrix)` Interface to C language function: `void cgGLGetMatrixParameterfc(CGparameter param, float * matrix);`
`static void` | `cgGLGetMatrixParameterfr(CGparameter param, float[] matrix, int matrix_offset)` Interface to C language function: `void cgGLGetMatrixParameterfr(CGparameter param, float * matrix);`
`static void` | `cgGLGetMatrixParameterfr(CGparameter param, FloatBuffer matrix)` Interface to C language function: `void cgGLGetMatrixParameterfr(CGparameter param, float * matrix);`
`static void` | `cgGLGetParameter1d(CGparameter param, double[] v, int v_offset)` Interface to C language function: `void cgGLGetParameter1d(CGparameter param, double * v);`
`static void` | `cgGLGetParameter1d(CGparameter param, DoubleBuffer v)` Interface to C language function: `void cgGLGetParameter1d(CGparameter param, double * v);`
`static void` | `cgGLGetParameter1f(CGparameter param, float[] v, int v_offset)` Interface to C language function: `void cgGLGetParameter1f(CGparameter param, float * v);`
`static void` | `cgGLGetParameter1f(CGparameter param, FloatBuffer v)` Interface to C language function: `void cgGLGetParameter1f(CGparameter param, float * v);`
`static void` | `cgGLGetParameter2d(CGparameter param, double[] v, int v_offset)` Interface to C language function: `void cgGLGetParameter2d(CGparameter param, double * v);`
`static void` | `cgGLGetParameter2d(CGparameter param, DoubleBuffer v)` Interface to C language function: `void cgGLGetParameter2d(CGparameter param, double * v);`
`static void` | `cgGLGetParameter2f(CGparameter param, float[] v, int v_offset)` Interface to C language function: `void cgGLGetParameter2f(CGparameter param, float * v);`
`static void` | `cgGLGetParameter2f(CGparameter param, FloatBuffer v)` Interface to C language function: `void cgGLGetParameter2f(CGparameter param, float * v);`
`static void` | `cgGLGetParameter3d(CGparameter param, double[] v, int v_offset)` Interface to C language function: `void cgGLGetParameter3d(CGparameter param, double * v);`
`static void` | `cgGLGetParameter3d(CGparameter param, DoubleBuffer v)` Interface to C language function: `void cgGLGetParameter3d(CGparameter param, double * v);`
`static void` | `cgGLGetParameter3f(CGparameter param, float[] v, int v_offset)` Interface to C language function: `void cgGLGetParameter3f(CGparameter param, float * v);`
`static void` | `cgGLGetParameter3f(CGparameter param, FloatBuffer v)` Interface to C language function: `void cgGLGetParameter3f(CGparameter param, float * v);`
`static void` | `cgGLGetParameter4d(CGparameter param, double[] v, int v_offset)` Interface to C language function: `void cgGLGetParameter4d(CGparameter param, double * v);`
`static void` | `cgGLGetParameter4d(CGparameter param, DoubleBuffer v)` Interface to C language function: `void cgGLGetParameter4d(CGparameter param, double * v);`
`static void` | `cgGLGetParameter4f(CGparameter param, float[] v, int v_offset)` Interface to C language function: `void cgGLGetParameter4f(CGparameter param, float * v);`
`static void` | `cgGLGetParameter4f(CGparameter param, FloatBuffer v)` Interface to C language function: `void cgGLGetParameter4f(CGparameter param, float * v);`
`static void` | `cgGLGetParameterArray1d(CGparameter param, long offset, long nelements, double[] v, int v_offset)` Interface to C language function: `void cgGLGetParameterArray1d(CGparameter param, long offset, long nelements, double * v);`
`static void` | `cgGLGetParameterArray1d(CGparameter param, long offset, long nelements, DoubleBuffer v)` Interface to C language function: `void cgGLGetParameterArray1d(CGparameter param, long offset, long nelements, double * v);`
`static void` | `cgGLGetParameterArray1f(CGparameter param, long offset, long nelements, float[] v, int v_offset)` Interface to C language function: `void cgGLGetParameterArray1f(CGparameter param, long offset, long nelements, float * v);`
`static void` | `cgGLGetParameterArray1f(CGparameter param, long offset, long nelements, FloatBuffer v)` Interface to C language function: `void cgGLGetParameterArray1f(CGparameter param, long offset, long nelements, float * v);`
`static void` | `cgGLGetParameterArray2d(CGparameter param, long offset, long nelements, double[] v, int v_offset)` Interface to C language function: `void cgGLGetParameterArray2d(CGparameter param, long offset, long nelements, double * v);`
`static void` | `cgGLGetParameterArray2d(CGparameter param, long offset, long nelements, DoubleBuffer v)` Interface to C language function: `void cgGLGetParameterArray2d(CGparameter param, long offset, long nelements, double * v);`
`static void` | `cgGLGetParameterArray2f(CGparameter param, long offset, long nelements, float[] v, int v_offset)` Interface to C language function: `void cgGLGetParameterArray2f(CGparameter param, long offset, long nelements, float * v);`
`static void` | `cgGLGetParameterArray2f(CGparameter param, long offset, long nelements, FloatBuffer v)` Interface to C language function: `void cgGLGetParameterArray2f(CGparameter param, long offset, long nelements, float * v);`
`static void` | `cgGLGetParameterArray3d(CGparameter param, long offset, long nelements, double[] v, int v_offset)` Interface to C language function: `void cgGLGetParameterArray3d(CGparameter param, long offset, long nelements, double * v);`
`static void` | `cgGLGetParameterArray3d(CGparameter param, long offset, long nelements, DoubleBuffer v)` Interface to C language function: `void cgGLGetParameterArray3d(CGparameter param, long offset, long nelements, double * v);`
`static void` | `cgGLGetParameterArray3f(CGparameter param, long offset, long nelements, float[] v, int v_offset)` Interface to C language function: `void cgGLGetParameterArray3f(CGparameter param, long offset, long nelements, float * v);`
`static void` | `cgGLGetParameterArray3f(CGparameter param, long offset, long nelements, FloatBuffer v)` Interface to C language function: `void cgGLGetParameterArray3f(CGparameter param, long offset, long nelements, float * v);`
`static void` | `cgGLGetParameterArray4d(CGparameter param, long offset, long nelements, double[] v, int v_offset)` Interface to C language function: `void cgGLGetParameterArray4d(CGparameter param, long offset, long nelements, double * v);`
`static void` | `cgGLGetParameterArray4d(CGparameter param, long offset, long nelements, DoubleBuffer v)` Interface to C language function: `void cgGLGetParameterArray4d(CGparameter param, long offset, long nelements, double * v);`
`static void` | `cgGLGetParameterArray4f(CGparameter param, long offset, long nelements, float[] v, int v_offset)` Interface to C language function: `void cgGLGetParameterArray4f(CGparameter param, long offset, long nelements, float * v);`
`static void` | `cgGLGetParameterArray4f(CGparameter param, long offset, long nelements, FloatBuffer v)` Interface to C language function: `void cgGLGetParameterArray4f(CGparameter param, long offset, long nelements, float * v);`
`static int` | `cgGLGetProgramID(CGprogram program)` Interface to C language function: `GLuint cgGLGetProgramID(CGprogram program);`
`static int` | `cgGLGetTextureEnum(CGparameter param)` Interface to C language function: `GLenum cgGLGetTextureEnum(CGparameter param);`
`static int` | `cgGLGetTextureParameter(CGparameter param)` Interface to C language function: `GLuint cgGLGetTextureParameter(CGparameter param);`
`static boolean` | `cgGLIsProfileSupported(int profile)` Interface to C language function: `CGbool cgGLIsProfileSupported(CGprofile profile);`
`static boolean` | `cgGLIsProgramLoaded(CGprogram program)` Interface to C language function: `CGbool cgGLIsProgramLoaded(CGprogram program);`
`static void` | `cgGLLoadProgram(CGprogram program)` Interface to C language function: `void cgGLLoadProgram(CGprogram program);`
`static void` | `cgGLRegisterStates(CGcontext arg0)` Interface to C language function: `void cgGLRegisterStates(CGcontext);`
`static void` | `cgGLSetManageTextureParameters(CGcontext ctx, boolean flag)` Interface to C language function: `void cgGLSetManageTextureParameters(CGcontext ctx, CGbool flag);`
`static void` | `cgGLSetMatrixParameterArraydc(CGparameter param, long offset, long nelements, double[] matrices, int matrices_offset)` Interface to C language function: `void cgGLSetMatrixParameterArraydc(CGparameter param, long offset, long nelements, const double * matrices);`
`static void` | `cgGLSetMatrixParameterArraydc(CGparameter param, long offset, long nelements, DoubleBuffer matrices)` Interface to C language function: `void cgGLSetMatrixParameterArraydc(CGparameter param, long offset, long nelements, const double * matrices);`
`static void` | `cgGLSetMatrixParameterArraydr(CGparameter param, long offset, long nelements, double[] matrices, int matrices_offset)` Interface to C language function: `void cgGLSetMatrixParameterArraydr(CGparameter param, long offset, long nelements, const double * matrices);`
`static void` | `cgGLSetMatrixParameterArraydr(CGparameter param, long offset, long nelements, DoubleBuffer matrices)` Interface to C language function: `void cgGLSetMatrixParameterArraydr(CGparameter param, long offset, long nelements, const double * matrices);`
`static void` | `cgGLSetMatrixParameterArrayfc(CGparameter param, long offset, long nelements, float[] matrices, int matrices_offset)` Interface to C language function: `void cgGLSetMatrixParameterArrayfc(CGparameter param, long offset, long nelements, const float * matrices);`
`static void` | `cgGLSetMatrixParameterArrayfc(CGparameter param, long offset, long nelements, FloatBuffer matrices)` Interface to C language function: `void cgGLSetMatrixParameterArrayfc(CGparameter param, long offset, long nelements, const float * matrices);`
`static void` | `cgGLSetMatrixParameterArrayfr(CGparameter param, long offset, long nelements, float[] matrices, int matrices_offset)` Interface to C language function: `void cgGLSetMatrixParameterArrayfr(CGparameter param, long offset, long nelements, const float * matrices);`
`static void` | `cgGLSetMatrixParameterArrayfr(CGparameter param, long offset, long nelements, FloatBuffer matrices)` Interface to C language function: `void cgGLSetMatrixParameterArrayfr(CGparameter param, long offset, long nelements, const float * matrices);`
`static void` | `cgGLSetMatrixParameterdc(CGparameter param, double[] matrix, int matrix_offset)` Interface to C language function: `void cgGLSetMatrixParameterdc(CGparameter param, const double * matrix);`
`static void` | `cgGLSetMatrixParameterdc(CGparameter param, DoubleBuffer matrix)` Interface to C language function: `void cgGLSetMatrixParameterdc(CGparameter param, const double * matrix);`
`static void` | `cgGLSetMatrixParameterdr(CGparameter param, double[] matrix, int matrix_offset)` Interface to C language function: `void cgGLSetMatrixParameterdr(CGparameter param, const double * matrix);`
`static void` | `cgGLSetMatrixParameterdr(CGparameter param, DoubleBuffer matrix)` Interface to C language function: `void cgGLSetMatrixParameterdr(CGparameter param, const double * matrix);`
`static void` | `cgGLSetMatrixParameterfc(CGparameter param, float[] matrix, int matrix_offset)` Interface to C language function: `void cgGLSetMatrixParameterfc(CGparameter param, const float * matrix);`
`static void` | `cgGLSetMatrixParameterfc(CGparameter param, FloatBuffer matrix)` Interface to C language function: `void cgGLSetMatrixParameterfc(CGparameter param, const float * matrix);`
`static void` | `cgGLSetMatrixParameterfr(CGparameter param, float[] matrix, int matrix_offset)` Interface to C language function: `void cgGLSetMatrixParameterfr(CGparameter param, const float * matrix);`
`static void` | `cgGLSetMatrixParameterfr(CGparameter param, FloatBuffer matrix)` Interface to C language function: `void cgGLSetMatrixParameterfr(CGparameter param, const float * matrix);`
`static void` | `cgGLSetOptimalOptions(int profile)` Interface to C language function: `void cgGLSetOptimalOptions(CGprofile profile);`
`static void` | `cgGLSetParameter1d(CGparameter param, double x)` Interface to C language function: `void cgGLSetParameter1d(CGparameter param, double x);`
`static void` | `cgGLSetParameter1dv(CGparameter param, double[] v, int v_offset)` Interface to C language function: `void cgGLSetParameter1dv(CGparameter param, const double * v);`
`static void` | `cgGLSetParameter1dv(CGparameter param, DoubleBuffer v)` Interface to C language function: `void cgGLSetParameter1dv(CGparameter param, const double * v);`
`static void` | `cgGLSetParameter1f(CGparameter param, float x)` Interface to C language function: `void cgGLSetParameter1f(CGparameter param, float x);`
`static void` | `cgGLSetParameter1fv(CGparameter param, float[] v, int v_offset)` Interface to C language function: `void cgGLSetParameter1fv(CGparameter param, const float * v);`
`static void` | `cgGLSetParameter1fv(CGparameter param, FloatBuffer v)` Interface to C language function: `void cgGLSetParameter1fv(CGparameter param, const float * v);`
`static void` | `cgGLSetParameter2d(CGparameter param, double x, double y)` Interface to C language function: `void cgGLSetParameter2d(CGparameter param, double x, double y);`
`static void` | `cgGLSetParameter2dv(CGparameter param, double[] v, int v_offset)` Interface to C language function: `void cgGLSetParameter2dv(CGparameter param, const double * v);`
`static void` | `cgGLSetParameter2dv(CGparameter param, DoubleBuffer v)` Interface to C language function: `void cgGLSetParameter2dv(CGparameter param, const double * v);`
`static void` | `cgGLSetParameter2f(CGparameter param, float x, float y)` Interface to C language function: `void cgGLSetParameter2f(CGparameter param, float x, float y);`
`static void` | `cgGLSetParameter2fv(CGparameter param, float[] v, int v_offset)` Interface to C language function: `void cgGLSetParameter2fv(CGparameter param, const float * v);`
`static void` | `cgGLSetParameter2fv(CGparameter param, FloatBuffer v)` Interface to C language function: `void cgGLSetParameter2fv(CGparameter param, const float * v);`
`static void` | `cgGLSetParameter3d(CGparameter param, double x, double y, double z)` Interface to C language function: `void cgGLSetParameter3d(CGparameter param, double x, double y, double z);`
`static void` | `cgGLSetParameter3dv(CGparameter param, double[] v, int v_offset)` Interface to C language function: `void cgGLSetParameter3dv(CGparameter param, const double * v);`
`static void` | `cgGLSetParameter3dv(CGparameter param, DoubleBuffer v)` Interface to C language function: `void cgGLSetParameter3dv(CGparameter param, const double * v);`
`static void` | `cgGLSetParameter3f(CGparameter param, float x, float y, float z)` Interface to C language function: `void cgGLSetParameter3f(CGparameter param, float x, float y, float z);`
`static void` | `cgGLSetParameter3fv(CGparameter param, float[] v, int v_offset)` Interface to C language function: `void cgGLSetParameter3fv(CGparameter param, const float * v);`
`static void` | `cgGLSetParameter3fv(CGparameter param, FloatBuffer v)` Interface to C language function: `void cgGLSetParameter3fv(CGparameter param, const float * v);`
`static void` | `cgGLSetParameter4d(CGparameter param, double x, double y, double z, double w)` Interface to C language function: `void cgGLSetParameter4d(CGparameter param, double x, double y, double z, double w);`
`static void` | `cgGLSetParameter4dv(CGparameter param, double[] v, int v_offset)` Interface to C language function: `void cgGLSetParameter4dv(CGparameter param, const double * v);`
`static void` | `cgGLSetParameter4dv(CGparameter param, DoubleBuffer v)` Interface to C language function: `void cgGLSetParameter4dv(CGparameter param, const double * v);`
`static void` | `cgGLSetParameter4f(CGparameter param, float x, float y, float z, float w)` Interface to C language function: `void cgGLSetParameter4f(CGparameter param, float x, float y, float z, float w);`
`static void` | `cgGLSetParameter4fv(CGparameter param, float[] v, int v_offset)` Interface to C language function: `void cgGLSetParameter4fv(CGparameter param, const float * v);`
`static void` | `cgGLSetParameter4fv(CGparameter param, FloatBuffer v)` Interface to C language function: `void cgGLSetParameter4fv(CGparameter param, const float * v);`
`static void` | `cgGLSetParameterArray1d(CGparameter param, long offset, long nelements, double[] v, int v_offset)` Interface to C language function: `void cgGLSetParameterArray1d(CGparameter param, long offset, long nelements, const double * v);`
`static void` | `cgGLSetParameterArray1d(CGparameter param, long offset, long nelements, DoubleBuffer v)` Interface to C language function: `void cgGLSetParameterArray1d(CGparameter param, long offset, long nelements, const double * v);`
`static void` | `cgGLSetParameterArray1f(CGparameter param, long offset, long nelements, float[] v, int v_offset)` Interface to C language function: `void cgGLSetParameterArray1f(CGparameter param, long offset, long nelements, const float * v);`
`static void` | `cgGLSetParameterArray1f(CGparameter param, long offset, long nelements, FloatBuffer v)` Interface to C language function: `void cgGLSetParameterArray1f(CGparameter param, long offset, long nelements, const float * v);`
`static void` | `cgGLSetParameterArray2d(CGparameter param, long offset, long nelements, double[] v, int v_offset)` Interface to C language function: `void cgGLSetParameterArray2d(CGparameter param, long offset, long nelements, const double * v);`
`static void` | `cgGLSetParameterArray2d(CGparameter param, long offset, long nelements, DoubleBuffer v)` Interface to C language function: `void cgGLSetParameterArray2d(CGparameter param, long offset, long nelements, const double * v);`
`static void` | `cgGLSetParameterArray2f(CGparameter param, long offset, long nelements, float[] v, int v_offset)` Interface to C language function: `void cgGLSetParameterArray2f(CGparameter param, long offset, long nelements, const float * v);`
`static void` | `cgGLSetParameterArray2f(CGparameter param, long offset, long nelements, FloatBuffer v)` Interface to C language function: `void cgGLSetParameterArray2f(CGparameter param, long offset, long nelements, const float * v);`
`static void` | `cgGLSetParameterArray3d(CGparameter param, long offset, long nelements, double[] v, int v_offset)` Interface to C language function: `void cgGLSetParameterArray3d(CGparameter param, long offset, long nelements, const double * v);`
`static void` | `cgGLSetParameterArray3d(CGparameter param, long offset, long nelements, DoubleBuffer v)` Interface to C language function: `void cgGLSetParameterArray3d(CGparameter param, long offset, long nelements, const double * v);`
`static void` | `cgGLSetParameterArray3f(CGparameter param, long offset, long nelements, float[] v, int v_offset)` Interface to C language function: `void cgGLSetParameterArray3f(CGparameter param, long offset, long nelements, const float * v);`
`static void` | `cgGLSetParameterArray3f(CGparameter param, long offset, long nelements, FloatBuffer v)` Interface to C language function: `void cgGLSetParameterArray3f(CGparameter param, long offset, long nelements, const float * v);`
`static void` | `cgGLSetParameterArray4d(CGparameter param, long offset, long nelements, double[] v, int v_offset)` Interface to C language function: `void cgGLSetParameterArray4d(CGparameter param, long offset, long nelements, const double * v);`
`static void` | `cgGLSetParameterArray4d(CGparameter param, long offset, long nelements, DoubleBuffer v)` Interface to C language function: `void cgGLSetParameterArray4d(CGparameter param, long offset, long nelements, const double * v);`
`static void` | `cgGLSetParameterArray4f(CGparameter param, long offset, long nelements, float[] v, int v_offset)` Interface to C language function: `void cgGLSetParameterArray4f(CGparameter param, long offset, long nelements, const float * v);`
`static void` | `cgGLSetParameterArray4f(CGparameter param, long offset, long nelements, FloatBuffer v)` Interface to C language function: `void cgGLSetParameterArray4f(CGparameter param, long offset, long nelements, const float * v);`
`static void` | `cgGLSetParameterPointer(CGparameter param, int fsize, int type, int stride, Buffer pointer)` Interface to C language function: `void cgGLSetParameterPointer(CGparameter param, GLint fsize, GLenum type, GLsizei stride, const GLvoid * pointer);`
`static void` | `cgGLSetStateMatrixParameter(CGparameter param, int matrix, int transform)` Interface to C language function: `void cgGLSetStateMatrixParameter(CGparameter param, CGGLenum matrix, CGGLenum transform);`
`static void` | `cgGLSetTextureParameter(CGparameter param, int texobj)` Interface to C language function: `void cgGLSetTextureParameter(CGparameter param, GLuint texobj);`
`static void` | `cgGLSetupSampler(CGparameter param, int texobj)` Interface to C language function: `void cgGLSetupSampler(CGparameter param, GLuint texobj);`
`static void` | `cgGLUnbindProgram(int profile)` Interface to C language function: `void cgGLUnbindProgram(CGprofile profile);`
`static boolean` | `cgIsAnnotation(CGannotation arg0)` Interface to C language function: `CGbool cgIsAnnotation(CGannotation);`
`static boolean` | `cgIsContext(CGcontext ctx)` Interface to C language function: `CGbool cgIsContext(CGcontext ctx);`
`static boolean` | `cgIsEffect(CGeffect effect)` Interface to C language function: `CGbool cgIsEffect(CGeffect effect);`
`static boolean` | `cgIsInterfaceType(int type)` Interface to C language function: `CGbool cgIsInterfaceType(CGtype type);`
`static boolean` | `cgIsParameter(CGparameter param)` Interface to C language function: `CGbool cgIsParameter(CGparameter param);`
`static boolean` | `cgIsParameterGlobal(CGparameter param)` Interface to C language function: `CGbool cgIsParameterGlobal(CGparameter param);`
`static boolean` | `cgIsParameterReferenced(CGparameter param)` Interface to C language function: `CGbool cgIsParameterReferenced(CGparameter param);`
`static boolean` | `cgIsParameterUsed(CGparameter param, Buffer handle)` Interface to C language function: `CGbool cgIsParameterUsed(CGparameter param, CGhandle handle);`
`static boolean` | `cgIsParentType(int parent, int child)` Interface to C language function: `CGbool cgIsParentType(CGtype parent, CGtype child);`
`static boolean` | `cgIsPass(CGpass arg0)` Interface to C language function: `CGbool cgIsPass(CGpass);`
`static boolean` | `cgIsProgram(CGprogram program)` Interface to C language function: `CGbool cgIsProgram(CGprogram program);`
`static boolean` | `cgIsProgramCompiled(CGprogram program)` Interface to C language function: `CGbool cgIsProgramCompiled(CGprogram program);`
`static boolean` | `cgIsState(CGstate arg0)` Interface to C language function: `CGbool cgIsState(CGstate);`
`static boolean` | `cgIsStateAssignment(CGstateassignment arg0)` Interface to C language function: `CGbool cgIsStateAssignment(CGstateassignment);`
`static boolean` | `cgIsTechnique(CGtechnique arg0)` Interface to C language function: `CGbool cgIsTechnique(CGtechnique);`
`static boolean` | `cgIsTechniqueValidated(CGtechnique arg0)` Interface to C language function: `CGbool cgIsTechniqueValidated(CGtechnique);`
`static void` | `cgResetPassState(CGpass arg0)` Interface to C language function: `void cgResetPassState(CGpass);`
`static void` | `cgSetArraySize(CGparameter param, int size)` Interface to C language function: `void cgSetArraySize(CGparameter param, int size);`
`static void` | `cgSetAutoCompile(CGcontext ctx, int flag)` Interface to C language function: `void cgSetAutoCompile(CGcontext ctx, CGenum flag);`
`static void` | `cgSetLastListing(Buffer handle, String listing)` Interface to C language function: `void cgSetLastListing(CGhandle handle, const char * listing);`
`static void` | `cgSetMatrixParameterdc(CGparameter param, double[] matrix, int matrix_offset)` Interface to C language function: `void cgSetMatrixParameterdc(CGparameter param, const double * matrix);`
`static void` | `cgSetMatrixParameterdc(CGparameter param, DoubleBuffer matrix)` Interface to C language function: `void cgSetMatrixParameterdc(CGparameter param, const double * matrix);`
`static void` | `cgSetMatrixParameterdr(CGparameter param, double[] matrix, int matrix_offset)` Interface to C language function: `void cgSetMatrixParameterdr(CGparameter param, const double * matrix);`
`static void` | `cgSetMatrixParameterdr(CGparameter param, DoubleBuffer matrix)` Interface to C language function: `void cgSetMatrixParameterdr(CGparameter param, const double * matrix);`
`static void` | `cgSetMatrixParameterfc(CGparameter param, float[] matrix, int matrix_offset)` Interface to C language function: `void cgSetMatrixParameterfc(CGparameter param, const float * matrix);`
`static void` | `cgSetMatrixParameterfc(CGparameter param, FloatBuffer matrix)` Interface to C language function: `void cgSetMatrixParameterfc(CGparameter param, const float * matrix);`
`static void` | `cgSetMatrixParameterfr(CGparameter param, float[] matrix, int matrix_offset)` Interface to C language function: `void cgSetMatrixParameterfr(CGparameter param, const float * matrix);`
`static void` | `cgSetMatrixParameterfr(CGparameter param, FloatBuffer matrix)` Interface to C language function: `void cgSetMatrixParameterfr(CGparameter param, const float * matrix);`
`static void` | `cgSetMatrixParameteric(CGparameter param, int[] matrix, int matrix_offset)` Interface to C language function: `void cgSetMatrixParameteric(CGparameter param, const int * matrix);`
`static void` | `cgSetMatrixParameteric(CGparameter param, IntBuffer matrix)` Interface to C language function: `void cgSetMatrixParameteric(CGparameter param, const int * matrix);`
`static void` | `cgSetMatrixParameterir(CGparameter param, int[] matrix, int matrix_offset)` Interface to C language function: `void cgSetMatrixParameterir(CGparameter param, const int * matrix);`
`static void` | `cgSetMatrixParameterir(CGparameter param, IntBuffer matrix)` Interface to C language function: `void cgSetMatrixParameterir(CGparameter param, const int * matrix);`
`static void` | `cgSetMultiDimArraySize(CGparameter param, int[] sizes, int sizes_offset)` Interface to C language function: `void cgSetMultiDimArraySize(CGparameter param, const int * sizes);`
`static void` | `cgSetMultiDimArraySize(CGparameter param, IntBuffer sizes)` Interface to C language function: `void cgSetMultiDimArraySize(CGparameter param, const int * sizes);`
`static void` | `cgSetParameter1d(CGparameter param, double x)` Interface to C language function: `void cgSetParameter1d(CGparameter param, double x);`
`static void` | `cgSetParameter1dv(CGparameter param, double[] v, int v_offset)` Interface to C language function: `void cgSetParameter1dv(CGparameter param, const double * v);`
`static void` | `cgSetParameter1dv(CGparameter param, DoubleBuffer v)` Interface to C language function: `void cgSetParameter1dv(CGparameter param, const double * v);`
`static void` | `cgSetParameter1f(CGparameter param, float x)` Interface to C language function: `void cgSetParameter1f(CGparameter param, float x);`
`static void` | `cgSetParameter1fv(CGparameter param, float[] v, int v_offset)` Interface to C language function: `void cgSetParameter1fv(CGparameter param, const float * v);`
`static void` | `cgSetParameter1fv(CGparameter param, FloatBuffer v)` Interface to C language function: `void cgSetParameter1fv(CGparameter param, const float * v);`
`static void` | `cgSetParameter1i(CGparameter param, int x)` Interface to C language function: `void cgSetParameter1i(CGparameter param, int x);`
`static void` | `cgSetParameter1iv(CGparameter param, int[] v, int v_offset)` Interface to C language function: `void cgSetParameter1iv(CGparameter param, const int * v);`
`static void` | `cgSetParameter1iv(CGparameter param, IntBuffer v)` Interface to C language function: `void cgSetParameter1iv(CGparameter param, const int * v);`
`static void` | `cgSetParameter2d(CGparameter param, double x, double y)` Interface to C language function: `void cgSetParameter2d(CGparameter param, double x, double y);`
`static void` | `cgSetParameter2dv(CGparameter param, double[] v, int v_offset)` Interface to C language function: `void cgSetParameter2dv(CGparameter param, const double * v);`
`static void` | `cgSetParameter2dv(CGparameter param, DoubleBuffer v)` Interface to C language function: `void cgSetParameter2dv(CGparameter param, const double * v);`
`static void` | `cgSetParameter2f(CGparameter param, float x, float y)` Interface to C language function: `void cgSetParameter2f(CGparameter param, float x, float y);`
`static void` | `cgSetParameter2fv(CGparameter param, float[] v, int v_offset)` Interface to C language function: `void cgSetParameter2fv(CGparameter param, const float * v);`
`static void` | `cgSetParameter2fv(CGparameter param, FloatBuffer v)` Interface to C language function: `void cgSetParameter2fv(CGparameter param, const float * v);`
`static void` | `cgSetParameter2i(CGparameter param, int x, int y)` Interface to C language function: `void cgSetParameter2i(CGparameter param, int x, int y);`
`static void` | `cgSetParameter2iv(CGparameter param, int[] v, int v_offset)` Interface to C language function: `void cgSetParameter2iv(CGparameter param, const int * v);`
`static void` | `cgSetParameter2iv(CGparameter param, IntBuffer v)` Interface to C language function: `void cgSetParameter2iv(CGparameter param, const int * v);`
`static void` | `cgSetParameter3d(CGparameter param, double x, double y, double z)` Interface to C language function: `void cgSetParameter3d(CGparameter param, double x, double y, double z);`
`static void` | `cgSetParameter3dv(CGparameter param, double[] v, int v_offset)` Interface to C language function: `void cgSetParameter3dv(CGparameter param, const double * v);`
`static void` | `cgSetParameter3dv(CGparameter param, DoubleBuffer v)` Interface to C language function: `void cgSetParameter3dv(CGparameter param, const double * v);`
`static void` | `cgSetParameter3f(CGparameter param, float x, float y, float z)` Interface to C language function: `void cgSetParameter3f(CGparameter param, float x, float y, float z);`
`static void` | `cgSetParameter3fv(CGparameter param, float[] v, int v_offset)` Interface to C language function: `void cgSetParameter3fv(CGparameter param, const float * v);`
`static void` | `cgSetParameter3fv(CGparameter param, FloatBuffer v)` Interface to C language function: `void cgSetParameter3fv(CGparameter param, const float * v);`
`static void` | `cgSetParameter3i(CGparameter param, int x, int y, int z)` Interface to C language function: `void cgSetParameter3i(CGparameter param, int x, int y, int z);`
`static void` | `cgSetParameter3iv(CGparameter param, int[] v, int v_offset)` Interface to C language function: `void cgSetParameter3iv(CGparameter param, const int * v);`
`static void` | `cgSetParameter3iv(CGparameter param, IntBuffer v)` Interface to C language function: `void cgSetParameter3iv(CGparameter param, const int * v);`
`static void` | `cgSetParameter4d(CGparameter param, double x, double y, double z, double w)` Interface to C language function: `void cgSetParameter4d(CGparameter param, double x, double y, double z, double w);`
`static void` | `cgSetParameter4dv(CGparameter param, double[] v, int v_offset)` Interface to C language function: `void cgSetParameter4dv(CGparameter param, const double * v);`
`static void` | `cgSetParameter4dv(CGparameter param, DoubleBuffer v)` Interface to C language function: `void cgSetParameter4dv(CGparameter param, const double * v);`
`static void` | `cgSetParameter4f(CGparameter param, float x, float y, float z, float w)` Interface to C language function: `void cgSetParameter4f(CGparameter param, float x, float y, float z, float w);`
`static void` | `cgSetParameter4fv(CGparameter param, float[] v, int v_offset)` Interface to C language function: `void cgSetParameter4fv(CGparameter param, const float * v);`
`static void` | `cgSetParameter4fv(CGparameter param, FloatBuffer v)` Interface to C language function: `void cgSetParameter4fv(CGparameter param, const float * v);`
`static void` | `cgSetParameter4i(CGparameter param, int x, int y, int z, int w)` Interface to C language function: `void cgSetParameter4i(CGparameter param, int x, int y, int z, int w);`
`static void` | `cgSetParameter4iv(CGparameter param, int[] v, int v_offset)` Interface to C language function: `void cgSetParameter4iv(CGparameter param, const int * v);`
`static void` | `cgSetParameter4iv(CGparameter param, IntBuffer v)` Interface to C language function: `void cgSetParameter4iv(CGparameter param, const int * v);`
`static void` | `cgSetParameterSemantic(CGparameter param, String semantic)` Interface to C language function: `void cgSetParameterSemantic(CGparameter param, const char * semantic);`
`static void` | `cgSetParameterValuedc(CGparameter param, int n, double[] vals, int vals_offset)` Interface to C language function: `void cgSetParameterValuedc(CGparameter param, int n, const double * vals);`
`static void` | `cgSetParameterValuedc(CGparameter param, int n, DoubleBuffer vals)` Interface to C language function: `void cgSetParameterValuedc(CGparameter param, int n, const double * vals);`
`static void` | `cgSetParameterValuedr(CGparameter param, int n, double[] vals, int vals_offset)` Interface to C language function: `void cgSetParameterValuedr(CGparameter param, int n, const double * vals);`
`static void` | `cgSetParameterValuedr(CGparameter param, int n, DoubleBuffer vals)` Interface to C language function: `void cgSetParameterValuedr(CGparameter param, int n, const double * vals);`
`static void` | `cgSetParameterValuefc(CGparameter param, int n, float[] vals, int vals_offset)` Interface to C language function: `void cgSetParameterValuefc(CGparameter param, int n, const float * vals);`
`static void` | `cgSetParameterValuefc(CGparameter param, int n, FloatBuffer vals)` Interface to C language function: `void cgSetParameterValuefc(CGparameter param, int n, const float * vals);`
`static void` | `cgSetParameterValuefr(CGparameter param, int n, float[] vals, int vals_offset)` Interface to C language function: `void cgSetParameterValuefr(CGparameter param, int n, const float * vals);`
`static void` | `cgSetParameterValuefr(CGparameter param, int n, FloatBuffer vals)` Interface to C language function: `void cgSetParameterValuefr(CGparameter param, int n, const float * vals);`
`static void` | `cgSetParameterValueic(CGparameter param, int n, int[] vals, int vals_offset)` Interface to C language function: `void cgSetParameterValueic(CGparameter param, int n, const int * vals);`
`static void` | `cgSetParameterValueic(CGparameter param, int n, IntBuffer vals)` Interface to C language function: `void cgSetParameterValueic(CGparameter param, int n, const int * vals);`
`static void` | `cgSetParameterValueir(CGparameter param, int n, int[] vals, int vals_offset)` Interface to C language function: `void cgSetParameterValueir(CGparameter param, int n, const int * vals);`
`static void` | `cgSetParameterValueir(CGparameter param, int n, IntBuffer vals)` Interface to C language function: `void cgSetParameterValueir(CGparameter param, int n, const int * vals);`
`static void` | `cgSetParameterVariability(CGparameter param, int vary)` Interface to C language function: `void cgSetParameterVariability(CGparameter param, CGenum vary);`
`static void` | `cgSetPassProgramParameters(CGprogram arg0)` Interface to C language function: `void cgSetPassProgramParameters(CGprogram);`
`static void` | `cgSetPassState(CGpass arg0)` Interface to C language function: `void cgSetPassState(CGpass);`
`static void` | `cgSetProgramProfile(CGprogram prog, int profile)` Interface to C language function: `void cgSetProgramProfile(CGprogram prog, CGprofile profile);`
`static void` | `cgSetSamplerState(CGparameter arg0)` Interface to C language function: `void cgSetSamplerState(CGparameter);`
`static void` | `cgSetStringParameterValue(CGparameter param, String str)` Interface to C language function: `void cgSetStringParameterValue(CGparameter param, const char * str);`
`static boolean` | `cgValidateTechnique(CGtechnique arg0)` Interface to C language function: `CGbool cgValidateTechnique(CGtechnique);`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CG_TEXUNIT0

    public static final int CG_TEXUNIT0

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_TEXUNIT1

    public static final int CG_TEXUNIT1

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_TEXUNIT2

    public static final int CG_TEXUNIT2

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_TEXUNIT3

    public static final int CG_TEXUNIT3

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_TEXUNIT4

    public static final int CG_TEXUNIT4

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_TEXUNIT5

    public static final int CG_TEXUNIT5

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_TEXUNIT6

    public static final int CG_TEXUNIT6

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_TEXUNIT7

    public static final int CG_TEXUNIT7

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_TEXUNIT8

    public static final int CG_TEXUNIT8

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_TEXUNIT9

    public static final int CG_TEXUNIT9

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_TEXUNIT10

    public static final int CG_TEXUNIT10

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_TEXUNIT11

    public static final int CG_TEXUNIT11

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_TEXUNIT12

    public static final int CG_TEXUNIT12

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_TEXUNIT13

    public static final int CG_TEXUNIT13

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_TEXUNIT14

    public static final int CG_TEXUNIT14

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_TEXUNIT15

    public static final int CG_TEXUNIT15

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_ATTR0

    public static final int CG_ATTR0

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_ATTR1

    public static final int CG_ATTR1

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_ATTR2

    public static final int CG_ATTR2

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_ATTR3

    public static final int CG_ATTR3

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_ATTR4

    public static final int CG_ATTR4

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_ATTR5

    public static final int CG_ATTR5

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_ATTR6

    public static final int CG_ATTR6

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_ATTR7

    public static final int CG_ATTR7

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_ATTR8

    public static final int CG_ATTR8

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_ATTR9

    public static final int CG_ATTR9

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_ATTR10

    public static final int CG_ATTR10

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_ATTR11

    public static final int CG_ATTR11

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_ATTR12

    public static final int CG_ATTR12

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_ATTR13

    public static final int CG_ATTR13

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_ATTR14

    public static final int CG_ATTR14

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_ATTR15

    public static final int CG_ATTR15

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_C

    public static final int CG_C

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_TEX0

    public static final int CG_TEX0

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_TEX1

    public static final int CG_TEX1

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_TEX2

    public static final int CG_TEX2

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_TEX3

    public static final int CG_TEX3

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_TEX4

    public static final int CG_TEX4

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_TEX5

    public static final int CG_TEX5

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_TEX6

    public static final int CG_TEX6

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_TEX7

    public static final int CG_TEX7

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_HPOS

    public static final int CG_HPOS

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_COL0

    public static final int CG_COL0

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_COL1

    public static final int CG_COL1

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_COL2

    public static final int CG_COL2

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_COL3

    public static final int CG_COL3

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_PSIZ

    public static final int CG_PSIZ

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_WPOS

    public static final int CG_WPOS

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_POSITION0

    public static final int CG_POSITION0

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_POSITION1

    public static final int CG_POSITION1

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_POSITION2

    public static final int CG_POSITION2

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_POSITION3

    public static final int CG_POSITION3

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_POSITION4

    public static final int CG_POSITION4

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_POSITION5

    public static final int CG_POSITION5

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_POSITION6

    public static final int CG_POSITION6

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_POSITION7

    public static final int CG_POSITION7

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_POSITION8

    public static final int CG_POSITION8

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_POSITION9

    public static final int CG_POSITION9

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_POSITION10

    public static final int CG_POSITION10

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_POSITION11

    public static final int CG_POSITION11

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_POSITION12

    public static final int CG_POSITION12

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_POSITION13

    public static final int CG_POSITION13

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_POSITION14

    public static final int CG_POSITION14

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_POSITION15

    public static final int CG_POSITION15

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_DIFFUSE0

    public static final int CG_DIFFUSE0

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_TANGENT0

    public static final int CG_TANGENT0

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_TANGENT1

    public static final int CG_TANGENT1

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_TANGENT2

    public static final int CG_TANGENT2

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_TANGENT3

    public static final int CG_TANGENT3

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_TANGENT4

    public static final int CG_TANGENT4

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_TANGENT5

    public static final int CG_TANGENT5

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_TANGENT6

    public static final int CG_TANGENT6

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_TANGENT7

    public static final int CG_TANGENT7

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_TANGENT8

    public static final int CG_TANGENT8

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_TANGENT9

    public static final int CG_TANGENT9

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_TANGENT10

    public static final int CG_TANGENT10

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_TANGENT11

    public static final int CG_TANGENT11

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_TANGENT12

    public static final int CG_TANGENT12

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_TANGENT13

    public static final int CG_TANGENT13

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_TANGENT14

    public static final int CG_TANGENT14

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_TANGENT15

    public static final int CG_TANGENT15

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_SPECULAR0

    public static final int CG_SPECULAR0

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_BLENDINDICES0

    public static final int CG_BLENDINDICES0

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_BLENDINDICES1

    public static final int CG_BLENDINDICES1

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_BLENDINDICES2

    public static final int CG_BLENDINDICES2

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_BLENDINDICES3

    public static final int CG_BLENDINDICES3

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_BLENDINDICES4

    public static final int CG_BLENDINDICES4

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_BLENDINDICES5

    public static final int CG_BLENDINDICES5

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_BLENDINDICES6

    public static final int CG_BLENDINDICES6

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_BLENDINDICES7

    public static final int CG_BLENDINDICES7

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_BLENDINDICES8

    public static final int CG_BLENDINDICES8

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_BLENDINDICES9

    public static final int CG_BLENDINDICES9

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_BLENDINDICES10

    public static final int CG_BLENDINDICES10

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_BLENDINDICES11

    public static final int CG_BLENDINDICES11

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_BLENDINDICES12

    public static final int CG_BLENDINDICES12

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_BLENDINDICES13

    public static final int CG_BLENDINDICES13

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_BLENDINDICES14

    public static final int CG_BLENDINDICES14

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_BLENDINDICES15

    public static final int CG_BLENDINDICES15

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_COLOR0

    public static final int CG_COLOR0

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_COLOR1

    public static final int CG_COLOR1

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_COLOR2

    public static final int CG_COLOR2

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_COLOR3

    public static final int CG_COLOR3

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_COLOR4

    public static final int CG_COLOR4

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_COLOR5

    public static final int CG_COLOR5

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_COLOR6

    public static final int CG_COLOR6

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_COLOR7

    public static final int CG_COLOR7

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_COLOR8

    public static final int CG_COLOR8

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_COLOR9

    public static final int CG_COLOR9

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_COLOR10

    public static final int CG_COLOR10

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_COLOR11

    public static final int CG_COLOR11

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_COLOR12

    public static final int CG_COLOR12

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_COLOR13

    public static final int CG_COLOR13

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_COLOR14

    public static final int CG_COLOR14

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_COLOR15

    public static final int CG_COLOR15

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_PSIZE0

    public static final int CG_PSIZE0

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_PSIZE1

    public static final int CG_PSIZE1

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_PSIZE2

    public static final int CG_PSIZE2

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_PSIZE3

    public static final int CG_PSIZE3

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_PSIZE4

    public static final int CG_PSIZE4

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_PSIZE5

    public static final int CG_PSIZE5

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_PSIZE6

    public static final int CG_PSIZE6

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_PSIZE7

    public static final int CG_PSIZE7

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_PSIZE8

    public static final int CG_PSIZE8

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_PSIZE9

    public static final int CG_PSIZE9

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_PSIZE10

    public static final int CG_PSIZE10

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_PSIZE11

    public static final int CG_PSIZE11

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_PSIZE12

    public static final int CG_PSIZE12

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_PSIZE13

    public static final int CG_PSIZE13

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_PSIZE14

    public static final int CG_PSIZE14

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_PSIZE15

    public static final int CG_PSIZE15

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_BINORMAL0

    public static final int CG_BINORMAL0

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_BINORMAL1

    public static final int CG_BINORMAL1

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_BINORMAL2

    public static final int CG_BINORMAL2

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_BINORMAL3

    public static final int CG_BINORMAL3

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_BINORMAL4

    public static final int CG_BINORMAL4

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_BINORMAL5

    public static final int CG_BINORMAL5

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_BINORMAL6

    public static final int CG_BINORMAL6

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_BINORMAL7

    public static final int CG_BINORMAL7

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_BINORMAL8

    public static final int CG_BINORMAL8

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_BINORMAL9

    public static final int CG_BINORMAL9

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_BINORMAL10

    public static final int CG_BINORMAL10

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_BINORMAL11

    public static final int CG_BINORMAL11

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_BINORMAL12

    public static final int CG_BINORMAL12

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_BINORMAL13

    public static final int CG_BINORMAL13

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_BINORMAL14

    public static final int CG_BINORMAL14

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_BINORMAL15

    public static final int CG_BINORMAL15

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_FOG0

    public static final int CG_FOG0

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_FOG1

    public static final int CG_FOG1

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_FOG2

    public static final int CG_FOG2

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_FOG3

    public static final int CG_FOG3

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_FOG4

    public static final int CG_FOG4

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_FOG5

    public static final int CG_FOG5

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_FOG6

    public static final int CG_FOG6

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_FOG7

    public static final int CG_FOG7

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_FOG8

    public static final int CG_FOG8

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_FOG9

    public static final int CG_FOG9

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_FOG10

    public static final int CG_FOG10

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_FOG11

    public static final int CG_FOG11

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_FOG12

    public static final int CG_FOG12

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_FOG13

    public static final int CG_FOG13

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_FOG14

    public static final int CG_FOG14

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_FOG15

    public static final int CG_FOG15

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_DEPTH0

    public static final int CG_DEPTH0

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_DEPTH1

    public static final int CG_DEPTH1

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_DEPTH2

    public static final int CG_DEPTH2

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_DEPTH3

    public static final int CG_DEPTH3

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_DEPTH4

    public static final int CG_DEPTH4

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_DEPTH5

    public static final int CG_DEPTH5

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_DEPTH6

    public static final int CG_DEPTH6

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_DEPTH7

    public static final int CG_DEPTH7

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_DEPTH8

    public static final int CG_DEPTH8

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_DEPTH9

    public static final int CG_DEPTH9

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_DEPTH10

    public static final int CG_DEPTH10

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_DEPTH11

    public static final int CG_DEPTH11

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_DEPTH12

    public static final int CG_DEPTH12

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_DEPTH13

    public static final int CG_DEPTH13

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_DEPTH14

    public static final int CG_DEPTH14

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_DEPTH15

    public static final int CG_DEPTH15

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_SAMPLE0

    public static final int CG_SAMPLE0

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_SAMPLE1

    public static final int CG_SAMPLE1

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_SAMPLE2

    public static final int CG_SAMPLE2

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_SAMPLE3

    public static final int CG_SAMPLE3

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_SAMPLE4

    public static final int CG_SAMPLE4

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_SAMPLE5

    public static final int CG_SAMPLE5

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_SAMPLE6

    public static final int CG_SAMPLE6

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_SAMPLE7

    public static final int CG_SAMPLE7

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_SAMPLE8

    public static final int CG_SAMPLE8

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_SAMPLE9

    public static final int CG_SAMPLE9

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_SAMPLE10

    public static final int CG_SAMPLE10

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_SAMPLE11

    public static final int CG_SAMPLE11

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_SAMPLE12

    public static final int CG_SAMPLE12

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_SAMPLE13

    public static final int CG_SAMPLE13

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_SAMPLE14

    public static final int CG_SAMPLE14

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_SAMPLE15

    public static final int CG_SAMPLE15

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_BLENDWEIGHT0

    public static final int CG_BLENDWEIGHT0

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_BLENDWEIGHT1

    public static final int CG_BLENDWEIGHT1

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_BLENDWEIGHT2

    public static final int CG_BLENDWEIGHT2

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_BLENDWEIGHT3

    public static final int CG_BLENDWEIGHT3

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_BLENDWEIGHT4

    public static final int CG_BLENDWEIGHT4

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_BLENDWEIGHT5

    public static final int CG_BLENDWEIGHT5

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_BLENDWEIGHT6

    public static final int CG_BLENDWEIGHT6

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_BLENDWEIGHT7

    public static final int CG_BLENDWEIGHT7

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_BLENDWEIGHT8

    public static final int CG_BLENDWEIGHT8

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_BLENDWEIGHT9

    public static final int CG_BLENDWEIGHT9

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_BLENDWEIGHT10

    public static final int CG_BLENDWEIGHT10

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_BLENDWEIGHT11

    public static final int CG_BLENDWEIGHT11

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_BLENDWEIGHT12

    public static final int CG_BLENDWEIGHT12

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_BLENDWEIGHT13

    public static final int CG_BLENDWEIGHT13

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_BLENDWEIGHT14

    public static final int CG_BLENDWEIGHT14

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_BLENDWEIGHT15

    public static final int CG_BLENDWEIGHT15

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_NORMAL0

    public static final int CG_NORMAL0

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_NORMAL1

    public static final int CG_NORMAL1

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_NORMAL2

    public static final int CG_NORMAL2

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_NORMAL3

    public static final int CG_NORMAL3

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_NORMAL4

    public static final int CG_NORMAL4

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_NORMAL5

    public static final int CG_NORMAL5

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_NORMAL6

    public static final int CG_NORMAL6

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_NORMAL7

    public static final int CG_NORMAL7

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_NORMAL8

    public static final int CG_NORMAL8

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_NORMAL9

    public static final int CG_NORMAL9

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_NORMAL10

    public static final int CG_NORMAL10

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_NORMAL11

    public static final int CG_NORMAL11

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_NORMAL12

    public static final int CG_NORMAL12

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_NORMAL13

    public static final int CG_NORMAL13

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_NORMAL14

    public static final int CG_NORMAL14

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_NORMAL15

    public static final int CG_NORMAL15

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_FOGCOORD

    public static final int CG_FOGCOORD

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_TEXCOORD0

    public static final int CG_TEXCOORD0

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_TEXCOORD1

    public static final int CG_TEXCOORD1

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_TEXCOORD2

    public static final int CG_TEXCOORD2

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_TEXCOORD3

    public static final int CG_TEXCOORD3

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_TEXCOORD4

    public static final int CG_TEXCOORD4

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_TEXCOORD5

    public static final int CG_TEXCOORD5

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_TEXCOORD6

    public static final int CG_TEXCOORD6

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_TEXCOORD7

    public static final int CG_TEXCOORD7

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_TEXCOORD8

    public static final int CG_TEXCOORD8

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_TEXCOORD9

    public static final int CG_TEXCOORD9

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_TEXCOORD10

    public static final int CG_TEXCOORD10

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_TEXCOORD11

    public static final int CG_TEXCOORD11

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_TEXCOORD12

    public static final int CG_TEXCOORD12

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_TEXCOORD13

    public static final int CG_TEXCOORD13

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_TEXCOORD14

    public static final int CG_TEXCOORD14

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_TEXCOORD15

    public static final int CG_TEXCOORD15

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_COMBINER_CONST0

    public static final int CG_COMBINER_CONST0

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_COMBINER_CONST1

    public static final int CG_COMBINER_CONST1

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_COMBINER_STAGE_CONST0

    public static final int CG_COMBINER_STAGE_CONST0

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_COMBINER_STAGE_CONST1

    public static final int CG_COMBINER_STAGE_CONST1

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_OFFSET_TEXTURE_MATRIX

    public static final int CG_OFFSET_TEXTURE_MATRIX

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_OFFSET_TEXTURE_SCALE

    public static final int CG_OFFSET_TEXTURE_SCALE

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_OFFSET_TEXTURE_BIAS

    public static final int CG_OFFSET_TEXTURE_BIAS

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_CONST_EYE

    public static final int CG_CONST_EYE

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_TESSFACTOR

    public static final int CG_TESSFACTOR

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_UNDEFINED

    public static final int CG_UNDEFINED

  Defined as part of enum type "CGresource"

  See Also:
    Constant Field Values

### CG_UNKNOWN_TYPE

    public static final int CG_UNKNOWN_TYPE

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_STRUCT

    public static final int CG_STRUCT

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_ARRAY

    public static final int CG_ARRAY

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_TYPE_START_ENUM

    public static final int CG_TYPE_START_ENUM

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_HALF

    public static final int CG_HALF

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_HALF2

    public static final int CG_HALF2

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_HALF3

    public static final int CG_HALF3

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_HALF4

    public static final int CG_HALF4

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_HALF1x1

    public static final int CG_HALF1x1

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_HALF1x2

    public static final int CG_HALF1x2

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_HALF1x3

    public static final int CG_HALF1x3

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_HALF1x4

    public static final int CG_HALF1x4

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_HALF2x1

    public static final int CG_HALF2x1

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_HALF2x2

    public static final int CG_HALF2x2

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_HALF2x3

    public static final int CG_HALF2x3

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_HALF2x4

    public static final int CG_HALF2x4

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_HALF3x1

    public static final int CG_HALF3x1

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_HALF3x2

    public static final int CG_HALF3x2

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_HALF3x3

    public static final int CG_HALF3x3

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_HALF3x4

    public static final int CG_HALF3x4

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_HALF4x1

    public static final int CG_HALF4x1

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_HALF4x2

    public static final int CG_HALF4x2

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_HALF4x3

    public static final int CG_HALF4x3

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_HALF4x4

    public static final int CG_HALF4x4

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_FLOAT

    public static final int CG_FLOAT

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_FLOAT2

    public static final int CG_FLOAT2

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_FLOAT3

    public static final int CG_FLOAT3

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_FLOAT4

    public static final int CG_FLOAT4

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_FLOAT1x1

    public static final int CG_FLOAT1x1

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_FLOAT1x2

    public static final int CG_FLOAT1x2

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_FLOAT1x3

    public static final int CG_FLOAT1x3

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_FLOAT1x4

    public static final int CG_FLOAT1x4

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_FLOAT2x1

    public static final int CG_FLOAT2x1

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_FLOAT2x2

    public static final int CG_FLOAT2x2

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_FLOAT2x3

    public static final int CG_FLOAT2x3

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_FLOAT2x4

    public static final int CG_FLOAT2x4

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_FLOAT3x1

    public static final int CG_FLOAT3x1

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_FLOAT3x2

    public static final int CG_FLOAT3x2

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_FLOAT3x3

    public static final int CG_FLOAT3x3

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_FLOAT3x4

    public static final int CG_FLOAT3x4

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_FLOAT4x1

    public static final int CG_FLOAT4x1

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_FLOAT4x2

    public static final int CG_FLOAT4x2

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_FLOAT4x3

    public static final int CG_FLOAT4x3

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_FLOAT4x4

    public static final int CG_FLOAT4x4

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_SAMPLER1D

    public static final int CG_SAMPLER1D

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_SAMPLER2D

    public static final int CG_SAMPLER2D

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_SAMPLER3D

    public static final int CG_SAMPLER3D

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_SAMPLERRECT

    public static final int CG_SAMPLERRECT

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_SAMPLERCUBE

    public static final int CG_SAMPLERCUBE

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_FIXED

    public static final int CG_FIXED

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_FIXED2

    public static final int CG_FIXED2

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_FIXED3

    public static final int CG_FIXED3

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_FIXED4

    public static final int CG_FIXED4

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_FIXED1x1

    public static final int CG_FIXED1x1

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_FIXED1x2

    public static final int CG_FIXED1x2

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_FIXED1x3

    public static final int CG_FIXED1x3

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_FIXED1x4

    public static final int CG_FIXED1x4

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_FIXED2x1

    public static final int CG_FIXED2x1

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_FIXED2x2

    public static final int CG_FIXED2x2

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_FIXED2x3

    public static final int CG_FIXED2x3

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_FIXED2x4

    public static final int CG_FIXED2x4

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_FIXED3x1

    public static final int CG_FIXED3x1

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_FIXED3x2

    public static final int CG_FIXED3x2

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_FIXED3x3

    public static final int CG_FIXED3x3

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_FIXED3x4

    public static final int CG_FIXED3x4

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_FIXED4x1

    public static final int CG_FIXED4x1

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_FIXED4x2

    public static final int CG_FIXED4x2

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_FIXED4x3

    public static final int CG_FIXED4x3

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_FIXED4x4

    public static final int CG_FIXED4x4

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_HALF1

    public static final int CG_HALF1

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_FLOAT1

    public static final int CG_FLOAT1

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_FIXED1

    public static final int CG_FIXED1

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_INT

    public static final int CG_INT

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_INT1

    public static final int CG_INT1

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_INT2

    public static final int CG_INT2

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_INT3

    public static final int CG_INT3

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_INT4

    public static final int CG_INT4

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_INT1x1

    public static final int CG_INT1x1

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_INT1x2

    public static final int CG_INT1x2

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_INT1x3

    public static final int CG_INT1x3

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_INT1x4

    public static final int CG_INT1x4

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_INT2x1

    public static final int CG_INT2x1

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_INT2x2

    public static final int CG_INT2x2

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_INT2x3

    public static final int CG_INT2x3

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_INT2x4

    public static final int CG_INT2x4

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_INT3x1

    public static final int CG_INT3x1

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_INT3x2

    public static final int CG_INT3x2

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_INT3x3

    public static final int CG_INT3x3

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_INT3x4

    public static final int CG_INT3x4

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_INT4x1

    public static final int CG_INT4x1

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_INT4x2

    public static final int CG_INT4x2

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_INT4x3

    public static final int CG_INT4x3

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_INT4x4

    public static final int CG_INT4x4

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_BOOL

    public static final int CG_BOOL

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_BOOL1

    public static final int CG_BOOL1

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_BOOL2

    public static final int CG_BOOL2

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_BOOL3

    public static final int CG_BOOL3

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_BOOL4

    public static final int CG_BOOL4

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_BOOL1x1

    public static final int CG_BOOL1x1

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_BOOL1x2

    public static final int CG_BOOL1x2

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_BOOL1x3

    public static final int CG_BOOL1x3

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_BOOL1x4

    public static final int CG_BOOL1x4

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_BOOL2x1

    public static final int CG_BOOL2x1

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_BOOL2x2

    public static final int CG_BOOL2x2

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_BOOL2x3

    public static final int CG_BOOL2x3

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_BOOL2x4

    public static final int CG_BOOL2x4

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_BOOL3x1

    public static final int CG_BOOL3x1

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_BOOL3x2

    public static final int CG_BOOL3x2

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_BOOL3x3

    public static final int CG_BOOL3x3

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_BOOL3x4

    public static final int CG_BOOL3x4

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_BOOL4x1

    public static final int CG_BOOL4x1

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_BOOL4x2

    public static final int CG_BOOL4x2

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_BOOL4x3

    public static final int CG_BOOL4x3

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_BOOL4x4

    public static final int CG_BOOL4x4

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_STRING

    public static final int CG_STRING

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_PROGRAM_TYPE

    public static final int CG_PROGRAM_TYPE

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_TEXTURE

    public static final int CG_TEXTURE

  Defined as part of enum type "CGtype"

  See Also:
    Constant Field Values

### CG_UNKNOWN

    public static final int CG_UNKNOWN

  Defined as part of enum type "CGenum"

  See Also:
    Constant Field Values

### CG_IN

    public static final int CG_IN

  Defined as part of enum type "CGenum"

  See Also:
    Constant Field Values

### CG_OUT

    public static final int CG_OUT

  Defined as part of enum type "CGenum"

  See Also:
    Constant Field Values

### CG_INOUT

    public static final int CG_INOUT

  Defined as part of enum type "CGenum"

  See Also:
    Constant Field Values

### CG_MIXED

    public static final int CG_MIXED

  Defined as part of enum type "CGenum"

  See Also:
    Constant Field Values

### CG_VARYING

    public static final int CG_VARYING

  Defined as part of enum type "CGenum"

  See Also:
    Constant Field Values

### CG_UNIFORM

    public static final int CG_UNIFORM

  Defined as part of enum type "CGenum"

  See Also:
    Constant Field Values

### CG_CONSTANT

    public static final int CG_CONSTANT

  Defined as part of enum type "CGenum"

  See Also:
    Constant Field Values

### CG_PROGRAM_SOURCE

    public static final int CG_PROGRAM_SOURCE

  Defined as part of enum type "CGenum"

  See Also:
    Constant Field Values

### CG_PROGRAM_ENTRY

    public static final int CG_PROGRAM_ENTRY

  Defined as part of enum type "CGenum"

  See Also:
    Constant Field Values

### CG_COMPILED_PROGRAM

    public static final int CG_COMPILED_PROGRAM

  Defined as part of enum type "CGenum"

  See Also:
    Constant Field Values

### CG_PROGRAM_PROFILE

    public static final int CG_PROGRAM_PROFILE

  Defined as part of enum type "CGenum"

  See Also:
    Constant Field Values

### CG_GLOBAL

    public static final int CG_GLOBAL

  Defined as part of enum type "CGenum"

  See Also:
    Constant Field Values

### CG_PROGRAM

    public static final int CG_PROGRAM

  Defined as part of enum type "CGenum"

  See Also:
    Constant Field Values

### CG_DEFAULT

    public static final int CG_DEFAULT

  Defined as part of enum type "CGenum"

  See Also:
    Constant Field Values

### CG_ERROR

    public static final int CG_ERROR

  Defined as part of enum type "CGenum"

  See Also:
    Constant Field Values

### CG_SOURCE

    public static final int CG_SOURCE

  Defined as part of enum type "CGenum"

  See Also:
    Constant Field Values

### CG_OBJECT

    public static final int CG_OBJECT

  Defined as part of enum type "CGenum"

  See Also:
    Constant Field Values

### CG_COMPILE_MANUAL

    public static final int CG_COMPILE_MANUAL

  Defined as part of enum type "CGenum"

  See Also:
    Constant Field Values

### CG_COMPILE_IMMEDIATE

    public static final int CG_COMPILE_IMMEDIATE

  Defined as part of enum type "CGenum"

  See Also:
    Constant Field Values

### CG_COMPILE_LAZY

    public static final int CG_COMPILE_LAZY

  Defined as part of enum type "CGenum"

  See Also:
    Constant Field Values

### CG_CURRENT

    public static final int CG_CURRENT

  Defined as part of enum type "CGenum"

  See Also:
    Constant Field Values

### CG_LITERAL

    public static final int CG_LITERAL

  Defined as part of enum type "CGenum"

  See Also:
    Constant Field Values

### CG_VERSION

    public static final int CG_VERSION

  Defined as part of enum type "CGenum"

  See Also:
    Constant Field Values

### CG_ROW_MAJOR

    public static final int CG_ROW_MAJOR

  Defined as part of enum type "CGenum"

  See Also:
    Constant Field Values

### CG_COLUMN_MAJOR

    public static final int CG_COLUMN_MAJOR

  Defined as part of enum type "CGenum"

  See Also:
    Constant Field Values

### CG_PARAMETERCLASS_UNKNOWN

    public static final int CG_PARAMETERCLASS_UNKNOWN

  Defined as part of enum type "CGparameterclass"

  See Also:
    Constant Field Values

### CG_PARAMETERCLASS_SCALAR

    public static final int CG_PARAMETERCLASS_SCALAR

  Defined as part of enum type "CGparameterclass"

  See Also:
    Constant Field Values

### CG_PARAMETERCLASS_VECTOR

    public static final int CG_PARAMETERCLASS_VECTOR

  Defined as part of enum type "CGparameterclass"

  See Also:
    Constant Field Values

### CG_PARAMETERCLASS_MATRIX

    public static final int CG_PARAMETERCLASS_MATRIX

  Defined as part of enum type "CGparameterclass"

  See Also:
    Constant Field Values

### CG_PARAMETERCLASS_STRUCT

    public static final int CG_PARAMETERCLASS_STRUCT

  Defined as part of enum type "CGparameterclass"

  See Also:
    Constant Field Values

### CG_PARAMETERCLASS_ARRAY

    public static final int CG_PARAMETERCLASS_ARRAY

  Defined as part of enum type "CGparameterclass"

  See Also:
    Constant Field Values

### CG_PARAMETERCLASS_SAMPLER

    public static final int CG_PARAMETERCLASS_SAMPLER

  Defined as part of enum type "CGparameterclass"

  See Also:
    Constant Field Values

### CG_PARAMETERCLASS_OBJECT

    public static final int CG_PARAMETERCLASS_OBJECT

  Defined as part of enum type "CGparameterclass"

  See Also:
    Constant Field Values

### CG_PROFILE_START

    public static final int CG_PROFILE_START

  Defined as part of enum type "CGprofile"

  See Also:
    Constant Field Values

### CG_PROFILE_UNKNOWN

    public static final int CG_PROFILE_UNKNOWN

  Defined as part of enum type "CGprofile"

  See Also:
    Constant Field Values

### CG_PROFILE_VP20

    public static final int CG_PROFILE_VP20

  Defined as part of enum type "CGprofile"

  See Also:
    Constant Field Values

### CG_PROFILE_FP20

    public static final int CG_PROFILE_FP20

  Defined as part of enum type "CGprofile"

  See Also:
    Constant Field Values

### CG_PROFILE_VP30

    public static final int CG_PROFILE_VP30

  Defined as part of enum type "CGprofile"

  See Also:
    Constant Field Values

### CG_PROFILE_FP30

    public static final int CG_PROFILE_FP30

  Defined as part of enum type "CGprofile"

  See Also:
    Constant Field Values

### CG_PROFILE_ARBVP1

    public static final int CG_PROFILE_ARBVP1

  Defined as part of enum type "CGprofile"

  See Also:
    Constant Field Values

### CG_PROFILE_FP40

    public static final int CG_PROFILE_FP40

  Defined as part of enum type "CGprofile"

  See Also:
    Constant Field Values

### CG_PROFILE_ARBFP1

    public static final int CG_PROFILE_ARBFP1

  Defined as part of enum type "CGprofile"

  See Also:
    Constant Field Values

### CG_PROFILE_VP40

    public static final int CG_PROFILE_VP40

  Defined as part of enum type "CGprofile"

  See Also:
    Constant Field Values

### CG_PROFILE_VS_1_1

    public static final int CG_PROFILE_VS_1_1

  Defined as part of enum type "CGprofile"

  See Also:
    Constant Field Values

### CG_PROFILE_VS_2_0

    public static final int CG_PROFILE_VS_2_0

  Defined as part of enum type "CGprofile"

  See Also:
    Constant Field Values

### CG_PROFILE_VS_2_X

    public static final int CG_PROFILE_VS_2_X

  Defined as part of enum type "CGprofile"

  See Also:
    Constant Field Values

### CG_PROFILE_PS_1_1

    public static final int CG_PROFILE_PS_1_1

  Defined as part of enum type "CGprofile"

  See Also:
    Constant Field Values

### CG_PROFILE_PS_1_2

    public static final int CG_PROFILE_PS_1_2

  Defined as part of enum type "CGprofile"

  See Also:
    Constant Field Values

### CG_PROFILE_PS_1_3

    public static final int CG_PROFILE_PS_1_3

  Defined as part of enum type "CGprofile"

  See Also:
    Constant Field Values

### CG_PROFILE_PS_2_0

    public static final int CG_PROFILE_PS_2_0

  Defined as part of enum type "CGprofile"

  See Also:
    Constant Field Values

### CG_PROFILE_PS_2_X

    public static final int CG_PROFILE_PS_2_X

  Defined as part of enum type "CGprofile"

  See Also:
    Constant Field Values

### GENERIC

    public static final int GENERIC

  Defined as part of enum type "CGprofile"

  See Also:
    Constant Field Values

### CG_PROFILE_MAX

    public static final int CG_PROFILE_MAX

  Defined as part of enum type "CGprofile"

  See Also:
    Constant Field Values

### CG_NO_ERROR

    public static final int CG_NO_ERROR

  Defined as part of enum type "CGerror"

  See Also:
    Constant Field Values

### CG_COMPILER_ERROR

    public static final int CG_COMPILER_ERROR

  Defined as part of enum type "CGerror"

  See Also:
    Constant Field Values

### CG_INVALID_PARAMETER_ERROR

    public static final int CG_INVALID_PARAMETER_ERROR

  Defined as part of enum type "CGerror"

  See Also:
    Constant Field Values

### CG_INVALID_PROFILE_ERROR

    public static final int CG_INVALID_PROFILE_ERROR

  Defined as part of enum type "CGerror"

  See Also:
    Constant Field Values

### CG_PROGRAM_LOAD_ERROR

    public static final int CG_PROGRAM_LOAD_ERROR

  Defined as part of enum type "CGerror"

  See Also:
    Constant Field Values

### CG_PROGRAM_BIND_ERROR

    public static final int CG_PROGRAM_BIND_ERROR

  Defined as part of enum type "CGerror"

  See Also:
    Constant Field Values

### CG_PROGRAM_NOT_LOADED_ERROR

    public static final int CG_PROGRAM_NOT_LOADED_ERROR

  Defined as part of enum type "CGerror"

  See Also:
    Constant Field Values

### CG_UNSUPPORTED_GL_EXTENSION_ERROR

    public static final int CG_UNSUPPORTED_GL_EXTENSION_ERROR

  Defined as part of enum type "CGerror"

  See Also:
    Constant Field Values

### CG_INVALID_VALUE_TYPE_ERROR

    public static final int CG_INVALID_VALUE_TYPE_ERROR

  Defined as part of enum type "CGerror"

  See Also:
    Constant Field Values

### CG_NOT_MATRIX_PARAM_ERROR

    public static final int CG_NOT_MATRIX_PARAM_ERROR

  Defined as part of enum type "CGerror"

  See Also:
    Constant Field Values

### CG_INVALID_ENUMERANT_ERROR

    public static final int CG_INVALID_ENUMERANT_ERROR

  Defined as part of enum type "CGerror"

  See Also:
    Constant Field Values

### CG_NOT_4x4_MATRIX_ERROR

    public static final int CG_NOT_4x4_MATRIX_ERROR

  Defined as part of enum type "CGerror"

  See Also:
    Constant Field Values

### CG_FILE_READ_ERROR

    public static final int CG_FILE_READ_ERROR

  Defined as part of enum type "CGerror"

  See Also:
    Constant Field Values

### CG_FILE_WRITE_ERROR

    public static final int CG_FILE_WRITE_ERROR

  Defined as part of enum type "CGerror"

  See Also:
    Constant Field Values

### CG_NVPARSE_ERROR

    public static final int CG_NVPARSE_ERROR

  Defined as part of enum type "CGerror"

  See Also:
    Constant Field Values

### CG_MEMORY_ALLOC_ERROR

    public static final int CG_MEMORY_ALLOC_ERROR

  Defined as part of enum type "CGerror"

  See Also:
    Constant Field Values

### CG_INVALID_CONTEXT_HANDLE_ERROR

    public static final int CG_INVALID_CONTEXT_HANDLE_ERROR

  Defined as part of enum type "CGerror"

  See Also:
    Constant Field Values

### CG_INVALID_PROGRAM_HANDLE_ERROR

    public static final int CG_INVALID_PROGRAM_HANDLE_ERROR

  Defined as part of enum type "CGerror"

  See Also:
    Constant Field Values

### CG_INVALID_PARAM_HANDLE_ERROR

    public static final int CG_INVALID_PARAM_HANDLE_ERROR

  Defined as part of enum type "CGerror"

  See Also:
    Constant Field Values

### CG_UNKNOWN_PROFILE_ERROR

    public static final int CG_UNKNOWN_PROFILE_ERROR

  Defined as part of enum type "CGerror"

  See Also:
    Constant Field Values

### CG_VAR_ARG_ERROR

    public static final int CG_VAR_ARG_ERROR

  Defined as part of enum type "CGerror"

  See Also:
    Constant Field Values

### CG_INVALID_DIMENSION_ERROR

    public static final int CG_INVALID_DIMENSION_ERROR

  Defined as part of enum type "CGerror"

  See Also:
    Constant Field Values

### CG_ARRAY_PARAM_ERROR

    public static final int CG_ARRAY_PARAM_ERROR

  Defined as part of enum type "CGerror"

  See Also:
    Constant Field Values

### CG_OUT_OF_ARRAY_BOUNDS_ERROR

    public static final int CG_OUT_OF_ARRAY_BOUNDS_ERROR

  Defined as part of enum type "CGerror"

  See Also:
    Constant Field Values

### CG_CONFLICTING_TYPES_ERROR

    public static final int CG_CONFLICTING_TYPES_ERROR

  Defined as part of enum type "CGerror"

  See Also:
    Constant Field Values

### CG_CONFLICTING_PARAMETER_TYPES_ERROR

    public static final int CG_CONFLICTING_PARAMETER_TYPES_ERROR

  Defined as part of enum type "CGerror"

  See Also:
    Constant Field Values

### CG_PARAMETER_IS_NOT_SHARED_ERROR

    public static final int CG_PARAMETER_IS_NOT_SHARED_ERROR

  Defined as part of enum type "CGerror"

  See Also:
    Constant Field Values

### CG_INVALID_PARAMETER_VARIABILITY_ERROR

    public static final int CG_INVALID_PARAMETER_VARIABILITY_ERROR

  Defined as part of enum type "CGerror"

  See Also:
    Constant Field Values

### CG_CANNOT_DESTROY_PARAMETER_ERROR

    public static final int CG_CANNOT_DESTROY_PARAMETER_ERROR

  Defined as part of enum type "CGerror"

  See Also:
    Constant Field Values

### CG_NOT_ROOT_PARAMETER_ERROR

    public static final int CG_NOT_ROOT_PARAMETER_ERROR

  Defined as part of enum type "CGerror"

  See Also:
    Constant Field Values

### CG_PARAMETERS_DO_NOT_MATCH_ERROR

    public static final int CG_PARAMETERS_DO_NOT_MATCH_ERROR

  Defined as part of enum type "CGerror"

  See Also:
    Constant Field Values

### CG_IS_NOT_PROGRAM_PARAMETER_ERROR

    public static final int CG_IS_NOT_PROGRAM_PARAMETER_ERROR

  Defined as part of enum type "CGerror"

  See Also:
    Constant Field Values

### CG_INVALID_PARAMETER_TYPE_ERROR

    public static final int CG_INVALID_PARAMETER_TYPE_ERROR

  Defined as part of enum type "CGerror"

  See Also:
    Constant Field Values

### CG_PARAMETER_IS_NOT_RESIZABLE_ARRAY_ERROR

    public static final int CG_PARAMETER_IS_NOT_RESIZABLE_ARRAY_ERROR

  Defined as part of enum type "CGerror"

  See Also:
    Constant Field Values

### CG_INVALID_SIZE_ERROR

    public static final int CG_INVALID_SIZE_ERROR

  Defined as part of enum type "CGerror"

  See Also:
    Constant Field Values

### CG_BIND_CREATES_CYCLE_ERROR

    public static final int CG_BIND_CREATES_CYCLE_ERROR

  Defined as part of enum type "CGerror"

  See Also:
    Constant Field Values

### CG_ARRAY_TYPES_DO_NOT_MATCH_ERROR

    public static final int CG_ARRAY_TYPES_DO_NOT_MATCH_ERROR

  Defined as part of enum type "CGerror"

  See Also:
    Constant Field Values

### CG_ARRAY_DIMENSIONS_DO_NOT_MATCH_ERROR

    public static final int CG_ARRAY_DIMENSIONS_DO_NOT_MATCH_ERROR

  Defined as part of enum type "CGerror"

  See Also:
    Constant Field Values

### CG_ARRAY_HAS_WRONG_DIMENSION_ERROR

    public static final int CG_ARRAY_HAS_WRONG_DIMENSION_ERROR

  Defined as part of enum type "CGerror"

  See Also:
    Constant Field Values

### CG_TYPE_IS_NOT_DEFINED_IN_PROGRAM_ERROR

    public static final int CG_TYPE_IS_NOT_DEFINED_IN_PROGRAM_ERROR

  Defined as part of enum type "CGerror"

  See Also:
    Constant Field Values

### CG_INVALID_EFFECT_HANDLE_ERROR

    public static final int CG_INVALID_EFFECT_HANDLE_ERROR

  Defined as part of enum type "CGerror"

  See Also:
    Constant Field Values

### CG_INVALID_STATE_HANDLE_ERROR

    public static final int CG_INVALID_STATE_HANDLE_ERROR

  Defined as part of enum type "CGerror"

  See Also:
    Constant Field Values

### CG_INVALID_STATE_ASSIGNMENT_HANDLE_ERROR

    public static final int CG_INVALID_STATE_ASSIGNMENT_HANDLE_ERROR

  Defined as part of enum type "CGerror"

  See Also:
    Constant Field Values

### CG_INVALID_PASS_HANDLE_ERROR

    public static final int CG_INVALID_PASS_HANDLE_ERROR

  Defined as part of enum type "CGerror"

  See Also:
    Constant Field Values

### CG_INVALID_ANNOTATION_HANDLE_ERROR

    public static final int CG_INVALID_ANNOTATION_HANDLE_ERROR

  Defined as part of enum type "CGerror"

  See Also:
    Constant Field Values

### CG_INVALID_TECHNIQUE_HANDLE_ERROR

    public static final int CG_INVALID_TECHNIQUE_HANDLE_ERROR

  Defined as part of enum type "CGerror"

  See Also:
    Constant Field Values

### CG_INVALID_PARAMETER_HANDLE_ERROR

    public static final int CG_INVALID_PARAMETER_HANDLE_ERROR

  Defined as part of enum type "CGerror"

  See Also:
    Constant Field Values

### CG_STATE_ASSIGNMENT_TYPE_MISMATCH_ERROR

    public static final int CG_STATE_ASSIGNMENT_TYPE_MISMATCH_ERROR

  Defined as part of enum type "CGerror"

  See Also:
    Constant Field Values

### CG_INVALID_FUNCTION_HANDLE_ERROR

    public static final int CG_INVALID_FUNCTION_HANDLE_ERROR

  Defined as part of enum type "CGerror"

  See Also:
    Constant Field Values

### CG_INVALID_TECHNIQUE_ERROR

    public static final int CG_INVALID_TECHNIQUE_ERROR

  Defined as part of enum type "CGerror"

  See Also:
    Constant Field Values

### CG_INVALID_POINTER_ERROR

    public static final int CG_INVALID_POINTER_ERROR

  Defined as part of enum type "CGerror"

  See Also:
    Constant Field Values

### CG_NOT_ENOUGH_DATA_ERROR

    public static final int CG_NOT_ENOUGH_DATA_ERROR

  Defined as part of enum type "CGerror"

  See Also:
    Constant Field Values

### CG_NON_NUMERIC_PARAMETER_ERROR

    public static final int CG_NON_NUMERIC_PARAMETER_ERROR

  Defined as part of enum type "CGerror"

  See Also:
    Constant Field Values

### CG_ARRAY_SIZE_MISMATCH_ERROR

    public static final int CG_ARRAY_SIZE_MISMATCH_ERROR

  Defined as part of enum type "CGerror"

  See Also:
    Constant Field Values

### CG_GL_MATRIX_IDENTITY

    public static final int CG_GL_MATRIX_IDENTITY

  Defined as part of enum type "CGGLenum"

  See Also:
    Constant Field Values

### CG_GL_MATRIX_TRANSPOSE

    public static final int CG_GL_MATRIX_TRANSPOSE

  Defined as part of enum type "CGGLenum"

  See Also:
    Constant Field Values

### CG_GL_MATRIX_INVERSE

    public static final int CG_GL_MATRIX_INVERSE

  Defined as part of enum type "CGGLenum"

  See Also:
    Constant Field Values

### CG_GL_MATRIX_INVERSE_TRANSPOSE

    public static final int CG_GL_MATRIX_INVERSE_TRANSPOSE

  Defined as part of enum type "CGGLenum"

  See Also:
    Constant Field Values

### CG_GL_MODELVIEW_MATRIX

    public static final int CG_GL_MODELVIEW_MATRIX

  Defined as part of enum type "CGGLenum"

  See Also:
    Constant Field Values

### CG_GL_PROJECTION_MATRIX

    public static final int CG_GL_PROJECTION_MATRIX

  Defined as part of enum type "CGGLenum"

  See Also:
    Constant Field Values

### CG_GL_TEXTURE_MATRIX

    public static final int CG_GL_TEXTURE_MATRIX

  Defined as part of enum type "CGGLenum"

  See Also:
    Constant Field Values

### CG_GL_MODELVIEW_PROJECTION_MATRIX

    public static final int CG_GL_MODELVIEW_PROJECTION_MATRIX

  Defined as part of enum type "CGGLenum"

  See Also:
    Constant Field Values

### CG_GL_VERTEX

    public static final int CG_GL_VERTEX

  Defined as part of enum type "CGGLenum"

  See Also:
    Constant Field Values

### CG_GL_FRAGMENT

    public static final int CG_GL_FRAGMENT

  Defined as part of enum type "CGGLenum"

  See Also:
    Constant Field Values

### CG_VERSION_NUM

    public static final int CG_VERSION_NUM

See Also:
  Constant Field Values

Constructor Detail

### CgGL

    public CgGL()

Method Detail

### cgAddStateEnumerant

    public static void cgAddStateEnumerant(CGstate arg0,
                                           String name,
                                           int value)

  Interface to C language function:
  `void cgAddStateEnumerant(CGstate, const char * name, int value);`

### cgCallStateResetCallback

    public static boolean cgCallStateResetCallback(CGstateassignment arg0)

  Interface to C language function:
  `CGbool cgCallStateResetCallback(CGstateassignment);`

### cgCallStateSetCallback

    public static boolean cgCallStateSetCallback(CGstateassignment arg0)

  Interface to C language function:
  `CGbool cgCallStateSetCallback(CGstateassignment);`

### cgCallStateValidateCallback

    public static boolean cgCallStateValidateCallback(CGstateassignment arg0)

  Interface to C language function:
  `CGbool cgCallStateValidateCallback(CGstateassignment);`

### cgCompileProgram

    public static void cgCompileProgram(CGprogram program)

  Interface to C language function:
  `void cgCompileProgram(CGprogram program);`

### cgConnectParameter

    public static void cgConnectParameter(CGparameter from,
                                          CGparameter to)

  Interface to C language function:
  `void cgConnectParameter(CGparameter from, CGparameter to);`

### cgCopyProgram

    public static CGprogram cgCopyProgram(CGprogram program)

  Interface to C language function:
  `CGprogram cgCopyProgram(CGprogram program);`

### cgCreateArraySamplerState

    public static CGstate cgCreateArraySamplerState(CGcontext arg0,
                                                    String name,
                                                    int arg2,
                                                    int nelems)

  Interface to C language function:
  `CGstate cgCreateArraySamplerState(CGcontext, const char * name, CGtype, int nelems);`

  Parameters:
    `arg2` - valid values are: `CG_UNKNOWN_TYPE, CG_STRUCT, CG_ARRAY, CG_TYPE_START_ENUM, CG_HALF, CG_HALF2, CG_HALF3, CG_HALF4, CG_HALF1x1, CG_HALF1x2, CG_HALF1x3, CG_HALF1x4, CG_HALF2x1, CG_HALF2x2, CG_HALF2x3, CG_HALF2x4, CG_HALF3x1, CG_HALF3x2, CG_HALF3x3, CG_HALF3x4, CG_HALF4x1, CG_HALF4x2, CG_HALF4x3, CG_HALF4x4, CG_FLOAT, CG_FLOAT2, CG_FLOAT3, CG_FLOAT4, CG_FLOAT1x1, CG_FLOAT1x2, CG_FLOAT1x3, CG_FLOAT1x4, CG_FLOAT2x1, CG_FLOAT2x2, CG_FLOAT2x3, CG_FLOAT2x4, CG_FLOAT3x1, CG_FLOAT3x2, CG_FLOAT3x3, CG_FLOAT3x4, CG_FLOAT4x1, CG_FLOAT4x2, CG_FLOAT4x3, CG_FLOAT4x4, CG_SAMPLER1D, CG_SAMPLER2D, CG_SAMPLER3D, CG_SAMPLERRECT, CG_SAMPLERCUBE, CG_FIXED, CG_FIXED2, CG_FIXED3, CG_FIXED4, CG_FIXED1x1, CG_FIXED1x2, CG_FIXED1x3, CG_FIXED1x4, CG_FIXED2x1, CG_FIXED2x2, CG_FIXED2x3, CG_FIXED2x4, CG_FIXED3x1, CG_FIXED3x2, CG_FIXED3x3, CG_FIXED3x4, CG_FIXED4x1, CG_FIXED4x2, CG_FIXED4x3, CG_FIXED4x4, CG_HALF1, CG_FLOAT1, CG_FIXED1, CG_INT, CG_INT1, CG_INT2, CG_INT3, CG_INT4, CG_INT1x1, CG_INT1x2, CG_INT1x3, CG_INT1x4, CG_INT2x1, CG_INT2x2, CG_INT2x3, CG_INT2x4, CG_INT3x1, CG_INT3x2, CG_INT3x3, CG_INT3x4, CG_INT4x1, CG_INT4x2, CG_INT4x3, CG_INT4x4, CG_BOOL, CG_BOOL1, CG_BOOL2, CG_BOOL3, CG_BOOL4, CG_BOOL1x1, CG_BOOL1x2, CG_BOOL1x3, CG_BOOL1x4, CG_BOOL2x1, CG_BOOL2x2, CG_BOOL2x3, CG_BOOL2x4, CG_BOOL3x1, CG_BOOL3x2, CG_BOOL3x3, CG_BOOL3x4, CG_BOOL4x1, CG_BOOL4x2, CG_BOOL4x3, CG_BOOL4x4, CG_STRING, CG_PROGRAM_TYPE, CG_TEXTURE`

### cgCreateArrayState

    public static CGstate cgCreateArrayState(CGcontext arg0,
                                             String name,
                                             int arg2,
                                             int nelems)

  Interface to C language function:
  `CGstate cgCreateArrayState(CGcontext, const char * name, CGtype, int nelems);`

  Parameters:
    `arg2` - valid values are: `CG_UNKNOWN_TYPE, CG_STRUCT, CG_ARRAY, CG_TYPE_START_ENUM, CG_HALF, CG_HALF2, CG_HALF3, CG_HALF4, CG_HALF1x1, CG_HALF1x2, CG_HALF1x3, CG_HALF1x4, CG_HALF2x1, CG_HALF2x2, CG_HALF2x3, CG_HALF2x4, CG_HALF3x1, CG_HALF3x2, CG_HALF3x3, CG_HALF3x4, CG_HALF4x1, CG_HALF4x2, CG_HALF4x3, CG_HALF4x4, CG_FLOAT, CG_FLOAT2, CG_FLOAT3, CG_FLOAT4, CG_FLOAT1x1, CG_FLOAT1x2, CG_FLOAT1x3, CG_FLOAT1x4, CG_FLOAT2x1, CG_FLOAT2x2, CG_FLOAT2x3, CG_FLOAT2x4, CG_FLOAT3x1, CG_FLOAT3x2, CG_FLOAT3x3, CG_FLOAT3x4, CG_FLOAT4x1, CG_FLOAT4x2, CG_FLOAT4x3, CG_FLOAT4x4, CG_SAMPLER1D, CG_SAMPLER2D, CG_SAMPLER3D, CG_SAMPLERRECT, CG_SAMPLERCUBE, CG_FIXED, CG_FIXED2, CG_FIXED3, CG_FIXED4, CG_FIXED1x1, CG_FIXED1x2, CG_FIXED1x3, CG_FIXED1x4, CG_FIXED2x1, CG_FIXED2x2, CG_FIXED2x3, CG_FIXED2x4, CG_FIXED3x1, CG_FIXED3x2, CG_FIXED3x3, CG_FIXED3x4, CG_FIXED4x1, CG_FIXED4x2, CG_FIXED4x3, CG_FIXED4x4, CG_HALF1, CG_FLOAT1, CG_FIXED1, CG_INT, CG_INT1, CG_INT2, CG_INT3, CG_INT4, CG_INT1x1, CG_INT1x2, CG_INT1x3, CG_INT1x4, CG_INT2x1, CG_INT2x2, CG_INT2x3, CG_INT2x4, CG_INT3x1, CG_INT3x2, CG_INT3x3, CG_INT3x4, CG_INT4x1, CG_INT4x2, CG_INT4x3, CG_INT4x4, CG_BOOL, CG_BOOL1, CG_BOOL2, CG_BOOL3, CG_BOOL4, CG_BOOL1x1, CG_BOOL1x2, CG_BOOL1x3, CG_BOOL1x4, CG_BOOL2x1, CG_BOOL2x2, CG_BOOL2x3, CG_BOOL2x4, CG_BOOL3x1, CG_BOOL3x2, CG_BOOL3x3, CG_BOOL3x4, CG_BOOL4x1, CG_BOOL4x2, CG_BOOL4x3, CG_BOOL4x4, CG_STRING, CG_PROGRAM_TYPE, CG_TEXTURE`

### cgCreateContext

    public static CGcontext cgCreateContext()

  Interface to C language function:
  `CGcontext cgCreateContext(void);`

### cgCreateEffect

    public static CGeffect cgCreateEffect(CGcontext arg0,
                                          String code,
                                          String[] args)

  Interface to C language function:
  `CGeffect cgCreateEffect(CGcontext, const char * code, const char * * args);`

### cgCreateEffectFromFile

    public static CGeffect cgCreateEffectFromFile(CGcontext arg0,
                                                  String filename,
                                                  String[] args)

  Interface to C language function:
  `CGeffect cgCreateEffectFromFile(CGcontext, const char * filename, const char * * args);`

### cgCreateParameter

    public static CGparameter cgCreateParameter(CGcontext ctx,
                                                int type)

  Interface to C language function:
  `CGparameter cgCreateParameter(CGcontext ctx, CGtype type);`

  Parameters:
    `type` - valid values are: `CG_UNKNOWN_TYPE, CG_STRUCT, CG_ARRAY, CG_TYPE_START_ENUM, CG_HALF, CG_HALF2, CG_HALF3, CG_HALF4, CG_HALF1x1, CG_HALF1x2, CG_HALF1x3, CG_HALF1x4, CG_HALF2x1, CG_HALF2x2, CG_HALF2x3, CG_HALF2x4, CG_HALF3x1, CG_HALF3x2, CG_HALF3x3, CG_HALF3x4, CG_HALF4x1, CG_HALF4x2, CG_HALF4x3, CG_HALF4x4, CG_FLOAT, CG_FLOAT2, CG_FLOAT3, CG_FLOAT4, CG_FLOAT1x1, CG_FLOAT1x2, CG_FLOAT1x3, CG_FLOAT1x4, CG_FLOAT2x1, CG_FLOAT2x2, CG_FLOAT2x3, CG_FLOAT2x4, CG_FLOAT3x1, CG_FLOAT3x2, CG_FLOAT3x3, CG_FLOAT3x4, CG_FLOAT4x1, CG_FLOAT4x2, CG_FLOAT4x3, CG_FLOAT4x4, CG_SAMPLER1D, CG_SAMPLER2D, CG_SAMPLER3D, CG_SAMPLERRECT, CG_SAMPLERCUBE, CG_FIXED, CG_FIXED2, CG_FIXED3, CG_FIXED4, CG_FIXED1x1, CG_FIXED1x2, CG_FIXED1x3, CG_FIXED1x4, CG_FIXED2x1, CG_FIXED2x2, CG_FIXED2x3, CG_FIXED2x4, CG_FIXED3x1, CG_FIXED3x2, CG_FIXED3x3, CG_FIXED3x4, CG_FIXED4x1, CG_FIXED4x2, CG_FIXED4x3, CG_FIXED4x4, CG_HALF1, CG_FLOAT1, CG_FIXED1, CG_INT, CG_INT1, CG_INT2, CG_INT3, CG_INT4, CG_INT1x1, CG_INT1x2, CG_INT1x3, CG_INT1x4, CG_INT2x1, CG_INT2x2, CG_INT2x3, CG_INT2x4, CG_INT3x1, CG_INT3x2, CG_INT3x3, CG_INT3x4, CG_INT4x1, CG_INT4x2, CG_INT4x3, CG_INT4x4, CG_BOOL, CG_BOOL1, CG_BOOL2, CG_BOOL3, CG_BOOL4, CG_BOOL1x1, CG_BOOL1x2, CG_BOOL1x3, CG_BOOL1x4, CG_BOOL2x1, CG_BOOL2x2, CG_BOOL2x3, CG_BOOL2x4, CG_BOOL3x1, CG_BOOL3x2, CG_BOOL3x3, CG_BOOL3x4, CG_BOOL4x1, CG_BOOL4x2, CG_BOOL4x3, CG_BOOL4x4, CG_STRING, CG_PROGRAM_TYPE, CG_TEXTURE`

### cgCreateParameterArray

    public static CGparameter cgCreateParameterArray(CGcontext ctx,
                                                     int type,
                                                     int length)

  Interface to C language function:
  `CGparameter cgCreateParameterArray(CGcontext ctx, CGtype type, int length);`

  Parameters:
    `type` - valid values are: `CG_UNKNOWN_TYPE, CG_STRUCT, CG_ARRAY, CG_TYPE_START_ENUM, CG_HALF, CG_HALF2, CG_HALF3, CG_HALF4, CG_HALF1x1, CG_HALF1x2, CG_HALF1x3, CG_HALF1x4, CG_HALF2x1, CG_HALF2x2, CG_HALF2x3, CG_HALF2x4, CG_HALF3x1, CG_HALF3x2, CG_HALF3x3, CG_HALF3x4, CG_HALF4x1, CG_HALF4x2, CG_HALF4x3, CG_HALF4x4, CG_FLOAT, CG_FLOAT2, CG_FLOAT3, CG_FLOAT4, CG_FLOAT1x1, CG_FLOAT1x2, CG_FLOAT1x3, CG_FLOAT1x4, CG_FLOAT2x1, CG_FLOAT2x2, CG_FLOAT2x3, CG_FLOAT2x4, CG_FLOAT3x1, CG_FLOAT3x2, CG_FLOAT3x3, CG_FLOAT3x4, CG_FLOAT4x1, CG_FLOAT4x2, CG_FLOAT4x3, CG_FLOAT4x4, CG_SAMPLER1D, CG_SAMPLER2D, CG_SAMPLER3D, CG_SAMPLERRECT, CG_SAMPLERCUBE, CG_FIXED, CG_FIXED2, CG_FIXED3, CG_FIXED4, CG_FIXED1x1, CG_FIXED1x2, CG_FIXED1x3, CG_FIXED1x4, CG_FIXED2x1, CG_FIXED2x2, CG_FIXED2x3, CG_FIXED2x4, CG_FIXED3x1, CG_FIXED3x2, CG_FIXED3x3, CG_FIXED3x4, CG_FIXED4x1, CG_FIXED4x2, CG_FIXED4x3, CG_FIXED4x4, CG_HALF1, CG_FLOAT1, CG_FIXED1, CG_INT, CG_INT1, CG_INT2, CG_INT3, CG_INT4, CG_INT1x1, CG_INT1x2, CG_INT1x3, CG_INT1x4, CG_INT2x1, CG_INT2x2, CG_INT2x3, CG_INT2x4, CG_INT3x1, CG_INT3x2, CG_INT3x3, CG_INT3x4, CG_INT4x1, CG_INT4x2, CG_INT4x3, CG_INT4x4, CG_BOOL, CG_BOOL1, CG_BOOL2, CG_BOOL3, CG_BOOL4, CG_BOOL1x1, CG_BOOL1x2, CG_BOOL1x3, CG_BOOL1x4, CG_BOOL2x1, CG_BOOL2x2, CG_BOOL2x3, CG_BOOL2x4, CG_BOOL3x1, CG_BOOL3x2, CG_BOOL3x3, CG_BOOL3x4, CG_BOOL4x1, CG_BOOL4x2, CG_BOOL4x3, CG_BOOL4x4, CG_STRING, CG_PROGRAM_TYPE, CG_TEXTURE`

### cgCreateParameterMultiDimArray

    public static CGparameter cgCreateParameterMultiDimArray(CGcontext ctx,
                                                             int type,
                                                             int dim,
                                                             IntBuffer lengths)

  Interface to C language function:
  `CGparameter cgCreateParameterMultiDimArray(CGcontext ctx, CGtype type, int dim, const int * lengths);`

  Parameters:
    `type` - valid values are: `CG_UNKNOWN_TYPE, CG_STRUCT, CG_ARRAY, CG_TYPE_START_ENUM, CG_HALF, CG_HALF2, CG_HALF3, CG_HALF4, CG_HALF1x1, CG_HALF1x2, CG_HALF1x3, CG_HALF1x4, CG_HALF2x1, CG_HALF2x2, CG_HALF2x3, CG_HALF2x4, CG_HALF3x1, CG_HALF3x2, CG_HALF3x3, CG_HALF3x4, CG_HALF4x1, CG_HALF4x2, CG_HALF4x3, CG_HALF4x4, CG_FLOAT, CG_FLOAT2, CG_FLOAT3, CG_FLOAT4, CG_FLOAT1x1, CG_FLOAT1x2, CG_FLOAT1x3, CG_FLOAT1x4, CG_FLOAT2x1, CG_FLOAT2x2, CG_FLOAT2x3, CG_FLOAT2x4, CG_FLOAT3x1, CG_FLOAT3x2, CG_FLOAT3x3, CG_FLOAT3x4, CG_FLOAT4x1, CG_FLOAT4x2, CG_FLOAT4x3, CG_FLOAT4x4, CG_SAMPLER1D, CG_SAMPLER2D, CG_SAMPLER3D, CG_SAMPLERRECT, CG_SAMPLERCUBE, CG_FIXED, CG_FIXED2, CG_FIXED3, CG_FIXED4, CG_FIXED1x1, CG_FIXED1x2, CG_FIXED1x3, CG_FIXED1x4, CG_FIXED2x1, CG_FIXED2x2, CG_FIXED2x3, CG_FIXED2x4, CG_FIXED3x1, CG_FIXED3x2, CG_FIXED3x3, CG_FIXED3x4, CG_FIXED4x1, CG_FIXED4x2, CG_FIXED4x3, CG_FIXED4x4, CG_HALF1, CG_FLOAT1, CG_FIXED1, CG_INT, CG_INT1, CG_INT2, CG_INT3, CG_INT4, CG_INT1x1, CG_INT1x2, CG_INT1x3, CG_INT1x4, CG_INT2x1, CG_INT2x2, CG_INT2x3, CG_INT2x4, CG_INT3x1, CG_INT3x2, CG_INT3x3, CG_INT3x4, CG_INT4x1, CG_INT4x2, CG_INT4x3, CG_INT4x4, CG_BOOL, CG_BOOL1, CG_BOOL2, CG_BOOL3, CG_BOOL4, CG_BOOL1x1, CG_BOOL1x2, CG_BOOL1x3, CG_BOOL1x4, CG_BOOL2x1, CG_BOOL2x2, CG_BOOL2x3, CG_BOOL2x4, CG_BOOL3x1, CG_BOOL3x2, CG_BOOL3x3, CG_BOOL3x4, CG_BOOL4x1, CG_BOOL4x2, CG_BOOL4x3, CG_BOOL4x4, CG_STRING, CG_PROGRAM_TYPE, CG_TEXTURE`

### cgCreateParameterMultiDimArray

    public static CGparameter cgCreateParameterMultiDimArray(CGcontext ctx,
                                                             int type,
                                                             int dim,
                                                             int[] lengths,
                                                             int lengths_offset)

  Interface to C language function:
  `CGparameter cgCreateParameterMultiDimArray(CGcontext ctx, CGtype type, int dim, const int * lengths);`

  Parameters:
    `type` - valid values are: `CG_UNKNOWN_TYPE, CG_STRUCT, CG_ARRAY, CG_TYPE_START_ENUM, CG_HALF, CG_HALF2, CG_HALF3, CG_HALF4, CG_HALF1x1, CG_HALF1x2, CG_HALF1x3, CG_HALF1x4, CG_HALF2x1, CG_HALF2x2, CG_HALF2x3, CG_HALF2x4, CG_HALF3x1, CG_HALF3x2, CG_HALF3x3, CG_HALF3x4, CG_HALF4x1, CG_HALF4x2, CG_HALF4x3, CG_HALF4x4, CG_FLOAT, CG_FLOAT2, CG_FLOAT3, CG_FLOAT4, CG_FLOAT1x1, CG_FLOAT1x2, CG_FLOAT1x3, CG_FLOAT1x4, CG_FLOAT2x1, CG_FLOAT2x2, CG_FLOAT2x3, CG_FLOAT2x4, CG_FLOAT3x1, CG_FLOAT3x2, CG_FLOAT3x3, CG_FLOAT3x4, CG_FLOAT4x1, CG_FLOAT4x2, CG_FLOAT4x3, CG_FLOAT4x4, CG_SAMPLER1D, CG_SAMPLER2D, CG_SAMPLER3D, CG_SAMPLERRECT, CG_SAMPLERCUBE, CG_FIXED, CG_FIXED2, CG_FIXED3, CG_FIXED4, CG_FIXED1x1, CG_FIXED1x2, CG_FIXED1x3, CG_FIXED1x4, CG_FIXED2x1, CG_FIXED2x2, CG_FIXED2x3, CG_FIXED2x4, CG_FIXED3x1, CG_FIXED3x2, CG_FIXED3x3, CG_FIXED3x4, CG_FIXED4x1, CG_FIXED4x2, CG_FIXED4x3, CG_FIXED4x4, CG_HALF1, CG_FLOAT1, CG_FIXED1, CG_INT, CG_INT1, CG_INT2, CG_INT3, CG_INT4, CG_INT1x1, CG_INT1x2, CG_INT1x3, CG_INT1x4, CG_INT2x1, CG_INT2x2, CG_INT2x3, CG_INT2x4, CG_INT3x1, CG_INT3x2, CG_INT3x3, CG_INT3x4, CG_INT4x1, CG_INT4x2, CG_INT4x3, CG_INT4x4, CG_BOOL, CG_BOOL1, CG_BOOL2, CG_BOOL3, CG_BOOL4, CG_BOOL1x1, CG_BOOL1x2, CG_BOOL1x3, CG_BOOL1x4, CG_BOOL2x1, CG_BOOL2x2, CG_BOOL2x3, CG_BOOL2x4, CG_BOOL3x1, CG_BOOL3x2, CG_BOOL3x3, CG_BOOL3x4, CG_BOOL4x1, CG_BOOL4x2, CG_BOOL4x3, CG_BOOL4x4, CG_STRING, CG_PROGRAM_TYPE, CG_TEXTURE`

### cgCreateProgram

    public static CGprogram cgCreateProgram(CGcontext ctx,
                                            int program_type,
                                            String program,
                                            int profile,
                                            String entry,
                                            String[] args)

  Interface to C language function:
  `CGprogram cgCreateProgram(CGcontext ctx, CGenum program_type, const char * program, CGprofile profile, const char * entry, const char * * args);`

  Parameters:
    `program_type` - valid values are: `CG_UNKNOWN, CG_IN, CG_OUT, CG_INOUT, CG_MIXED, CG_VARYING, CG_UNIFORM, CG_CONSTANT, CG_PROGRAM_SOURCE, CG_PROGRAM_ENTRY, CG_COMPILED_PROGRAM, CG_PROGRAM_PROFILE, CG_GLOBAL, CG_PROGRAM, CG_DEFAULT, CG_ERROR, CG_SOURCE, CG_OBJECT, CG_COMPILE_MANUAL, CG_COMPILE_IMMEDIATE, CG_COMPILE_LAZY, CG_CURRENT, CG_LITERAL, CG_VERSION, CG_ROW_MAJOR, CG_COLUMN_MAJOR`
    `profile` - valid values are: `CG_PROFILE_START, CG_PROFILE_UNKNOWN, CG_PROFILE_VP20, CG_PROFILE_FP20, CG_PROFILE_VP30, CG_PROFILE_FP30, CG_PROFILE_ARBVP1, CG_PROFILE_FP40, CG_PROFILE_ARBFP1, CG_PROFILE_VP40, CG_PROFILE_VS_1_1, CG_PROFILE_VS_2_0, CG_PROFILE_VS_2_X, CG_PROFILE_PS_1_1, CG_PROFILE_PS_1_2, CG_PROFILE_PS_1_3, CG_PROFILE_PS_2_0, CG_PROFILE_PS_2_X, GENERIC, CG_PROFILE_MAX`

### cgCreateProgramFromEffect

    public static CGprogram cgCreateProgramFromEffect(CGeffect effect,
                                                      int profile,
                                                      String entry,
                                                      String[] args)

  Interface to C language function:
  `CGprogram cgCreateProgramFromEffect(CGeffect effect, CGprofile profile, const char * entry, const char * * args);`

  Parameters:
    `profile` - valid values are: `CG_PROFILE_START, CG_PROFILE_UNKNOWN, CG_PROFILE_VP20, CG_PROFILE_FP20, CG_PROFILE_VP30, CG_PROFILE_FP30, CG_PROFILE_ARBVP1, CG_PROFILE_FP40, CG_PROFILE_ARBFP1, CG_PROFILE_VP40, CG_PROFILE_VS_1_1, CG_PROFILE_VS_2_0, CG_PROFILE_VS_2_X, CG_PROFILE_PS_1_1, CG_PROFILE_PS_1_2, CG_PROFILE_PS_1_3, CG_PROFILE_PS_2_0, CG_PROFILE_PS_2_X, GENERIC, CG_PROFILE_MAX`

### cgCreateProgramFromFile

    public static CGprogram cgCreateProgramFromFile(CGcontext ctx,
                                                    int program_type,
                                                    String program_file,
                                                    int profile,
                                                    String entry,
                                                    String[] args)

  Interface to C language function:
  `CGprogram cgCreateProgramFromFile(CGcontext ctx, CGenum program_type, const char * program_file, CGprofile profile, const char * entry, const char * * args);`

  Parameters:
    `program_type` - valid values are: `CG_UNKNOWN, CG_IN, CG_OUT, CG_INOUT, CG_MIXED, CG_VARYING, CG_UNIFORM, CG_CONSTANT, CG_PROGRAM_SOURCE, CG_PROGRAM_ENTRY, CG_COMPILED_PROGRAM, CG_PROGRAM_PROFILE, CG_GLOBAL, CG_PROGRAM, CG_DEFAULT, CG_ERROR, CG_SOURCE, CG_OBJECT, CG_COMPILE_MANUAL, CG_COMPILE_IMMEDIATE, CG_COMPILE_LAZY, CG_CURRENT, CG_LITERAL, CG_VERSION, CG_ROW_MAJOR, CG_COLUMN_MAJOR`
    `profile` - valid values are: `CG_PROFILE_START, CG_PROFILE_UNKNOWN, CG_PROFILE_VP20, CG_PROFILE_FP20, CG_PROFILE_VP30, CG_PROFILE_FP30, CG_PROFILE_ARBVP1, CG_PROFILE_FP40, CG_PROFILE_ARBFP1, CG_PROFILE_VP40, CG_PROFILE_VS_1_1, CG_PROFILE_VS_2_0, CG_PROFILE_VS_2_X, CG_PROFILE_PS_1_1, CG_PROFILE_PS_1_2, CG_PROFILE_PS_1_3, CG_PROFILE_PS_2_0, CG_PROFILE_PS_2_X, GENERIC, CG_PROFILE_MAX`

### cgCreateSamplerState

    public static CGstate cgCreateSamplerState(CGcontext arg0,
                                               String name,
                                               int arg2)

  Interface to C language function:
  `CGstate cgCreateSamplerState(CGcontext, const char * name, CGtype);`

  Parameters:
    `arg2` - valid values are: `CG_UNKNOWN_TYPE, CG_STRUCT, CG_ARRAY, CG_TYPE_START_ENUM, CG_HALF, CG_HALF2, CG_HALF3, CG_HALF4, CG_HALF1x1, CG_HALF1x2, CG_HALF1x3, CG_HALF1x4, CG_HALF2x1, CG_HALF2x2, CG_HALF2x3, CG_HALF2x4, CG_HALF3x1, CG_HALF3x2, CG_HALF3x3, CG_HALF3x4, CG_HALF4x1, CG_HALF4x2, CG_HALF4x3, CG_HALF4x4, CG_FLOAT, CG_FLOAT2, CG_FLOAT3, CG_FLOAT4, CG_FLOAT1x1, CG_FLOAT1x2, CG_FLOAT1x3, CG_FLOAT1x4, CG_FLOAT2x1, CG_FLOAT2x2, CG_FLOAT2x3, CG_FLOAT2x4, CG_FLOAT3x1, CG_FLOAT3x2, CG_FLOAT3x3, CG_FLOAT3x4, CG_FLOAT4x1, CG_FLOAT4x2, CG_FLOAT4x3, CG_FLOAT4x4, CG_SAMPLER1D, CG_SAMPLER2D, CG_SAMPLER3D, CG_SAMPLERRECT, CG_SAMPLERCUBE, CG_FIXED, CG_FIXED2, CG_FIXED3, CG_FIXED4, CG_FIXED1x1, CG_FIXED1x2, CG_FIXED1x3, CG_FIXED1x4, CG_FIXED2x1, CG_FIXED2x2, CG_FIXED2x3, CG_FIXED2x4, CG_FIXED3x1, CG_FIXED3x2, CG_FIXED3x3, CG_FIXED3x4, CG_FIXED4x1, CG_FIXED4x2, CG_FIXED4x3, CG_FIXED4x4, CG_HALF1, CG_FLOAT1, CG_FIXED1, CG_INT, CG_INT1, CG_INT2, CG_INT3, CG_INT4, CG_INT1x1, CG_INT1x2, CG_INT1x3, CG_INT1x4, CG_INT2x1, CG_INT2x2, CG_INT2x3, CG_INT2x4, CG_INT3x1, CG_INT3x2, CG_INT3x3, CG_INT3x4, CG_INT4x1, CG_INT4x2, CG_INT4x3, CG_INT4x4, CG_BOOL, CG_BOOL1, CG_BOOL2, CG_BOOL3, CG_BOOL4, CG_BOOL1x1, CG_BOOL1x2, CG_BOOL1x3, CG_BOOL1x4, CG_BOOL2x1, CG_BOOL2x2, CG_BOOL2x3, CG_BOOL2x4, CG_BOOL3x1, CG_BOOL3x2, CG_BOOL3x3, CG_BOOL3x4, CG_BOOL4x1, CG_BOOL4x2, CG_BOOL4x3, CG_BOOL4x4, CG_STRING, CG_PROGRAM_TYPE, CG_TEXTURE`

### cgCreateState

    public static CGstate cgCreateState(CGcontext arg0,
                                        String name,
                                        int arg2)

  Interface to C language function:
  `CGstate cgCreateState(CGcontext, const char * name, CGtype);`

  Parameters:
    `arg2` - valid values are: `CG_UNKNOWN_TYPE, CG_STRUCT, CG_ARRAY, CG_TYPE_START_ENUM, CG_HALF, CG_HALF2, CG_HALF3, CG_HALF4, CG_HALF1x1, CG_HALF1x2, CG_HALF1x3, CG_HALF1x4, CG_HALF2x1, CG_HALF2x2, CG_HALF2x3, CG_HALF2x4, CG_HALF3x1, CG_HALF3x2, CG_HALF3x3, CG_HALF3x4, CG_HALF4x1, CG_HALF4x2, CG_HALF4x3, CG_HALF4x4, CG_FLOAT, CG_FLOAT2, CG_FLOAT3, CG_FLOAT4, CG_FLOAT1x1, CG_FLOAT1x2, CG_FLOAT1x3, CG_FLOAT1x4, CG_FLOAT2x1, CG_FLOAT2x2, CG_FLOAT2x3, CG_FLOAT2x4, CG_FLOAT3x1, CG_FLOAT3x2, CG_FLOAT3x3, CG_FLOAT3x4, CG_FLOAT4x1, CG_FLOAT4x2, CG_FLOAT4x3, CG_FLOAT4x4, CG_SAMPLER1D, CG_SAMPLER2D, CG_SAMPLER3D, CG_SAMPLERRECT, CG_SAMPLERCUBE, CG_FIXED, CG_FIXED2, CG_FIXED3, CG_FIXED4, CG_FIXED1x1, CG_FIXED1x2, CG_FIXED1x3, CG_FIXED1x4, CG_FIXED2x1, CG_FIXED2x2, CG_FIXED2x3, CG_FIXED2x4, CG_FIXED3x1, CG_FIXED3x2, CG_FIXED3x3, CG_FIXED3x4, CG_FIXED4x1, CG_FIXED4x2, CG_FIXED4x3, CG_FIXED4x4, CG_HALF1, CG_FLOAT1, CG_FIXED1, CG_INT, CG_INT1, CG_INT2, CG_INT3, CG_INT4, CG_INT1x1, CG_INT1x2, CG_INT1x3, CG_INT1x4, CG_INT2x1, CG_INT2x2, CG_INT2x3, CG_INT2x4, CG_INT3x1, CG_INT3x2, CG_INT3x3, CG_INT3x4, CG_INT4x1, CG_INT4x2, CG_INT4x3, CG_INT4x4, CG_BOOL, CG_BOOL1, CG_BOOL2, CG_BOOL3, CG_BOOL4, CG_BOOL1x1, CG_BOOL1x2, CG_BOOL1x3, CG_BOOL1x4, CG_BOOL2x1, CG_BOOL2x2, CG_BOOL2x3, CG_BOOL2x4, CG_BOOL3x1, CG_BOOL3x2, CG_BOOL3x3, CG_BOOL3x4, CG_BOOL4x1, CG_BOOL4x2, CG_BOOL4x3, CG_BOOL4x4, CG_STRING, CG_PROGRAM_TYPE, CG_TEXTURE`

### cgDestroyContext

    public static void cgDestroyContext(CGcontext ctx)

  Interface to C language function:
  `void cgDestroyContext(CGcontext ctx);`

### cgDestroyEffect

    public static void cgDestroyEffect(CGeffect arg0)

  Interface to C language function:
  `void cgDestroyEffect(CGeffect);`

### cgDestroyParameter

    public static void cgDestroyParameter(CGparameter param)

  Interface to C language function:
  `void cgDestroyParameter(CGparameter param);`

### cgDestroyProgram

    public static void cgDestroyProgram(CGprogram program)

  Interface to C language function:
  `void cgDestroyProgram(CGprogram program);`

### cgDisconnectParameter

    public static void cgDisconnectParameter(CGparameter param)

  Interface to C language function:
  `void cgDisconnectParameter(CGparameter param);`

### cgEvaluateProgram

    public static void cgEvaluateProgram(CGprogram arg0,
                                         FloatBuffer arg1,
                                         int ncomps,
                                         int nx,
                                         int ny,
                                         int nz)

  Interface to C language function:
  `void cgEvaluateProgram(CGprogram, float * , int ncomps, int nx, int ny, int nz);`

### cgEvaluateProgram

    public static void cgEvaluateProgram(CGprogram arg0,
                                         float[] arg1,
                                         int arg1_offset,
                                         int ncomps,
                                         int nx,
                                         int ny,
                                         int nz)

  Interface to C language function:
  `void cgEvaluateProgram(CGprogram, float * , int ncomps, int nx, int ny, int nz);`

### cgGLBindProgram

    public static void cgGLBindProgram(CGprogram program)

  Interface to C language function:
  `void cgGLBindProgram(CGprogram program);`

### cgGLDisableClientState

    public static void cgGLDisableClientState(CGparameter param)

  Interface to C language function:
  `void cgGLDisableClientState(CGparameter param);`

### cgGLDisableProfile

    public static void cgGLDisableProfile(int profile)

  Interface to C language function:
  `void cgGLDisableProfile(CGprofile profile);`

  Parameters:
    `profile` - valid values are: `CG_PROFILE_START, CG_PROFILE_UNKNOWN, CG_PROFILE_VP20, CG_PROFILE_FP20, CG_PROFILE_VP30, CG_PROFILE_FP30, CG_PROFILE_ARBVP1, CG_PROFILE_FP40, CG_PROFILE_ARBFP1, CG_PROFILE_VP40, CG_PROFILE_VS_1_1, CG_PROFILE_VS_2_0, CG_PROFILE_VS_2_X, CG_PROFILE_PS_1_1, CG_PROFILE_PS_1_2, CG_PROFILE_PS_1_3, CG_PROFILE_PS_2_0, CG_PROFILE_PS_2_X, GENERIC, CG_PROFILE_MAX`

### cgGLDisableTextureParameter

    public static void cgGLDisableTextureParameter(CGparameter param)

  Interface to C language function:
  `void cgGLDisableTextureParameter(CGparameter param);`

### cgGLEnableClientState

    public static void cgGLEnableClientState(CGparameter param)

  Interface to C language function:
  `void cgGLEnableClientState(CGparameter param);`

### cgGLEnableProfile

    public static void cgGLEnableProfile(int profile)

  Interface to C language function:
  `void cgGLEnableProfile(CGprofile profile);`

  Parameters:
    `profile` - valid values are: `CG_PROFILE_START, CG_PROFILE_UNKNOWN, CG_PROFILE_VP20, CG_PROFILE_FP20, CG_PROFILE_VP30, CG_PROFILE_FP30, CG_PROFILE_ARBVP1, CG_PROFILE_FP40, CG_PROFILE_ARBFP1, CG_PROFILE_VP40, CG_PROFILE_VS_1_1, CG_PROFILE_VS_2_0, CG_PROFILE_VS_2_X, CG_PROFILE_PS_1_1, CG_PROFILE_PS_1_2, CG_PROFILE_PS_1_3, CG_PROFILE_PS_2_0, CG_PROFILE_PS_2_X, GENERIC, CG_PROFILE_MAX`

### cgGLEnableTextureParameter

    public static void cgGLEnableTextureParameter(CGparameter param)

  Interface to C language function:
  `void cgGLEnableTextureParameter(CGparameter param);`

### cgGLGetLatestProfile

    public static int cgGLGetLatestProfile(int profile_type)

  Interface to C language function:
  `CGprofile cgGLGetLatestProfile(CGGLenum profile_type);`

  Parameters:
    `profile_type` - valid values are: `CG_GL_MATRIX_IDENTITY, CG_GL_MATRIX_TRANSPOSE, CG_GL_MATRIX_INVERSE, CG_GL_MATRIX_INVERSE_TRANSPOSE, CG_GL_MODELVIEW_MATRIX, CG_GL_PROJECTION_MATRIX, CG_GL_TEXTURE_MATRIX, CG_GL_MODELVIEW_PROJECTION_MATRIX, CG_GL_VERTEX, CG_GL_FRAGMENT`

### cgGLGetManageTextureParameters

    public static boolean cgGLGetManageTextureParameters(CGcontext ctx)

  Interface to C language function:
  `CGbool cgGLGetManageTextureParameters(CGcontext ctx);`

### cgGLGetMatrixParameterArraydc

    public static void cgGLGetMatrixParameterArraydc(CGparameter param,
                                                     long offset,
                                                     long nelements,
                                                     DoubleBuffer matrices)

  Interface to C language function:
  `void cgGLGetMatrixParameterArraydc(CGparameter param, long offset, long nelements, double * matrices);`

### cgGLGetMatrixParameterArraydc

    public static void cgGLGetMatrixParameterArraydc(CGparameter param,
                                                     long offset,
                                                     long nelements,
                                                     double[] matrices,
                                                     int matrices_offset)

  Interface to C language function:
  `void cgGLGetMatrixParameterArraydc(CGparameter param, long offset, long nelements, double * matrices);`

### cgGLGetMatrixParameterArraydr

    public static void cgGLGetMatrixParameterArraydr(CGparameter param,
                                                     long offset,
                                                     long nelements,
                                                     DoubleBuffer matrices)

  Interface to C language function:
  `void cgGLGetMatrixParameterArraydr(CGparameter param, long offset, long nelements, double * matrices);`

### cgGLGetMatrixParameterArraydr

    public static void cgGLGetMatrixParameterArraydr(CGparameter param,
                                                     long offset,
                                                     long nelements,
                                                     double[] matrices,
                                                     int matrices_offset)

  Interface to C language function:
  `void cgGLGetMatrixParameterArraydr(CGparameter param, long offset, long nelements, double * matrices);`

### cgGLGetMatrixParameterArrayfc

    public static void cgGLGetMatrixParameterArrayfc(CGparameter param,
                                                     long offset,
                                                     long nelements,
                                                     FloatBuffer matrices)

  Interface to C language function:
  `void cgGLGetMatrixParameterArrayfc(CGparameter param, long offset, long nelements, float * matrices);`

### cgGLGetMatrixParameterArrayfc

    public static void cgGLGetMatrixParameterArrayfc(CGparameter param,
                                                     long offset,
                                                     long nelements,
                                                     float[] matrices,
                                                     int matrices_offset)

  Interface to C language function:
  `void cgGLGetMatrixParameterArrayfc(CGparameter param, long offset, long nelements, float * matrices);`

### cgGLGetMatrixParameterArrayfr

    public static void cgGLGetMatrixParameterArrayfr(CGparameter param,
                                                     long offset,
                                                     long nelements,
                                                     FloatBuffer matrices)

  Interface to C language function:
  `void cgGLGetMatrixParameterArrayfr(CGparameter param, long offset, long nelements, float * matrices);`

### cgGLGetMatrixParameterArrayfr

    public static void cgGLGetMatrixParameterArrayfr(CGparameter param,
                                                     long offset,
                                                     long nelements,
                                                     float[] matrices,
                                                     int matrices_offset)

  Interface to C language function:
  `void cgGLGetMatrixParameterArrayfr(CGparameter param, long offset, long nelements, float * matrices);`

### cgGLGetMatrixParameterdc

    public static void cgGLGetMatrixParameterdc(CGparameter param,
                                                DoubleBuffer matrix)

  Interface to C language function:
  `void cgGLGetMatrixParameterdc(CGparameter param, double * matrix);`

### cgGLGetMatrixParameterdc

    public static void cgGLGetMatrixParameterdc(CGparameter param,
                                                double[] matrix,
                                                int matrix_offset)

  Interface to C language function:
  `void cgGLGetMatrixParameterdc(CGparameter param, double * matrix);`

### cgGLGetMatrixParameterdr

    public static void cgGLGetMatrixParameterdr(CGparameter param,
                                                DoubleBuffer matrix)

  Interface to C language function:
  `void cgGLGetMatrixParameterdr(CGparameter param, double * matrix);`

### cgGLGetMatrixParameterdr

    public static void cgGLGetMatrixParameterdr(CGparameter param,
                                                double[] matrix,
                                                int matrix_offset)

  Interface to C language function:
  `void cgGLGetMatrixParameterdr(CGparameter param, double * matrix);`

### cgGLGetMatrixParameterfc

    public static void cgGLGetMatrixParameterfc(CGparameter param,
                                                FloatBuffer matrix)

  Interface to C language function:
  `void cgGLGetMatrixParameterfc(CGparameter param, float * matrix);`

### cgGLGetMatrixParameterfc

    public static void cgGLGetMatrixParameterfc(CGparameter param,
                                                float[] matrix,
                                                int matrix_offset)

  Interface to C language function:
  `void cgGLGetMatrixParameterfc(CGparameter param, float * matrix);`

### cgGLGetMatrixParameterfr

    public static void cgGLGetMatrixParameterfr(CGparameter param,
                                                FloatBuffer matrix)

  Interface to C language function:
  `void cgGLGetMatrixParameterfr(CGparameter param, float * matrix);`

### cgGLGetMatrixParameterfr

    public static void cgGLGetMatrixParameterfr(CGparameter param,
                                                float[] matrix,
                                                int matrix_offset)

  Interface to C language function:
  `void cgGLGetMatrixParameterfr(CGparameter param, float * matrix);`

### cgGLGetParameter1d

    public static void cgGLGetParameter1d(CGparameter param,
                                          DoubleBuffer v)

  Interface to C language function:
  `void cgGLGetParameter1d(CGparameter param, double * v);`

### cgGLGetParameter1d

    public static void cgGLGetParameter1d(CGparameter param,
                                          double[] v,
                                          int v_offset)

  Interface to C language function:
  `void cgGLGetParameter1d(CGparameter param, double * v);`

### cgGLGetParameter1f

    public static void cgGLGetParameter1f(CGparameter param,
                                          FloatBuffer v)

  Interface to C language function:
  `void cgGLGetParameter1f(CGparameter param, float * v);`

### cgGLGetParameter1f

    public static void cgGLGetParameter1f(CGparameter param,
                                          float[] v,
                                          int v_offset)

  Interface to C language function:
  `void cgGLGetParameter1f(CGparameter param, float * v);`

### cgGLGetParameter2d

    public static void cgGLGetParameter2d(CGparameter param,
                                          DoubleBuffer v)

  Interface to C language function:
  `void cgGLGetParameter2d(CGparameter param, double * v);`

### cgGLGetParameter2d

    public static void cgGLGetParameter2d(CGparameter param,
                                          double[] v,
                                          int v_offset)

  Interface to C language function:
  `void cgGLGetParameter2d(CGparameter param, double * v);`

### cgGLGetParameter2f

    public static void cgGLGetParameter2f(CGparameter param,
                                          FloatBuffer v)

  Interface to C language function:
  `void cgGLGetParameter2f(CGparameter param, float * v);`

### cgGLGetParameter2f

    public static void cgGLGetParameter2f(CGparameter param,
                                          float[] v,
                                          int v_offset)

  Interface to C language function:
  `void cgGLGetParameter2f(CGparameter param, float * v);`

### cgGLGetParameter3d

    public static void cgGLGetParameter3d(CGparameter param,
                                          DoubleBuffer v)

  Interface to C language function:
  `void cgGLGetParameter3d(CGparameter param, double * v);`

### cgGLGetParameter3d

    public static void cgGLGetParameter3d(CGparameter param,
                                          double[] v,
                                          int v_offset)

  Interface to C language function:
  `void cgGLGetParameter3d(CGparameter param, double * v);`

### cgGLGetParameter3f

    public static void cgGLGetParameter3f(CGparameter param,
                                          FloatBuffer v)

  Interface to C language function:
  `void cgGLGetParameter3f(CGparameter param, float * v);`

### cgGLGetParameter3f

    public static void cgGLGetParameter3f(CGparameter param,
                                          float[] v,
                                          int v_offset)

  Interface to C language function:
  `void cgGLGetParameter3f(CGparameter param, float * v);`

### cgGLGetParameter4d

    public static void cgGLGetParameter4d(CGparameter param,
                                          DoubleBuffer v)

  Interface to C language function:
  `void cgGLGetParameter4d(CGparameter param, double * v);`

### cgGLGetParameter4d

    public static void cgGLGetParameter4d(CGparameter param,
                                          double[] v,
                                          int v_offset)

  Interface to C language function:
  `void cgGLGetParameter4d(CGparameter param, double * v);`

### cgGLGetParameter4f

    public static void cgGLGetParameter4f(CGparameter param,
                                          FloatBuffer v)

  Interface to C language function:
  `void cgGLGetParameter4f(CGparameter param, float * v);`

### cgGLGetParameter4f

    public static void cgGLGetParameter4f(CGparameter param,
                                          float[] v,
                                          int v_offset)

  Interface to C language function:
  `void cgGLGetParameter4f(CGparameter param, float * v);`

### cgGLGetParameterArray1d

    public static void cgGLGetParameterArray1d(CGparameter param,
                                               long offset,
                                               long nelements,
                                               DoubleBuffer v)

  Interface to C language function:
  `void cgGLGetParameterArray1d(CGparameter param, long offset, long nelements, double * v);`

### cgGLGetParameterArray1d

    public static void cgGLGetParameterArray1d(CGparameter param,
                                               long offset,
                                               long nelements,
                                               double[] v,
                                               int v_offset)

  Interface to C language function:
  `void cgGLGetParameterArray1d(CGparameter param, long offset, long nelements, double * v);`

### cgGLGetParameterArray1f

    public static void cgGLGetParameterArray1f(CGparameter param,
                                               long offset,
                                               long nelements,
                                               FloatBuffer v)

  Interface to C language function:
  `void cgGLGetParameterArray1f(CGparameter param, long offset, long nelements, float * v);`

### cgGLGetParameterArray1f

    public static void cgGLGetParameterArray1f(CGparameter param,
                                               long offset,
                                               long nelements,
                                               float[] v,
                                               int v_offset)

  Interface to C language function:
  `void cgGLGetParameterArray1f(CGparameter param, long offset, long nelements, float * v);`

### cgGLGetParameterArray2d

    public static void cgGLGetParameterArray2d(CGparameter param,
                                               long offset,
                                               long nelements,
                                               DoubleBuffer v)

  Interface to C language function:
  `void cgGLGetParameterArray2d(CGparameter param, long offset, long nelements, double * v);`

### cgGLGetParameterArray2d

    public static void cgGLGetParameterArray2d(CGparameter param,
                                               long offset,
                                               long nelements,
                                               double[] v,
                                               int v_offset)

  Interface to C language function:
  `void cgGLGetParameterArray2d(CGparameter param, long offset, long nelements, double * v);`

### cgGLGetParameterArray2f

    public static void cgGLGetParameterArray2f(CGparameter param,
                                               long offset,
                                               long nelements,
                                               FloatBuffer v)

  Interface to C language function:
  `void cgGLGetParameterArray2f(CGparameter param, long offset, long nelements, float * v);`

### cgGLGetParameterArray2f

    public static void cgGLGetParameterArray2f(CGparameter param,
                                               long offset,
                                               long nelements,
                                               float[] v,
                                               int v_offset)

  Interface to C language function:
  `void cgGLGetParameterArray2f(CGparameter param, long offset, long nelements, float * v);`

### cgGLGetParameterArray3d

    public static void cgGLGetParameterArray3d(CGparameter param,
                                               long offset,
                                               long nelements,
                                               DoubleBuffer v)

  Interface to C language function:
  `void cgGLGetParameterArray3d(CGparameter param, long offset, long nelements, double * v);`

### cgGLGetParameterArray3d

    public static void cgGLGetParameterArray3d(CGparameter param,
                                               long offset,
                                               long nelements,
                                               double[] v,
                                               int v_offset)

  Interface to C language function:
  `void cgGLGetParameterArray3d(CGparameter param, long offset, long nelements, double * v);`

### cgGLGetParameterArray3f

    public static void cgGLGetParameterArray3f(CGparameter param,
                                               long offset,
                                               long nelements,
                                               FloatBuffer v)

  Interface to C language function:
  `void cgGLGetParameterArray3f(CGparameter param, long offset, long nelements, float * v);`

### cgGLGetParameterArray3f

    public static void cgGLGetParameterArray3f(CGparameter param,
                                               long offset,
                                               long nelements,
                                               float[] v,
                                               int v_offset)

  Interface to C language function:
  `void cgGLGetParameterArray3f(CGparameter param, long offset, long nelements, float * v);`

### cgGLGetParameterArray4d

    public static void cgGLGetParameterArray4d(CGparameter param,
                                               long offset,
                                               long nelements,
                                               DoubleBuffer v)

  Interface to C language function:
  `void cgGLGetParameterArray4d(CGparameter param, long offset, long nelements, double * v);`

### cgGLGetParameterArray4d

    public static void cgGLGetParameterArray4d(CGparameter param,
                                               long offset,
                                               long nelements,
                                               double[] v,
                                               int v_offset)

  Interface to C language function:
  `void cgGLGetParameterArray4d(CGparameter param, long offset, long nelements, double * v);`

### cgGLGetParameterArray4f

    public static void cgGLGetParameterArray4f(CGparameter param,
                                               long offset,
                                               long nelements,
                                               FloatBuffer v)

  Interface to C language function:
  `void cgGLGetParameterArray4f(CGparameter param, long offset, long nelements, float * v);`

### cgGLGetParameterArray4f

    public static void cgGLGetParameterArray4f(CGparameter param,
                                               long offset,
                                               long nelements,
                                               float[] v,
                                               int v_offset)

  Interface to C language function:
  `void cgGLGetParameterArray4f(CGparameter param, long offset, long nelements, float * v);`

### cgGLGetProgramID

    public static int cgGLGetProgramID(CGprogram program)

  Interface to C language function:
  `GLuint cgGLGetProgramID(CGprogram program);`

### cgGLGetTextureEnum

    public static int cgGLGetTextureEnum(CGparameter param)

  Interface to C language function:
  `GLenum cgGLGetTextureEnum(CGparameter param);`

### cgGLGetTextureParameter

    public static int cgGLGetTextureParameter(CGparameter param)

  Interface to C language function:
  `GLuint cgGLGetTextureParameter(CGparameter param);`

### cgGLIsProfileSupported

    public static boolean cgGLIsProfileSupported(int profile)

  Interface to C language function:
  `CGbool cgGLIsProfileSupported(CGprofile profile);`

  Parameters:
    `profile` - valid values are: `CG_PROFILE_START, CG_PROFILE_UNKNOWN, CG_PROFILE_VP20, CG_PROFILE_FP20, CG_PROFILE_VP30, CG_PROFILE_FP30, CG_PROFILE_ARBVP1, CG_PROFILE_FP40, CG_PROFILE_ARBFP1, CG_PROFILE_VP40, CG_PROFILE_VS_1_1, CG_PROFILE_VS_2_0, CG_PROFILE_VS_2_X, CG_PROFILE_PS_1_1, CG_PROFILE_PS_1_2, CG_PROFILE_PS_1_3, CG_PROFILE_PS_2_0, CG_PROFILE_PS_2_X, GENERIC, CG_PROFILE_MAX`

### cgGLIsProgramLoaded

    public static boolean cgGLIsProgramLoaded(CGprogram program)

  Interface to C language function:
  `CGbool cgGLIsProgramLoaded(CGprogram program);`

### cgGLLoadProgram

    public static void cgGLLoadProgram(CGprogram program)

  Interface to C language function:
  `void cgGLLoadProgram(CGprogram program);`

### cgGLRegisterStates

    public static void cgGLRegisterStates(CGcontext arg0)

  Interface to C language function:
  `void cgGLRegisterStates(CGcontext);`

### cgGLSetManageTextureParameters

    public static void cgGLSetManageTextureParameters(CGcontext ctx,
                                                      boolean flag)

  Interface to C language function:
  `void cgGLSetManageTextureParameters(CGcontext ctx, CGbool flag);`

### cgGLSetMatrixParameterArraydc

    public static void cgGLSetMatrixParameterArraydc(CGparameter param,
                                                     long offset,
                                                     long nelements,
                                                     DoubleBuffer matrices)

  Interface to C language function:
  `void cgGLSetMatrixParameterArraydc(CGparameter param, long offset, long nelements, const double * matrices);`

### cgGLSetMatrixParameterArraydc

    public static void cgGLSetMatrixParameterArraydc(CGparameter param,
                                                     long offset,
                                                     long nelements,
                                                     double[] matrices,
                                                     int matrices_offset)

  Interface to C language function:
  `void cgGLSetMatrixParameterArraydc(CGparameter param, long offset, long nelements, const double * matrices);`

### cgGLSetMatrixParameterArraydr

    public static void cgGLSetMatrixParameterArraydr(CGparameter param,
                                                     long offset,
                                                     long nelements,
                                                     DoubleBuffer matrices)

  Interface to C language function:
  `void cgGLSetMatrixParameterArraydr(CGparameter param, long offset, long nelements, const double * matrices);`

### cgGLSetMatrixParameterArraydr

    public static void cgGLSetMatrixParameterArraydr(CGparameter param,
                                                     long offset,
                                                     long nelements,
                                                     double[] matrices,
                                                     int matrices_offset)

  Interface to C language function:
  `void cgGLSetMatrixParameterArraydr(CGparameter param, long offset, long nelements, const double * matrices);`

### cgGLSetMatrixParameterArrayfc

    public static void cgGLSetMatrixParameterArrayfc(CGparameter param,
                                                     long offset,
                                                     long nelements,
                                                     FloatBuffer matrices)

  Interface to C language function:
  `void cgGLSetMatrixParameterArrayfc(CGparameter param, long offset, long nelements, const float * matrices);`

### cgGLSetMatrixParameterArrayfc

    public static void cgGLSetMatrixParameterArrayfc(CGparameter param,
                                                     long offset,
                                                     long nelements,
                                                     float[] matrices,
                                                     int matrices_offset)

  Interface to C language function:
  `void cgGLSetMatrixParameterArrayfc(CGparameter param, long offset, long nelements, const float * matrices);`

### cgGLSetMatrixParameterArrayfr

    public static void cgGLSetMatrixParameterArrayfr(CGparameter param,
                                                     long offset,
                                                     long nelements,
                                                     FloatBuffer matrices)

  Interface to C language function:
  `void cgGLSetMatrixParameterArrayfr(CGparameter param, long offset, long nelements, const float * matrices);`

### cgGLSetMatrixParameterArrayfr

    public static void cgGLSetMatrixParameterArrayfr(CGparameter param,
                                                     long offset,
                                                     long nelements,
                                                     float[] matrices,
                                                     int matrices_offset)

  Interface to C language function:
  `void cgGLSetMatrixParameterArrayfr(CGparameter param, long offset, long nelements, const float * matrices);`

### cgGLSetMatrixParameterdc

    public static void cgGLSetMatrixParameterdc(CGparameter param,
                                                DoubleBuffer matrix)

  Interface to C language function:
  `void cgGLSetMatrixParameterdc(CGparameter param, const double * matrix);`

### cgGLSetMatrixParameterdc

    public static void cgGLSetMatrixParameterdc(CGparameter param,
                                                double[] matrix,
                                                int matrix_offset)

  Interface to C language function:
  `void cgGLSetMatrixParameterdc(CGparameter param, const double * matrix);`

### cgGLSetMatrixParameterdr

    public static void cgGLSetMatrixParameterdr(CGparameter param,
                                                DoubleBuffer matrix)

  Interface to C language function:
  `void cgGLSetMatrixParameterdr(CGparameter param, const double * matrix);`

### cgGLSetMatrixParameterdr

    public static void cgGLSetMatrixParameterdr(CGparameter param,
                                                double[] matrix,
                                                int matrix_offset)

  Interface to C language function:
  `void cgGLSetMatrixParameterdr(CGparameter param, const double * matrix);`

### cgGLSetMatrixParameterfc

    public static void cgGLSetMatrixParameterfc(CGparameter param,
                                                FloatBuffer matrix)

  Interface to C language function:
  `void cgGLSetMatrixParameterfc(CGparameter param, const float * matrix);`

### cgGLSetMatrixParameterfc

    public static void cgGLSetMatrixParameterfc(CGparameter param,
                                                float[] matrix,
                                                int matrix_offset)

  Interface to C language function:
  `void cgGLSetMatrixParameterfc(CGparameter param, const float * matrix);`

### cgGLSetMatrixParameterfr

    public static void cgGLSetMatrixParameterfr(CGparameter param,
                                                FloatBuffer matrix)

  Interface to C language function:
  `void cgGLSetMatrixParameterfr(CGparameter param, const float * matrix);`

### cgGLSetMatrixParameterfr

    public static void cgGLSetMatrixParameterfr(CGparameter param,
                                                float[] matrix,
                                                int matrix_offset)

  Interface to C language function:
  `void cgGLSetMatrixParameterfr(CGparameter param, const float * matrix);`

### cgGLSetOptimalOptions

    public static void cgGLSetOptimalOptions(int profile)

  Interface to C language function:
  `void cgGLSetOptimalOptions(CGprofile profile);`

  Parameters:
    `profile` - valid values are: `CG_PROFILE_START, CG_PROFILE_UNKNOWN, CG_PROFILE_VP20, CG_PROFILE_FP20, CG_PROFILE_VP30, CG_PROFILE_FP30, CG_PROFILE_ARBVP1, CG_PROFILE_FP40, CG_PROFILE_ARBFP1, CG_PROFILE_VP40, CG_PROFILE_VS_1_1, CG_PROFILE_VS_2_0, CG_PROFILE_VS_2_X, CG_PROFILE_PS_1_1, CG_PROFILE_PS_1_2, CG_PROFILE_PS_1_3, CG_PROFILE_PS_2_0, CG_PROFILE_PS_2_X, GENERIC, CG_PROFILE_MAX`

### cgGLSetParameter1d

    public static void cgGLSetParameter1d(CGparameter param,
                                          double x)

  Interface to C language function:
  `void cgGLSetParameter1d(CGparameter param, double x);`

### cgGLSetParameter1dv

    public static void cgGLSetParameter1dv(CGparameter param,
                                           DoubleBuffer v)

  Interface to C language function:
  `void cgGLSetParameter1dv(CGparameter param, const double * v);`

### cgGLSetParameter1dv

    public static void cgGLSetParameter1dv(CGparameter param,
                                           double[] v,
                                           int v_offset)

  Interface to C language function:
  `void cgGLSetParameter1dv(CGparameter param, const double * v);`

### cgGLSetParameter1f

    public static void cgGLSetParameter1f(CGparameter param,
                                          float x)

  Interface to C language function:
  `void cgGLSetParameter1f(CGparameter param, float x);`

### cgGLSetParameter1fv

    public static void cgGLSetParameter1fv(CGparameter param,
                                           FloatBuffer v)

  Interface to C language function:
  `void cgGLSetParameter1fv(CGparameter param, const float * v);`

### cgGLSetParameter1fv

    public static void cgGLSetParameter1fv(CGparameter param,
                                           float[] v,
                                           int v_offset)

  Interface to C language function:
  `void cgGLSetParameter1fv(CGparameter param, const float * v);`

### cgGLSetParameter2d

    public static void cgGLSetParameter2d(CGparameter param,
                                          double x,
                                          double y)

  Interface to C language function:
  `void cgGLSetParameter2d(CGparameter param, double x, double y);`

### cgGLSetParameter2dv

    public static void cgGLSetParameter2dv(CGparameter param,
                                           DoubleBuffer v)

  Interface to C language function:
  `void cgGLSetParameter2dv(CGparameter param, const double * v);`

### cgGLSetParameter2dv

    public static void cgGLSetParameter2dv(CGparameter param,
                                           double[] v,
                                           int v_offset)

  Interface to C language function:
  `void cgGLSetParameter2dv(CGparameter param, const double * v);`

### cgGLSetParameter2f

    public static void cgGLSetParameter2f(CGparameter param,
                                          float x,
                                          float y)

  Interface to C language function:
  `void cgGLSetParameter2f(CGparameter param, float x, float y);`

### cgGLSetParameter2fv

    public static void cgGLSetParameter2fv(CGparameter param,
                                           FloatBuffer v)

  Interface to C language function:
  `void cgGLSetParameter2fv(CGparameter param, const float * v);`

### cgGLSetParameter2fv

    public static void cgGLSetParameter2fv(CGparameter param,
                                           float[] v,
                                           int v_offset)

  Interface to C language function:
  `void cgGLSetParameter2fv(CGparameter param, const float * v);`

### cgGLSetParameter3d

    public static void cgGLSetParameter3d(CGparameter param,
                                          double x,
                                          double y,
                                          double z)

  Interface to C language function:
  `void cgGLSetParameter3d(CGparameter param, double x, double y, double z);`

### cgGLSetParameter3dv

    public static void cgGLSetParameter3dv(CGparameter param,
                                           DoubleBuffer v)

  Interface to C language function:
  `void cgGLSetParameter3dv(CGparameter param, const double * v);`

### cgGLSetParameter3dv

    public static void cgGLSetParameter3dv(CGparameter param,
                                           double[] v,
                                           int v_offset)

  Interface to C language function:
  `void cgGLSetParameter3dv(CGparameter param, const double * v);`

### cgGLSetParameter3f

    public static void cgGLSetParameter3f(CGparameter param,
                                          float x,
                                          float y,
                                          float z)

  Interface to C language function:
  `void cgGLSetParameter3f(CGparameter param, float x, float y, float z);`

### cgGLSetParameter3fv

    public static void cgGLSetParameter3fv(CGparameter param,
                                           FloatBuffer v)

  Interface to C language function:
  `void cgGLSetParameter3fv(CGparameter param, const float * v);`

### cgGLSetParameter3fv

    public static void cgGLSetParameter3fv(CGparameter param,
                                           float[] v,
                                           int v_offset)

  Interface to C language function:
  `void cgGLSetParameter3fv(CGparameter param, const float * v);`

### cgGLSetParameter4d

    public static void cgGLSetParameter4d(CGparameter param,
                                          double x,
                                          double y,
                                          double z,
                                          double w)

  Interface to C language function:
  `void cgGLSetParameter4d(CGparameter param, double x, double y, double z, double w);`

### cgGLSetParameter4dv

    public static void cgGLSetParameter4dv(CGparameter param,
                                           DoubleBuffer v)

  Interface to C language function:
  `void cgGLSetParameter4dv(CGparameter param, const double * v);`

### cgGLSetParameter4dv

    public static void cgGLSetParameter4dv(CGparameter param,
                                           double[] v,
                                           int v_offset)

  Interface to C language function:
  `void cgGLSetParameter4dv(CGparameter param, const double * v);`

### cgGLSetParameter4f

    public static void cgGLSetParameter4f(CGparameter param,
                                          float x,
                                          float y,
                                          float z,
                                          float w)

  Interface to C language function:
  `void cgGLSetParameter4f(CGparameter param, float x, float y, float z, float w);`

### cgGLSetParameter4fv

    public static void cgGLSetParameter4fv(CGparameter param,
                                           FloatBuffer v)

  Interface to C language function:
  `void cgGLSetParameter4fv(CGparameter param, const float * v);`

### cgGLSetParameter4fv

    public static void cgGLSetParameter4fv(CGparameter param,
                                           float[] v,
                                           int v_offset)

  Interface to C language function:
  `void cgGLSetParameter4fv(CGparameter param, const float * v);`

### cgGLSetParameterArray1d

    public static void cgGLSetParameterArray1d(CGparameter param,
                                               long offset,
                                               long nelements,
                                               DoubleBuffer v)

  Interface to C language function:
  `void cgGLSetParameterArray1d(CGparameter param, long offset, long nelements, const double * v);`

### cgGLSetParameterArray1d

    public static void cgGLSetParameterArray1d(CGparameter param,
                                               long offset,
                                               long nelements,
                                               double[] v,
                                               int v_offset)

  Interface to C language function:
  `void cgGLSetParameterArray1d(CGparameter param, long offset, long nelements, const double * v);`

### cgGLSetParameterArray1f

    public static void cgGLSetParameterArray1f(CGparameter param,
                                               long offset,
                                               long nelements,
                                               FloatBuffer v)

  Interface to C language function:
  `void cgGLSetParameterArray1f(CGparameter param, long offset, long nelements, const float * v);`

### cgGLSetParameterArray1f

    public static void cgGLSetParameterArray1f(CGparameter param,
                                               long offset,
                                               long nelements,
                                               float[] v,
                                               int v_offset)

  Interface to C language function:
  `void cgGLSetParameterArray1f(CGparameter param, long offset, long nelements, const float * v);`

### cgGLSetParameterArray2d

    public static void cgGLSetParameterArray2d(CGparameter param,
                                               long offset,
                                               long nelements,
                                               DoubleBuffer v)

  Interface to C language function:
  `void cgGLSetParameterArray2d(CGparameter param, long offset, long nelements, const double * v);`

### cgGLSetParameterArray2d

    public static void cgGLSetParameterArray2d(CGparameter param,
                                               long offset,
                                               long nelements,
                                               double[] v,
                                               int v_offset)

  Interface to C language function:
  `void cgGLSetParameterArray2d(CGparameter param, long offset, long nelements, const double * v);`

### cgGLSetParameterArray2f

    public static void cgGLSetParameterArray2f(CGparameter param,
                                               long offset,
                                               long nelements,
                                               FloatBuffer v)

  Interface to C language function:
  `void cgGLSetParameterArray2f(CGparameter param, long offset, long nelements, const float * v);`

### cgGLSetParameterArray2f

    public static void cgGLSetParameterArray2f(CGparameter param,
                                               long offset,
                                               long nelements,
                                               float[] v,
                                               int v_offset)

  Interface to C language function:
  `void cgGLSetParameterArray2f(CGparameter param, long offset, long nelements, const float * v);`

### cgGLSetParameterArray3d

    public static void cgGLSetParameterArray3d(CGparameter param,
                                               long offset,
                                               long nelements,
                                               DoubleBuffer v)

  Interface to C language function:
  `void cgGLSetParameterArray3d(CGparameter param, long offset, long nelements, const double * v);`

### cgGLSetParameterArray3d

    public static void cgGLSetParameterArray3d(CGparameter param,
                                               long offset,
                                               long nelements,
                                               double[] v,
                                               int v_offset)

  Interface to C language function:
  `void cgGLSetParameterArray3d(CGparameter param, long offset, long nelements, const double * v);`

### cgGLSetParameterArray3f

    public static void cgGLSetParameterArray3f(CGparameter param,
                                               long offset,
                                               long nelements,
                                               FloatBuffer v)

  Interface to C language function:
  `void cgGLSetParameterArray3f(CGparameter param, long offset, long nelements, const float * v);`

### cgGLSetParameterArray3f

    public static void cgGLSetParameterArray3f(CGparameter param,
                                               long offset,
                                               long nelements,
                                               float[] v,
                                               int v_offset)

  Interface to C language function:
  `void cgGLSetParameterArray3f(CGparameter param, long offset, long nelements, const float * v);`

### cgGLSetParameterArray4d

    public static void cgGLSetParameterArray4d(CGparameter param,
                                               long offset,
                                               long nelements,
                                               DoubleBuffer v)

  Interface to C language function:
  `void cgGLSetParameterArray4d(CGparameter param, long offset, long nelements, const double * v);`

### cgGLSetParameterArray4d

    public static void cgGLSetParameterArray4d(CGparameter param,
                                               long offset,
                                               long nelements,
                                               double[] v,
                                               int v_offset)

  Interface to C language function:
  `void cgGLSetParameterArray4d(CGparameter param, long offset, long nelements, const double * v);`

### cgGLSetParameterArray4f

    public static void cgGLSetParameterArray4f(CGparameter param,
                                               long offset,
                                               long nelements,
                                               FloatBuffer v)

  Interface to C language function:
  `void cgGLSetParameterArray4f(CGparameter param, long offset, long nelements, const float * v);`

### cgGLSetParameterArray4f

    public static void cgGLSetParameterArray4f(CGparameter param,
                                               long offset,
                                               long nelements,
                                               float[] v,
                                               int v_offset)

  Interface to C language function:
  `void cgGLSetParameterArray4f(CGparameter param, long offset, long nelements, const float * v);`

### cgGLSetParameterPointer

    public static void cgGLSetParameterPointer(CGparameter param,
                                               int fsize,
                                               int type,
                                               int stride,
                                               Buffer pointer)

  Interface to C language function:
  `void cgGLSetParameterPointer(CGparameter param, GLint fsize, GLenum type, GLsizei stride, const GLvoid * pointer);`

  Parameters:
    `pointer` - a direct `Buffer`

### cgGLSetStateMatrixParameter

    public static void cgGLSetStateMatrixParameter(CGparameter param,
                                                   int matrix,
                                                   int transform)

  Interface to C language function:
  `void cgGLSetStateMatrixParameter(CGparameter param, CGGLenum matrix, CGGLenum transform);`

  Parameters:
    `matrix` - valid values are: `CG_GL_MATRIX_IDENTITY, CG_GL_MATRIX_TRANSPOSE, CG_GL_MATRIX_INVERSE, CG_GL_MATRIX_INVERSE_TRANSPOSE, CG_GL_MODELVIEW_MATRIX, CG_GL_PROJECTION_MATRIX, CG_GL_TEXTURE_MATRIX, CG_GL_MODELVIEW_PROJECTION_MATRIX, CG_GL_VERTEX, CG_GL_FRAGMENT`
    `transform` - valid values are: `CG_GL_MATRIX_IDENTITY, CG_GL_MATRIX_TRANSPOSE, CG_GL_MATRIX_INVERSE, CG_GL_MATRIX_INVERSE_TRANSPOSE, CG_GL_MODELVIEW_MATRIX, CG_GL_PROJECTION_MATRIX, CG_GL_TEXTURE_MATRIX, CG_GL_MODELVIEW_PROJECTION_MATRIX, CG_GL_VERTEX, CG_GL_FRAGMENT`

### cgGLSetTextureParameter

    public static void cgGLSetTextureParameter(CGparameter param,
                                               int texobj)

  Interface to C language function:
  `void cgGLSetTextureParameter(CGparameter param, GLuint texobj);`

### cgGLSetupSampler

    public static void cgGLSetupSampler(CGparameter param,
                                        int texobj)

  Interface to C language function:
  `void cgGLSetupSampler(CGparameter param, GLuint texobj);`

### cgGLUnbindProgram

    public static void cgGLUnbindProgram(int profile)

  Interface to C language function:
  `void cgGLUnbindProgram(CGprofile profile);`

  Parameters:
    `profile` - valid values are: `CG_PROFILE_START, CG_PROFILE_UNKNOWN, CG_PROFILE_VP20, CG_PROFILE_FP20, CG_PROFILE_VP30, CG_PROFILE_FP30, CG_PROFILE_ARBVP1, CG_PROFILE_FP40, CG_PROFILE_ARBFP1, CG_PROFILE_VP40, CG_PROFILE_VS_1_1, CG_PROFILE_VS_2_0, CG_PROFILE_VS_2_X, CG_PROFILE_PS_1_1, CG_PROFILE_PS_1_2, CG_PROFILE_PS_1_3, CG_PROFILE_PS_2_0, CG_PROFILE_PS_2_X, GENERIC, CG_PROFILE_MAX`

### cgGetAnnotationName

    public static String cgGetAnnotationName(CGannotation arg0)

  Interface to C language function:
  `const char * cgGetAnnotationName(CGannotation);`

### cgGetAnnotationType

    public static int cgGetAnnotationType(CGannotation arg0)

  Interface to C language function:
  `CGtype cgGetAnnotationType(CGannotation);`

### cgGetArrayDimension

    public static int cgGetArrayDimension(CGparameter param)

  Interface to C language function:
  `int cgGetArrayDimension(CGparameter param);`

### cgGetArrayParameter

    public static CGparameter cgGetArrayParameter(CGparameter aparam,
                                                  int index)

  Interface to C language function:
  `CGparameter cgGetArrayParameter(CGparameter aparam, int index);`

### cgGetArraySize

    public static int cgGetArraySize(CGparameter param,
                                     int dimension)

  Interface to C language function:
  `int cgGetArraySize(CGparameter param, int dimension);`

### cgGetArrayTotalSize

    public static int cgGetArrayTotalSize(CGparameter param)

  Interface to C language function:
  `int cgGetArrayTotalSize(CGparameter param);`

### cgGetArrayType

    public static int cgGetArrayType(CGparameter param)

  Interface to C language function:
  `CGtype cgGetArrayType(CGparameter param);`

### cgGetAutoCompile

    public static int cgGetAutoCompile(CGcontext ctx)

  Interface to C language function:
  `CGenum cgGetAutoCompile(CGcontext ctx);`

### cgGetConnectedParameter

    public static CGparameter cgGetConnectedParameter(CGparameter param)

  Interface to C language function:
  `CGparameter cgGetConnectedParameter(CGparameter param);`

### cgGetConnectedToParameter

    public static CGparameter cgGetConnectedToParameter(CGparameter param,
                                                        int index)

  Interface to C language function:
  `CGparameter cgGetConnectedToParameter(CGparameter param, int index);`

### cgGetDependentAnnotationParameter

    public static CGparameter cgGetDependentAnnotationParameter(CGannotation arg0,
                                                                int index)

  Interface to C language function:
  `CGparameter cgGetDependentAnnotationParameter(CGannotation, int index);`

### cgGetDependentStateAssignmentParameter

    public static CGparameter cgGetDependentStateAssignmentParameter(CGstateassignment arg0,
                                                                     int index)

  Interface to C language function:
  `CGparameter cgGetDependentStateAssignmentParameter(CGstateassignment, int index);`

### cgGetEffectContext

    public static CGcontext cgGetEffectContext(CGeffect arg0)

  Interface to C language function:
  `CGcontext cgGetEffectContext(CGeffect);`

### cgGetEffectParameterBySemantic

    public static CGparameter cgGetEffectParameterBySemantic(CGeffect arg0,
                                                             String arg1)

  Interface to C language function:
  `CGparameter cgGetEffectParameterBySemantic(CGeffect, const char * );`

### cgGetEnum

    public static int cgGetEnum(String enum_string)

  Interface to C language function:
  `CGenum cgGetEnum(const char * enum_string);`

### cgGetEnumString

    public static String cgGetEnumString(int en)

  Interface to C language function:
  `const char * cgGetEnumString(CGenum en);`

  Parameters:
    `en` - valid values are: `CG_UNKNOWN, CG_IN, CG_OUT, CG_INOUT, CG_MIXED, CG_VARYING, CG_UNIFORM, CG_CONSTANT, CG_PROGRAM_SOURCE, CG_PROGRAM_ENTRY, CG_COMPILED_PROGRAM, CG_PROGRAM_PROFILE, CG_GLOBAL, CG_PROGRAM, CG_DEFAULT, CG_ERROR, CG_SOURCE, CG_OBJECT, CG_COMPILE_MANUAL, CG_COMPILE_IMMEDIATE, CG_COMPILE_LAZY, CG_CURRENT, CG_LITERAL, CG_VERSION, CG_ROW_MAJOR, CG_COLUMN_MAJOR`

### cgGetError

    public static int cgGetError()

  Interface to C language function:
  `CGerror cgGetError(void);`

### cgGetErrorString

    public static String cgGetErrorString(int error)

  Interface to C language function:
  `const char * cgGetErrorString(CGerror error);`

  Parameters:
    `error` - valid values are: `CG_NO_ERROR, CG_COMPILER_ERROR, CG_INVALID_PARAMETER_ERROR, CG_INVALID_PROFILE_ERROR, CG_PROGRAM_LOAD_ERROR, CG_PROGRAM_BIND_ERROR, CG_PROGRAM_NOT_LOADED_ERROR, CG_UNSUPPORTED_GL_EXTENSION_ERROR, CG_INVALID_VALUE_TYPE_ERROR, CG_NOT_MATRIX_PARAM_ERROR, CG_INVALID_ENUMERANT_ERROR, CG_NOT_4x4_MATRIX_ERROR, CG_FILE_READ_ERROR, CG_FILE_WRITE_ERROR, CG_NVPARSE_ERROR, CG_MEMORY_ALLOC_ERROR, CG_INVALID_CONTEXT_HANDLE_ERROR, CG_INVALID_PROGRAM_HANDLE_ERROR, CG_INVALID_PARAM_HANDLE_ERROR, CG_UNKNOWN_PROFILE_ERROR, CG_VAR_ARG_ERROR, CG_INVALID_DIMENSION_ERROR, CG_ARRAY_PARAM_ERROR, CG_OUT_OF_ARRAY_BOUNDS_ERROR, CG_CONFLICTING_TYPES_ERROR, CG_CONFLICTING_PARAMETER_TYPES_ERROR, CG_PARAMETER_IS_NOT_SHARED_ERROR, CG_INVALID_PARAMETER_VARIABILITY_ERROR, CG_CANNOT_DESTROY_PARAMETER_ERROR, CG_NOT_ROOT_PARAMETER_ERROR, CG_PARAMETERS_DO_NOT_MATCH_ERROR, CG_IS_NOT_PROGRAM_PARAMETER_ERROR, CG_INVALID_PARAMETER_TYPE_ERROR, CG_PARAMETER_IS_NOT_RESIZABLE_ARRAY_ERROR, CG_INVALID_SIZE_ERROR, CG_BIND_CREATES_CYCLE_ERROR, CG_ARRAY_TYPES_DO_NOT_MATCH_ERROR, CG_ARRAY_DIMENSIONS_DO_NOT_MATCH_ERROR, CG_ARRAY_HAS_WRONG_DIMENSION_ERROR, CG_TYPE_IS_NOT_DEFINED_IN_PROGRAM_ERROR, CG_INVALID_EFFECT_HANDLE_ERROR, CG_INVALID_STATE_HANDLE_ERROR, CG_INVALID_STATE_ASSIGNMENT_HANDLE_ERROR, CG_INVALID_PASS_HANDLE_ERROR, CG_INVALID_ANNOTATION_HANDLE_ERROR, CG_INVALID_TECHNIQUE_HANDLE_ERROR, CG_INVALID_PARAMETER_HANDLE_ERROR, CG_STATE_ASSIGNMENT_TYPE_MISMATCH_ERROR, CG_INVALID_FUNCTION_HANDLE_ERROR, CG_INVALID_TECHNIQUE_ERROR, CG_INVALID_POINTER_ERROR, CG_NOT_ENOUGH_DATA_ERROR, CG_NON_NUMERIC_PARAMETER_ERROR, CG_ARRAY_SIZE_MISMATCH_ERROR`

### cgGetFirstDependentParameter

    public static CGparameter cgGetFirstDependentParameter(CGparameter param)

  Interface to C language function:
  `CGparameter cgGetFirstDependentParameter(CGparameter param);`

### cgGetFirstEffect

    public static CGeffect cgGetFirstEffect(CGcontext arg0)

  Interface to C language function:
  `CGeffect cgGetFirstEffect(CGcontext);`

### cgGetFirstEffectParameter

    public static CGparameter cgGetFirstEffectParameter(CGeffect arg0)

  Interface to C language function:
  `CGparameter cgGetFirstEffectParameter(CGeffect);`

### cgGetFirstError

    public static int cgGetFirstError()

  Interface to C language function:
  `CGerror cgGetFirstError(void);`

### cgGetFirstLeafEffectParameter

    public static CGparameter cgGetFirstLeafEffectParameter(CGeffect arg0)

  Interface to C language function:
  `CGparameter cgGetFirstLeafEffectParameter(CGeffect);`

### cgGetFirstLeafParameter

    public static CGparameter cgGetFirstLeafParameter(CGprogram prog,
                                                      int name_space)

  Interface to C language function:
  `CGparameter cgGetFirstLeafParameter(CGprogram prog, CGenum name_space);`

  Parameters:
    `name_space` - valid values are: `CG_UNKNOWN, CG_IN, CG_OUT, CG_INOUT, CG_MIXED, CG_VARYING, CG_UNIFORM, CG_CONSTANT, CG_PROGRAM_SOURCE, CG_PROGRAM_ENTRY, CG_COMPILED_PROGRAM, CG_PROGRAM_PROFILE, CG_GLOBAL, CG_PROGRAM, CG_DEFAULT, CG_ERROR, CG_SOURCE, CG_OBJECT, CG_COMPILE_MANUAL, CG_COMPILE_IMMEDIATE, CG_COMPILE_LAZY, CG_CURRENT, CG_LITERAL, CG_VERSION, CG_ROW_MAJOR, CG_COLUMN_MAJOR`

### cgGetFirstParameter

    public static CGparameter cgGetFirstParameter(CGprogram prog,
                                                  int name_space)

  Interface to C language function:
  `CGparameter cgGetFirstParameter(CGprogram prog, CGenum name_space);`

  Parameters:
    `name_space` - valid values are: `CG_UNKNOWN, CG_IN, CG_OUT, CG_INOUT, CG_MIXED, CG_VARYING, CG_UNIFORM, CG_CONSTANT, CG_PROGRAM_SOURCE, CG_PROGRAM_ENTRY, CG_COMPILED_PROGRAM, CG_PROGRAM_PROFILE, CG_GLOBAL, CG_PROGRAM, CG_DEFAULT, CG_ERROR, CG_SOURCE, CG_OBJECT, CG_COMPILE_MANUAL, CG_COMPILE_IMMEDIATE, CG_COMPILE_LAZY, CG_CURRENT, CG_LITERAL, CG_VERSION, CG_ROW_MAJOR, CG_COLUMN_MAJOR`

### cgGetFirstParameterAnnotation

    public static CGannotation cgGetFirstParameterAnnotation(CGparameter arg0)

  Interface to C language function:
  `CGannotation cgGetFirstParameterAnnotation(CGparameter);`

### cgGetFirstPass

    public static CGpass cgGetFirstPass(CGtechnique arg0)

  Interface to C language function:
  `CGpass cgGetFirstPass(CGtechnique);`

### cgGetFirstPassAnnotation

    public static CGannotation cgGetFirstPassAnnotation(CGpass arg0)

  Interface to C language function:
  `CGannotation cgGetFirstPassAnnotation(CGpass);`

### cgGetFirstProgram

    public static CGprogram cgGetFirstProgram(CGcontext ctx)

  Interface to C language function:
  `CGprogram cgGetFirstProgram(CGcontext ctx);`

### cgGetFirstProgramAnnotation

    public static CGannotation cgGetFirstProgramAnnotation(CGprogram arg0)

  Interface to C language function:
  `CGannotation cgGetFirstProgramAnnotation(CGprogram);`

### cgGetFirstSamplerState

    public static CGstate cgGetFirstSamplerState(CGcontext arg0)

  Interface to C language function:
  `CGstate cgGetFirstSamplerState(CGcontext);`

### cgGetFirstSamplerStateAssignment

    public static CGstateassignment cgGetFirstSamplerStateAssignment(CGparameter arg0)

  Interface to C language function:
  `CGstateassignment cgGetFirstSamplerStateAssignment(CGparameter);`

### cgGetFirstState

    public static CGstate cgGetFirstState(CGcontext arg0)

  Interface to C language function:
  `CGstate cgGetFirstState(CGcontext);`

### cgGetFirstStateAssignment

    public static CGstateassignment cgGetFirstStateAssignment(CGpass arg0)

  Interface to C language function:
  `CGstateassignment cgGetFirstStateAssignment(CGpass);`

### cgGetFirstStructParameter

    public static CGparameter cgGetFirstStructParameter(CGparameter param)

  Interface to C language function:
  `CGparameter cgGetFirstStructParameter(CGparameter param);`

### cgGetFirstTechnique

    public static CGtechnique cgGetFirstTechnique(CGeffect arg0)

  Interface to C language function:
  `CGtechnique cgGetFirstTechnique(CGeffect);`

### cgGetFirstTechniqueAnnotation

    public static CGannotation cgGetFirstTechniqueAnnotation(CGtechnique arg0)

  Interface to C language function:
  `CGannotation cgGetFirstTechniqueAnnotation(CGtechnique);`

### cgGetLastErrorString

    public static String cgGetLastErrorString(IntBuffer error)

  Interface to C language function:
  `const char * cgGetLastErrorString(CGerror * error);`

### cgGetLastErrorString

    public static String cgGetLastErrorString(int[] error,
                                              int error_offset)

  Interface to C language function:
  `const char * cgGetLastErrorString(CGerror * error);`

### cgGetLastListing

    public static String cgGetLastListing(CGcontext ctx)

  Interface to C language function:
  `const char * cgGetLastListing(CGcontext ctx);`

### cgGetMatrixParameterdc

    public static void cgGetMatrixParameterdc(CGparameter param,
                                              DoubleBuffer matrix)

  Interface to C language function:
  `void cgGetMatrixParameterdc(CGparameter param, double * matrix);`

### cgGetMatrixParameterdc

    public static void cgGetMatrixParameterdc(CGparameter param,
                                              double[] matrix,
                                              int matrix_offset)

  Interface to C language function:
  `void cgGetMatrixParameterdc(CGparameter param, double * matrix);`

### cgGetMatrixParameterdr

    public static void cgGetMatrixParameterdr(CGparameter param,
                                              DoubleBuffer matrix)

  Interface to C language function:
  `void cgGetMatrixParameterdr(CGparameter param, double * matrix);`

### cgGetMatrixParameterdr

    public static void cgGetMatrixParameterdr(CGparameter param,
                                              double[] matrix,
                                              int matrix_offset)

  Interface to C language function:
  `void cgGetMatrixParameterdr(CGparameter param, double * matrix);`

### cgGetMatrixParameterfc

    public static void cgGetMatrixParameterfc(CGparameter param,
                                              FloatBuffer matrix)

  Interface to C language function:
  `void cgGetMatrixParameterfc(CGparameter param, float * matrix);`

### cgGetMatrixParameterfc

    public static void cgGetMatrixParameterfc(CGparameter param,
                                              float[] matrix,
                                              int matrix_offset)

  Interface to C language function:
  `void cgGetMatrixParameterfc(CGparameter param, float * matrix);`

### cgGetMatrixParameterfr

    public static void cgGetMatrixParameterfr(CGparameter param,
                                              FloatBuffer matrix)

  Interface to C language function:
  `void cgGetMatrixParameterfr(CGparameter param, float * matrix);`

### cgGetMatrixParameterfr

    public static void cgGetMatrixParameterfr(CGparameter param,
                                              float[] matrix,
                                              int matrix_offset)

  Interface to C language function:
  `void cgGetMatrixParameterfr(CGparameter param, float * matrix);`

### cgGetMatrixParameteric

    public static void cgGetMatrixParameteric(CGparameter param,
                                              IntBuffer matrix)

  Interface to C language function:
  `void cgGetMatrixParameteric(CGparameter param, int * matrix);`

### cgGetMatrixParameteric

    public static void cgGetMatrixParameteric(CGparameter param,
                                              int[] matrix,
                                              int matrix_offset)

  Interface to C language function:
  `void cgGetMatrixParameteric(CGparameter param, int * matrix);`

### cgGetMatrixParameterir

    public static void cgGetMatrixParameterir(CGparameter param,
                                              IntBuffer matrix)

  Interface to C language function:
  `void cgGetMatrixParameterir(CGparameter param, int * matrix);`

### cgGetMatrixParameterir

    public static void cgGetMatrixParameterir(CGparameter param,
                                              int[] matrix,
                                              int matrix_offset)

  Interface to C language function:
  `void cgGetMatrixParameterir(CGparameter param, int * matrix);`

### cgGetNamedEffectParameter

    public static CGparameter cgGetNamedEffectParameter(CGeffect arg0,
                                                        String arg1)

  Interface to C language function:
  `CGparameter cgGetNamedEffectParameter(CGeffect, const char * );`

### cgGetNamedParameter

    public static CGparameter cgGetNamedParameter(CGprogram prog,
                                                  String name)

  Interface to C language function:
  `CGparameter cgGetNamedParameter(CGprogram prog, const char * name);`

### cgGetNamedParameterAnnotation

    public static CGannotation cgGetNamedParameterAnnotation(CGparameter arg0,
                                                             String arg1)

  Interface to C language function:
  `CGannotation cgGetNamedParameterAnnotation(CGparameter, const char * );`

### cgGetNamedPass

    public static CGpass cgGetNamedPass(CGtechnique arg0,
                                        String name)

  Interface to C language function:
  `CGpass cgGetNamedPass(CGtechnique, const char * name);`

### cgGetNamedPassAnnotation

    public static CGannotation cgGetNamedPassAnnotation(CGpass arg0,
                                                        String arg1)

  Interface to C language function:
  `CGannotation cgGetNamedPassAnnotation(CGpass, const char * );`

### cgGetNamedProgramAnnotation

    public static CGannotation cgGetNamedProgramAnnotation(CGprogram arg0,
                                                           String arg1)

  Interface to C language function:
  `CGannotation cgGetNamedProgramAnnotation(CGprogram, const char * );`

### cgGetNamedProgramParameter

    public static CGparameter cgGetNamedProgramParameter(CGprogram prog,
                                                         int name_space,
                                                         String name)

  Interface to C language function:
  `CGparameter cgGetNamedProgramParameter(CGprogram prog, CGenum name_space, const char * name);`

  Parameters:
    `name_space` - valid values are: `CG_UNKNOWN, CG_IN, CG_OUT, CG_INOUT, CG_MIXED, CG_VARYING, CG_UNIFORM, CG_CONSTANT, CG_PROGRAM_SOURCE, CG_PROGRAM_ENTRY, CG_COMPILED_PROGRAM, CG_PROGRAM_PROFILE, CG_GLOBAL, CG_PROGRAM, CG_DEFAULT, CG_ERROR, CG_SOURCE, CG_OBJECT, CG_COMPILE_MANUAL, CG_COMPILE_IMMEDIATE, CG_COMPILE_LAZY, CG_CURRENT, CG_LITERAL, CG_VERSION, CG_ROW_MAJOR, CG_COLUMN_MAJOR`

### cgGetNamedSamplerState

    public static CGstate cgGetNamedSamplerState(CGcontext arg0,
                                                 String name)

  Interface to C language function:
  `CGstate cgGetNamedSamplerState(CGcontext, const char * name);`

### cgGetNamedSamplerStateAssignment

    public static CGstateassignment cgGetNamedSamplerStateAssignment(CGparameter arg0,
                                                                     String arg1)

  Interface to C language function:
  `CGstateassignment cgGetNamedSamplerStateAssignment(CGparameter, const char * );`

### cgGetNamedState

    public static CGstate cgGetNamedState(CGcontext arg0,
                                          String name)

  Interface to C language function:
  `CGstate cgGetNamedState(CGcontext, const char * name);`

### cgGetNamedStateAssignment

    public static CGstateassignment cgGetNamedStateAssignment(CGpass arg0,
                                                              String name)

  Interface to C language function:
  `CGstateassignment cgGetNamedStateAssignment(CGpass, const char * name);`

### cgGetNamedStructParameter

    public static CGparameter cgGetNamedStructParameter(CGparameter param,
                                                        String name)

  Interface to C language function:
  `CGparameter cgGetNamedStructParameter(CGparameter param, const char * name);`

### cgGetNamedTechnique

    public static CGtechnique cgGetNamedTechnique(CGeffect arg0,
                                                  String name)

  Interface to C language function:
  `CGtechnique cgGetNamedTechnique(CGeffect, const char * name);`

### cgGetNamedTechniqueAnnotation

    public static CGannotation cgGetNamedTechniqueAnnotation(CGtechnique arg0,
                                                             String arg1)

  Interface to C language function:
  `CGannotation cgGetNamedTechniqueAnnotation(CGtechnique, const char * );`

### cgGetNamedUserType

    public static int cgGetNamedUserType(Buffer handle,
                                         String name)

  Interface to C language function:
  `CGtype cgGetNamedUserType(CGhandle handle, const char * name);`

### cgGetNextAnnotation

    public static CGannotation cgGetNextAnnotation(CGannotation arg0)

  Interface to C language function:
  `CGannotation cgGetNextAnnotation(CGannotation);`

### cgGetNextEffect

    public static CGeffect cgGetNextEffect(CGeffect arg0)

  Interface to C language function:
  `CGeffect cgGetNextEffect(CGeffect);`

### cgGetNextLeafParameter

    public static CGparameter cgGetNextLeafParameter(CGparameter current)

  Interface to C language function:
  `CGparameter cgGetNextLeafParameter(CGparameter current);`

### cgGetNextParameter

    public static CGparameter cgGetNextParameter(CGparameter current)

  Interface to C language function:
  `CGparameter cgGetNextParameter(CGparameter current);`

### cgGetNextPass

    public static CGpass cgGetNextPass(CGpass arg0)

  Interface to C language function:
  `CGpass cgGetNextPass(CGpass);`

### cgGetNextProgram

    public static CGprogram cgGetNextProgram(CGprogram current)

  Interface to C language function:
  `CGprogram cgGetNextProgram(CGprogram current);`

### cgGetNextState

    public static CGstate cgGetNextState(CGstate arg0)

  Interface to C language function:
  `CGstate cgGetNextState(CGstate);`

### cgGetNextStateAssignment

    public static CGstateassignment cgGetNextStateAssignment(CGstateassignment arg0)

  Interface to C language function:
  `CGstateassignment cgGetNextStateAssignment(CGstateassignment);`

### cgGetNextTechnique

    public static CGtechnique cgGetNextTechnique(CGtechnique arg0)

  Interface to C language function:
  `CGtechnique cgGetNextTechnique(CGtechnique);`

### cgGetNumConnectedToParameters

    public static int cgGetNumConnectedToParameters(CGparameter param)

  Interface to C language function:
  `int cgGetNumConnectedToParameters(CGparameter param);`

### cgGetNumDependentAnnotationParameters

    public static int cgGetNumDependentAnnotationParameters(CGannotation arg0)

  Interface to C language function:
  `int cgGetNumDependentAnnotationParameters(CGannotation);`

### cgGetNumDependentStateAssignmentParameters

    public static int cgGetNumDependentStateAssignmentParameters(CGstateassignment arg0)

  Interface to C language function:
  `int cgGetNumDependentStateAssignmentParameters(CGstateassignment);`

### cgGetNumParentTypes

    public static int cgGetNumParentTypes(int type)

  Interface to C language function:
  `int cgGetNumParentTypes(CGtype type);`

  Parameters:
    `type` - valid values are: `CG_UNKNOWN_TYPE, CG_STRUCT, CG_ARRAY, CG_TYPE_START_ENUM, CG_HALF, CG_HALF2, CG_HALF3, CG_HALF4, CG_HALF1x1, CG_HALF1x2, CG_HALF1x3, CG_HALF1x4, CG_HALF2x1, CG_HALF2x2, CG_HALF2x3, CG_HALF2x4, CG_HALF3x1, CG_HALF3x2, CG_HALF3x3, CG_HALF3x4, CG_HALF4x1, CG_HALF4x2, CG_HALF4x3, CG_HALF4x4, CG_FLOAT, CG_FLOAT2, CG_FLOAT3, CG_FLOAT4, CG_FLOAT1x1, CG_FLOAT1x2, CG_FLOAT1x3, CG_FLOAT1x4, CG_FLOAT2x1, CG_FLOAT2x2, CG_FLOAT2x3, CG_FLOAT2x4, CG_FLOAT3x1, CG_FLOAT3x2, CG_FLOAT3x3, CG_FLOAT3x4, CG_FLOAT4x1, CG_FLOAT4x2, CG_FLOAT4x3, CG_FLOAT4x4, CG_SAMPLER1D, CG_SAMPLER2D, CG_SAMPLER3D, CG_SAMPLERRECT, CG_SAMPLERCUBE, CG_FIXED, CG_FIXED2, CG_FIXED3, CG_FIXED4, CG_FIXED1x1, CG_FIXED1x2, CG_FIXED1x3, CG_FIXED1x4, CG_FIXED2x1, CG_FIXED2x2, CG_FIXED2x3, CG_FIXED2x4, CG_FIXED3x1, CG_FIXED3x2, CG_FIXED3x3, CG_FIXED3x4, CG_FIXED4x1, CG_FIXED4x2, CG_FIXED4x3, CG_FIXED4x4, CG_HALF1, CG_FLOAT1, CG_FIXED1, CG_INT, CG_INT1, CG_INT2, CG_INT3, CG_INT4, CG_INT1x1, CG_INT1x2, CG_INT1x3, CG_INT1x4, CG_INT2x1, CG_INT2x2, CG_INT2x3, CG_INT2x4, CG_INT3x1, CG_INT3x2, CG_INT3x3, CG_INT3x4, CG_INT4x1, CG_INT4x2, CG_INT4x3, CG_INT4x4, CG_BOOL, CG_BOOL1, CG_BOOL2, CG_BOOL3, CG_BOOL4, CG_BOOL1x1, CG_BOOL1x2, CG_BOOL1x3, CG_BOOL1x4, CG_BOOL2x1, CG_BOOL2x2, CG_BOOL2x3, CG_BOOL2x4, CG_BOOL3x1, CG_BOOL3x2, CG_BOOL3x3, CG_BOOL3x4, CG_BOOL4x1, CG_BOOL4x2, CG_BOOL4x3, CG_BOOL4x4, CG_STRING, CG_PROGRAM_TYPE, CG_TEXTURE`

### cgGetNumUserTypes

    public static int cgGetNumUserTypes(Buffer handle)

  Interface to C language function:
  `int cgGetNumUserTypes(CGhandle handle);`

### cgGetParameterBaseResource

    public static int cgGetParameterBaseResource(CGparameter param)

  Interface to C language function:
  `CGresource cgGetParameterBaseResource(CGparameter param);`

### cgGetParameterBaseType

    public static int cgGetParameterBaseType(CGparameter param)

  Interface to C language function:
  `CGtype cgGetParameterBaseType(CGparameter param);`

### cgGetParameterClass

    public static int cgGetParameterClass(CGparameter param)

  Interface to C language function:
  `CGparameterclass cgGetParameterClass(CGparameter param);`

### cgGetParameterColumns

    public static int cgGetParameterColumns(CGparameter param)

  Interface to C language function:
  `int cgGetParameterColumns(CGparameter param);`

### cgGetParameterContext

    public static CGcontext cgGetParameterContext(CGparameter param)

  Interface to C language function:
  `CGcontext cgGetParameterContext(CGparameter param);`

### cgGetParameterDirection

    public static int cgGetParameterDirection(CGparameter param)

  Interface to C language function:
  `CGenum cgGetParameterDirection(CGparameter param);`

### cgGetParameterIndex

    public static int cgGetParameterIndex(CGparameter param)

  Interface to C language function:
  `int cgGetParameterIndex(CGparameter param);`

### cgGetParameterName

    public static String cgGetParameterName(CGparameter param)

  Interface to C language function:
  `const char * cgGetParameterName(CGparameter param);`

### cgGetParameterNamedType

    public static int cgGetParameterNamedType(CGparameter param)

  Interface to C language function:
  `CGtype cgGetParameterNamedType(CGparameter param);`

### cgGetParameterOrdinalNumber

    public static int cgGetParameterOrdinalNumber(CGparameter param)

  Interface to C language function:
  `int cgGetParameterOrdinalNumber(CGparameter param);`

### cgGetParameterProgram

    public static CGprogram cgGetParameterProgram(CGparameter param)

  Interface to C language function:
  `CGprogram cgGetParameterProgram(CGparameter param);`

### cgGetParameterResource

    public static int cgGetParameterResource(CGparameter param)

  Interface to C language function:
  `CGresource cgGetParameterResource(CGparameter param);`

### cgGetParameterResourceIndex

    public static long cgGetParameterResourceIndex(CGparameter param)

  Interface to C language function:
  `unsigned long cgGetParameterResourceIndex(CGparameter param);`

### cgGetParameterRows

    public static int cgGetParameterRows(CGparameter param)

  Interface to C language function:
  `int cgGetParameterRows(CGparameter param);`

### cgGetParameterSemantic

    public static String cgGetParameterSemantic(CGparameter param)

  Interface to C language function:
  `const char * cgGetParameterSemantic(CGparameter param);`

### cgGetParameterType

    public static int cgGetParameterType(CGparameter param)

  Interface to C language function:
  `CGtype cgGetParameterType(CGparameter param);`

### cgGetParameterValuedc

    public static int cgGetParameterValuedc(CGparameter param,
                                            int n,
                                            DoubleBuffer vals)

  Interface to C language function:
  `int cgGetParameterValuedc(CGparameter param, int n, double * vals);`

### cgGetParameterValuedc

    public static int cgGetParameterValuedc(CGparameter param,
                                            int n,
                                            double[] vals,
                                            int vals_offset)

  Interface to C language function:
  `int cgGetParameterValuedc(CGparameter param, int n, double * vals);`

### cgGetParameterValuedr

    public static int cgGetParameterValuedr(CGparameter param,
                                            int n,
                                            DoubleBuffer vals)

  Interface to C language function:
  `int cgGetParameterValuedr(CGparameter param, int n, double * vals);`

### cgGetParameterValuedr

    public static int cgGetParameterValuedr(CGparameter param,
                                            int n,
                                            double[] vals,
                                            int vals_offset)

  Interface to C language function:
  `int cgGetParameterValuedr(CGparameter param, int n, double * vals);`

### cgGetParameterValuefc

    public static int cgGetParameterValuefc(CGparameter param,
                                            int n,
                                            FloatBuffer vals)

  Interface to C language function:
  `int cgGetParameterValuefc(CGparameter param, int n, float * vals);`

### cgGetParameterValuefc

    public static int cgGetParameterValuefc(CGparameter param,
                                            int n,
                                            float[] vals,
                                            int vals_offset)

  Interface to C language function:
  `int cgGetParameterValuefc(CGparameter param, int n, float * vals);`

### cgGetParameterValuefr

    public static int cgGetParameterValuefr(CGparameter param,
                                            int n,
                                            FloatBuffer vals)

  Interface to C language function:
  `int cgGetParameterValuefr(CGparameter param, int n, float * vals);`

### cgGetParameterValuefr

    public static int cgGetParameterValuefr(CGparameter param,
                                            int n,
                                            float[] vals,
                                            int vals_offset)

  Interface to C language function:
  `int cgGetParameterValuefr(CGparameter param, int n, float * vals);`

### cgGetParameterValueic

    public static int cgGetParameterValueic(CGparameter param,
                                            int n,
                                            IntBuffer vals)

  Interface to C language function:
  `int cgGetParameterValueic(CGparameter param, int n, int * vals);`

### cgGetParameterValueic

    public static int cgGetParameterValueic(CGparameter param,
                                            int n,
                                            int[] vals,
                                            int vals_offset)

  Interface to C language function:
  `int cgGetParameterValueic(CGparameter param, int n, int * vals);`

### cgGetParameterValueir

    public static int cgGetParameterValueir(CGparameter param,
                                            int n,
                                            IntBuffer vals)

  Interface to C language function:
  `int cgGetParameterValueir(CGparameter param, int n, int * vals);`

### cgGetParameterValueir

    public static int cgGetParameterValueir(CGparameter param,
                                            int n,
                                            int[] vals,
                                            int vals_offset)

  Interface to C language function:
  `int cgGetParameterValueir(CGparameter param, int n, int * vals);`

### cgGetParameterVariability

    public static int cgGetParameterVariability(CGparameter param)

  Interface to C language function:
  `CGenum cgGetParameterVariability(CGparameter param);`

### cgGetParentType

    public static int cgGetParentType(int type,
                                      int index)

  Interface to C language function:
  `CGtype cgGetParentType(CGtype type, int index);`

  Parameters:
    `type` - valid values are: `CG_UNKNOWN_TYPE, CG_STRUCT, CG_ARRAY, CG_TYPE_START_ENUM, CG_HALF, CG_HALF2, CG_HALF3, CG_HALF4, CG_HALF1x1, CG_HALF1x2, CG_HALF1x3, CG_HALF1x4, CG_HALF2x1, CG_HALF2x2, CG_HALF2x3, CG_HALF2x4, CG_HALF3x1, CG_HALF3x2, CG_HALF3x3, CG_HALF3x4, CG_HALF4x1, CG_HALF4x2, CG_HALF4x3, CG_HALF4x4, CG_FLOAT, CG_FLOAT2, CG_FLOAT3, CG_FLOAT4, CG_FLOAT1x1, CG_FLOAT1x2, CG_FLOAT1x3, CG_FLOAT1x4, CG_FLOAT2x1, CG_FLOAT2x2, CG_FLOAT2x3, CG_FLOAT2x4, CG_FLOAT3x1, CG_FLOAT3x2, CG_FLOAT3x3, CG_FLOAT3x4, CG_FLOAT4x1, CG_FLOAT4x2, CG_FLOAT4x3, CG_FLOAT4x4, CG_SAMPLER1D, CG_SAMPLER2D, CG_SAMPLER3D, CG_SAMPLERRECT, CG_SAMPLERCUBE, CG_FIXED, CG_FIXED2, CG_FIXED3, CG_FIXED4, CG_FIXED1x1, CG_FIXED1x2, CG_FIXED1x3, CG_FIXED1x4, CG_FIXED2x1, CG_FIXED2x2, CG_FIXED2x3, CG_FIXED2x4, CG_FIXED3x1, CG_FIXED3x2, CG_FIXED3x3, CG_FIXED3x4, CG_FIXED4x1, CG_FIXED4x2, CG_FIXED4x3, CG_FIXED4x4, CG_HALF1, CG_FLOAT1, CG_FIXED1, CG_INT, CG_INT1, CG_INT2, CG_INT3, CG_INT4, CG_INT1x1, CG_INT1x2, CG_INT1x3, CG_INT1x4, CG_INT2x1, CG_INT2x2, CG_INT2x3, CG_INT2x4, CG_INT3x1, CG_INT3x2, CG_INT3x3, CG_INT3x4, CG_INT4x1, CG_INT4x2, CG_INT4x3, CG_INT4x4, CG_BOOL, CG_BOOL1, CG_BOOL2, CG_BOOL3, CG_BOOL4, CG_BOOL1x1, CG_BOOL1x2, CG_BOOL1x3, CG_BOOL1x4, CG_BOOL2x1, CG_BOOL2x2, CG_BOOL2x3, CG_BOOL2x4, CG_BOOL3x1, CG_BOOL3x2, CG_BOOL3x3, CG_BOOL3x4, CG_BOOL4x1, CG_BOOL4x2, CG_BOOL4x3, CG_BOOL4x4, CG_STRING, CG_PROGRAM_TYPE, CG_TEXTURE`

### cgGetPassName

    public static String cgGetPassName(CGpass arg0)

  Interface to C language function:
  `const char * cgGetPassName(CGpass);`

### cgGetPassTechnique

    public static CGtechnique cgGetPassTechnique(CGpass arg0)

  Interface to C language function:
  `CGtechnique cgGetPassTechnique(CGpass);`

### cgGetProfile

    public static int cgGetProfile(String profile_string)

  Interface to C language function:
  `CGprofile cgGetProfile(const char * profile_string);`

### cgGetProfileString

    public static String cgGetProfileString(int profile)

  Interface to C language function:
  `const char * cgGetProfileString(CGprofile profile);`

  Parameters:
    `profile` - valid values are: `CG_PROFILE_START, CG_PROFILE_UNKNOWN, CG_PROFILE_VP20, CG_PROFILE_FP20, CG_PROFILE_VP30, CG_PROFILE_FP30, CG_PROFILE_ARBVP1, CG_PROFILE_FP40, CG_PROFILE_ARBFP1, CG_PROFILE_VP40, CG_PROFILE_VS_1_1, CG_PROFILE_VS_2_0, CG_PROFILE_VS_2_X, CG_PROFILE_PS_1_1, CG_PROFILE_PS_1_2, CG_PROFILE_PS_1_3, CG_PROFILE_PS_2_0, CG_PROFILE_PS_2_X, GENERIC, CG_PROFILE_MAX`

### cgGetProgramContext

    public static CGcontext cgGetProgramContext(CGprogram prog)

  Interface to C language function:
  `CGcontext cgGetProgramContext(CGprogram prog);`

### cgGetProgramProfile

    public static int cgGetProgramProfile(CGprogram prog)

  Interface to C language function:
  `CGprofile cgGetProgramProfile(CGprogram prog);`

### cgGetProgramStateAssignmentValue

    public static CGprogram cgGetProgramStateAssignmentValue(CGstateassignment arg0)

  Interface to C language function:
  `CGprogram cgGetProgramStateAssignmentValue(CGstateassignment);`

### cgGetProgramString

    public static String cgGetProgramString(CGprogram prog,
                                            int pname)

  Interface to C language function:
  `const char * cgGetProgramString(CGprogram prog, CGenum pname);`

  Parameters:
    `pname` - valid values are: `CG_UNKNOWN, CG_IN, CG_OUT, CG_INOUT, CG_MIXED, CG_VARYING, CG_UNIFORM, CG_CONSTANT, CG_PROGRAM_SOURCE, CG_PROGRAM_ENTRY, CG_COMPILED_PROGRAM, CG_PROGRAM_PROFILE, CG_GLOBAL, CG_PROGRAM, CG_DEFAULT, CG_ERROR, CG_SOURCE, CG_OBJECT, CG_COMPILE_MANUAL, CG_COMPILE_IMMEDIATE, CG_COMPILE_LAZY, CG_CURRENT, CG_LITERAL, CG_VERSION, CG_ROW_MAJOR, CG_COLUMN_MAJOR`

### cgGetResource

    public static int cgGetResource(String resource_string)

  Interface to C language function:
  `CGresource cgGetResource(const char * resource_string);`

### cgGetResourceString

    public static String cgGetResourceString(int resource)

  Interface to C language function:
  `const char * cgGetResourceString(CGresource resource);`

  Parameters:
    `resource` - valid values are: `CG_TEXUNIT0, CG_TEXUNIT1, CG_TEXUNIT2, CG_TEXUNIT3, CG_TEXUNIT4, CG_TEXUNIT5, CG_TEXUNIT6, CG_TEXUNIT7, CG_TEXUNIT8, CG_TEXUNIT9, CG_TEXUNIT10, CG_TEXUNIT11, CG_TEXUNIT12, CG_TEXUNIT13, CG_TEXUNIT14, CG_TEXUNIT15, CG_ATTR0, CG_ATTR1, CG_ATTR2, CG_ATTR3, CG_ATTR4, CG_ATTR5, CG_ATTR6, CG_ATTR7, CG_ATTR8, CG_ATTR9, CG_ATTR10, CG_ATTR11, CG_ATTR12, CG_ATTR13, CG_ATTR14, CG_ATTR15, CG_C, CG_TEX0, CG_TEX1, CG_TEX2, CG_TEX3, CG_TEX4, CG_TEX5, CG_TEX6, CG_TEX7, CG_HPOS, CG_COL0, CG_COL1, CG_COL2, CG_COL3, CG_PSIZ, CG_WPOS, CG_POSITION0, CG_POSITION1, CG_POSITION2, CG_POSITION3, CG_POSITION4, CG_POSITION5, CG_POSITION6, CG_POSITION7, CG_POSITION8, CG_POSITION9, CG_POSITION10, CG_POSITION11, CG_POSITION12, CG_POSITION13, CG_POSITION14, CG_POSITION15, CG_DIFFUSE0, CG_TANGENT0, CG_TANGENT1, CG_TANGENT2, CG_TANGENT3, CG_TANGENT4, CG_TANGENT5, CG_TANGENT6, CG_TANGENT7, CG_TANGENT8, CG_TANGENT9, CG_TANGENT10, CG_TANGENT11, CG_TANGENT12, CG_TANGENT13, CG_TANGENT14, CG_TANGENT15, CG_SPECULAR0, CG_BLENDINDICES0, CG_BLENDINDICES1, CG_BLENDINDICES2, CG_BLENDINDICES3, CG_BLENDINDICES4, CG_BLENDINDICES5, CG_BLENDINDICES6, CG_BLENDINDICES7, CG_BLENDINDICES8, CG_BLENDINDICES9, CG_BLENDINDICES10, CG_BLENDINDICES11, CG_BLENDINDICES12, CG_BLENDINDICES13, CG_BLENDINDICES14, CG_BLENDINDICES15, CG_COLOR0, CG_COLOR1, CG_COLOR2, CG_COLOR3, CG_COLOR4, CG_COLOR5, CG_COLOR6, CG_COLOR7, CG_COLOR8, CG_COLOR9, CG_COLOR10, CG_COLOR11, CG_COLOR12, CG_COLOR13, CG_COLOR14, CG_COLOR15, CG_PSIZE0, CG_PSIZE1, CG_PSIZE2, CG_PSIZE3, CG_PSIZE4, CG_PSIZE5, CG_PSIZE6, CG_PSIZE7, CG_PSIZE8, CG_PSIZE9, CG_PSIZE10, CG_PSIZE11, CG_PSIZE12, CG_PSIZE13, CG_PSIZE14, CG_PSIZE15, CG_BINORMAL0, CG_BINORMAL1, CG_BINORMAL2, CG_BINORMAL3, CG_BINORMAL4, CG_BINORMAL5, CG_BINORMAL6, CG_BINORMAL7, CG_BINORMAL8, CG_BINORMAL9, CG_BINORMAL10, CG_BINORMAL11, CG_BINORMAL12, CG_BINORMAL13, CG_BINORMAL14, CG_BINORMAL15, CG_FOG0, CG_FOG1, CG_FOG2, CG_FOG3, CG_FOG4, CG_FOG5, CG_FOG6, CG_FOG7, CG_FOG8, CG_FOG9, CG_FOG10, CG_FOG11, CG_FOG12, CG_FOG13, CG_FOG14, CG_FOG15, CG_DEPTH0, CG_DEPTH1, CG_DEPTH2, CG_DEPTH3, CG_DEPTH4, CG_DEPTH5, CG_DEPTH6, CG_DEPTH7, CG_DEPTH8, CG_DEPTH9, CG_DEPTH10, CG_DEPTH11, CG_DEPTH12, CG_DEPTH13, CG_DEPTH14, CG_DEPTH15, CG_SAMPLE0, CG_SAMPLE1, CG_SAMPLE2, CG_SAMPLE3, CG_SAMPLE4, CG_SAMPLE5, CG_SAMPLE6, CG_SAMPLE7, CG_SAMPLE8, CG_SAMPLE9, CG_SAMPLE10, CG_SAMPLE11, CG_SAMPLE12, CG_SAMPLE13, CG_SAMPLE14, CG_SAMPLE15, CG_BLENDWEIGHT0, CG_BLENDWEIGHT1, CG_BLENDWEIGHT2, CG_BLENDWEIGHT3, CG_BLENDWEIGHT4, CG_BLENDWEIGHT5, CG_BLENDWEIGHT6, CG_BLENDWEIGHT7, CG_BLENDWEIGHT8, CG_BLENDWEIGHT9, CG_BLENDWEIGHT10, CG_BLENDWEIGHT11, CG_BLENDWEIGHT12, CG_BLENDWEIGHT13, CG_BLENDWEIGHT14, CG_BLENDWEIGHT15, CG_NORMAL0, CG_NORMAL1, CG_NORMAL2, CG_NORMAL3, CG_NORMAL4, CG_NORMAL5, CG_NORMAL6, CG_NORMAL7, CG_NORMAL8, CG_NORMAL9, CG_NORMAL10, CG_NORMAL11, CG_NORMAL12, CG_NORMAL13, CG_NORMAL14, CG_NORMAL15, CG_FOGCOORD, CG_TEXCOORD0, CG_TEXCOORD1, CG_TEXCOORD2, CG_TEXCOORD3, CG_TEXCOORD4, CG_TEXCOORD5, CG_TEXCOORD6, CG_TEXCOORD7, CG_TEXCOORD8, CG_TEXCOORD9, CG_TEXCOORD10, CG_TEXCOORD11, CG_TEXCOORD12, CG_TEXCOORD13, CG_TEXCOORD14, CG_TEXCOORD15, CG_COMBINER_CONST0, CG_COMBINER_CONST1, CG_COMBINER_STAGE_CONST0, CG_COMBINER_STAGE_CONST1, CG_OFFSET_TEXTURE_MATRIX, CG_OFFSET_TEXTURE_SCALE, CG_OFFSET_TEXTURE_BIAS, CG_CONST_EYE, CG_TESSFACTOR, CG_UNDEFINED`

### cgGetSamplerStateAssignmentParameter

    public static CGparameter cgGetSamplerStateAssignmentParameter(CGstateassignment arg0)

  Interface to C language function:
  `CGparameter cgGetSamplerStateAssignmentParameter(CGstateassignment);`

### cgGetSamplerStateAssignmentState

    public static CGstate cgGetSamplerStateAssignmentState(CGstateassignment arg0)

  Interface to C language function:
  `CGstate cgGetSamplerStateAssignmentState(CGstateassignment);`

### cgGetSamplerStateAssignmentValue

    public static CGparameter cgGetSamplerStateAssignmentValue(CGstateassignment arg0)

  Interface to C language function:
  `CGparameter cgGetSamplerStateAssignmentValue(CGstateassignment);`

### cgGetStateAssignmentIndex

    public static int cgGetStateAssignmentIndex(CGstateassignment arg0)

  Interface to C language function:
  `int cgGetStateAssignmentIndex(CGstateassignment);`

### cgGetStateAssignmentPass

    public static CGpass cgGetStateAssignmentPass(CGstateassignment arg0)

  Interface to C language function:
  `CGpass cgGetStateAssignmentPass(CGstateassignment);`

### cgGetStateAssignmentState

    public static CGstate cgGetStateAssignmentState(CGstateassignment arg0)

  Interface to C language function:
  `CGstate cgGetStateAssignmentState(CGstateassignment);`

### cgGetStateName

    public static String cgGetStateName(CGstate arg0)

  Interface to C language function:
  `const char * cgGetStateName(CGstate);`

### cgGetStateType

    public static int cgGetStateType(CGstate arg0)

  Interface to C language function:
  `CGtype cgGetStateType(CGstate);`

### cgGetString

    public static String cgGetString(int sname)

  Interface to C language function:
  `const char * cgGetString(CGenum sname);`

  Parameters:
    `sname` - valid values are: `CG_UNKNOWN, CG_IN, CG_OUT, CG_INOUT, CG_MIXED, CG_VARYING, CG_UNIFORM, CG_CONSTANT, CG_PROGRAM_SOURCE, CG_PROGRAM_ENTRY, CG_COMPILED_PROGRAM, CG_PROGRAM_PROFILE, CG_GLOBAL, CG_PROGRAM, CG_DEFAULT, CG_ERROR, CG_SOURCE, CG_OBJECT, CG_COMPILE_MANUAL, CG_COMPILE_IMMEDIATE, CG_COMPILE_LAZY, CG_CURRENT, CG_LITERAL, CG_VERSION, CG_ROW_MAJOR, CG_COLUMN_MAJOR`

### cgGetStringAnnotationValue

    public static String cgGetStringAnnotationValue(CGannotation arg0)

  Interface to C language function:
  `const char * cgGetStringAnnotationValue(CGannotation);`

### cgGetStringParameterValue

    public static String cgGetStringParameterValue(CGparameter param)

  Interface to C language function:
  `const char * cgGetStringParameterValue(CGparameter param);`

### cgGetStringStateAssignmentValue

    public static String cgGetStringStateAssignmentValue(CGstateassignment arg0)

  Interface to C language function:
  `const char * cgGetStringStateAssignmentValue(CGstateassignment);`

### cgGetTechniqueEffect

    public static CGeffect cgGetTechniqueEffect(CGtechnique arg0)

  Interface to C language function:
  `CGeffect cgGetTechniqueEffect(CGtechnique);`

### cgGetTechniqueName

    public static String cgGetTechniqueName(CGtechnique arg0)

  Interface to C language function:
  `const char * cgGetTechniqueName(CGtechnique);`

### cgGetTextureStateAssignmentValue

    public static CGparameter cgGetTextureStateAssignmentValue(CGstateassignment arg0)

  Interface to C language function:
  `CGparameter cgGetTextureStateAssignmentValue(CGstateassignment);`

### cgGetType

    public static int cgGetType(String type_string)

  Interface to C language function:
  `CGtype cgGetType(const char * type_string);`

### cgGetTypeString

    public static String cgGetTypeString(int type)

  Interface to C language function:
  `const char * cgGetTypeString(CGtype type);`

  Parameters:
    `type` - valid values are: `CG_UNKNOWN_TYPE, CG_STRUCT, CG_ARRAY, CG_TYPE_START_ENUM, CG_HALF, CG_HALF2, CG_HALF3, CG_HALF4, CG_HALF1x1, CG_HALF1x2, CG_HALF1x3, CG_HALF1x4, CG_HALF2x1, CG_HALF2x2, CG_HALF2x3, CG_HALF2x4, CG_HALF3x1, CG_HALF3x2, CG_HALF3x3, CG_HALF3x4, CG_HALF4x1, CG_HALF4x2, CG_HALF4x3, CG_HALF4x4, CG_FLOAT, CG_FLOAT2, CG_FLOAT3, CG_FLOAT4, CG_FLOAT1x1, CG_FLOAT1x2, CG_FLOAT1x3, CG_FLOAT1x4, CG_FLOAT2x1, CG_FLOAT2x2, CG_FLOAT2x3, CG_FLOAT2x4, CG_FLOAT3x1, CG_FLOAT3x2, CG_FLOAT3x3, CG_FLOAT3x4, CG_FLOAT4x1, CG_FLOAT4x2, CG_FLOAT4x3, CG_FLOAT4x4, CG_SAMPLER1D, CG_SAMPLER2D, CG_SAMPLER3D, CG_SAMPLERRECT, CG_SAMPLERCUBE, CG_FIXED, CG_FIXED2, CG_FIXED3, CG_FIXED4, CG_FIXED1x1, CG_FIXED1x2, CG_FIXED1x3, CG_FIXED1x4, CG_FIXED2x1, CG_FIXED2x2, CG_FIXED2x3, CG_FIXED2x4, CG_FIXED3x1, CG_FIXED3x2, CG_FIXED3x3, CG_FIXED3x4, CG_FIXED4x1, CG_FIXED4x2, CG_FIXED4x3, CG_FIXED4x4, CG_HALF1, CG_FLOAT1, CG_FIXED1, CG_INT, CG_INT1, CG_INT2, CG_INT3, CG_INT4, CG_INT1x1, CG_INT1x2, CG_INT1x3, CG_INT1x4, CG_INT2x1, CG_INT2x2, CG_INT2x3, CG_INT2x4, CG_INT3x1, CG_INT3x2, CG_INT3x3, CG_INT3x4, CG_INT4x1, CG_INT4x2, CG_INT4x3, CG_INT4x4, CG_BOOL, CG_BOOL1, CG_BOOL2, CG_BOOL3, CG_BOOL4, CG_BOOL1x1, CG_BOOL1x2, CG_BOOL1x3, CG_BOOL1x4, CG_BOOL2x1, CG_BOOL2x2, CG_BOOL2x3, CG_BOOL2x4, CG_BOOL3x1, CG_BOOL3x2, CG_BOOL3x3, CG_BOOL3x4, CG_BOOL4x1, CG_BOOL4x2, CG_BOOL4x3, CG_BOOL4x4, CG_STRING, CG_PROGRAM_TYPE, CG_TEXTURE`

### cgGetUserType

    public static int cgGetUserType(Buffer handle,
                                    int index)

  Interface to C language function:
  `CGtype cgGetUserType(CGhandle handle, int index);`

### cgIsAnnotation

    public static boolean cgIsAnnotation(CGannotation arg0)

  Interface to C language function:
  `CGbool cgIsAnnotation(CGannotation);`

### cgIsContext

    public static boolean cgIsContext(CGcontext ctx)

  Interface to C language function:
  `CGbool cgIsContext(CGcontext ctx);`

### cgIsEffect

    public static boolean cgIsEffect(CGeffect effect)

  Interface to C language function:
  `CGbool cgIsEffect(CGeffect effect);`

### cgIsInterfaceType

    public static boolean cgIsInterfaceType(int type)

  Interface to C language function:
  `CGbool cgIsInterfaceType(CGtype type);`

  Parameters:
    `type` - valid values are: `CG_UNKNOWN_TYPE, CG_STRUCT, CG_ARRAY, CG_TYPE_START_ENUM, CG_HALF, CG_HALF2, CG_HALF3, CG_HALF4, CG_HALF1x1, CG_HALF1x2, CG_HALF1x3, CG_HALF1x4, CG_HALF2x1, CG_HALF2x2, CG_HALF2x3, CG_HALF2x4, CG_HALF3x1, CG_HALF3x2, CG_HALF3x3, CG_HALF3x4, CG_HALF4x1, CG_HALF4x2, CG_HALF4x3, CG_HALF4x4, CG_FLOAT, CG_FLOAT2, CG_FLOAT3, CG_FLOAT4, CG_FLOAT1x1, CG_FLOAT1x2, CG_FLOAT1x3, CG_FLOAT1x4, CG_FLOAT2x1, CG_FLOAT2x2, CG_FLOAT2x3, CG_FLOAT2x4, CG_FLOAT3x1, CG_FLOAT3x2, CG_FLOAT3x3, CG_FLOAT3x4, CG_FLOAT4x1, CG_FLOAT4x2, CG_FLOAT4x3, CG_FLOAT4x4, CG_SAMPLER1D, CG_SAMPLER2D, CG_SAMPLER3D, CG_SAMPLERRECT, CG_SAMPLERCUBE, CG_FIXED, CG_FIXED2, CG_FIXED3, CG_FIXED4, CG_FIXED1x1, CG_FIXED1x2, CG_FIXED1x3, CG_FIXED1x4, CG_FIXED2x1, CG_FIXED2x2, CG_FIXED2x3, CG_FIXED2x4, CG_FIXED3x1, CG_FIXED3x2, CG_FIXED3x3, CG_FIXED3x4, CG_FIXED4x1, CG_FIXED4x2, CG_FIXED4x3, CG_FIXED4x4, CG_HALF1, CG_FLOAT1, CG_FIXED1, CG_INT, CG_INT1, CG_INT2, CG_INT3, CG_INT4, CG_INT1x1, CG_INT1x2, CG_INT1x3, CG_INT1x4, CG_INT2x1, CG_INT2x2, CG_INT2x3, CG_INT2x4, CG_INT3x1, CG_INT3x2, CG_INT3x3, CG_INT3x4, CG_INT4x1, CG_INT4x2, CG_INT4x3, CG_INT4x4, CG_BOOL, CG_BOOL1, CG_BOOL2, CG_BOOL3, CG_BOOL4, CG_BOOL1x1, CG_BOOL1x2, CG_BOOL1x3, CG_BOOL1x4, CG_BOOL2x1, CG_BOOL2x2, CG_BOOL2x3, CG_BOOL2x4, CG_BOOL3x1, CG_BOOL3x2, CG_BOOL3x3, CG_BOOL3x4, CG_BOOL4x1, CG_BOOL4x2, CG_BOOL4x3, CG_BOOL4x4, CG_STRING, CG_PROGRAM_TYPE, CG_TEXTURE`

### cgIsParameter

    public static boolean cgIsParameter(CGparameter param)

  Interface to C language function:
  `CGbool cgIsParameter(CGparameter param);`

### cgIsParameterGlobal

    public static boolean cgIsParameterGlobal(CGparameter param)

  Interface to C language function:
  `CGbool cgIsParameterGlobal(CGparameter param);`

### cgIsParameterReferenced

    public static boolean cgIsParameterReferenced(CGparameter param)

  Interface to C language function:
  `CGbool cgIsParameterReferenced(CGparameter param);`

### cgIsParameterUsed

    public static boolean cgIsParameterUsed(CGparameter param,
                                            Buffer handle)

  Interface to C language function:
  `CGbool cgIsParameterUsed(CGparameter param, CGhandle handle);`

### cgIsParentType

    public static boolean cgIsParentType(int parent,
                                         int child)

  Interface to C language function:
  `CGbool cgIsParentType(CGtype parent, CGtype child);`

  Parameters:
    `parent` - valid values are: `CG_UNKNOWN_TYPE, CG_STRUCT, CG_ARRAY, CG_TYPE_START_ENUM, CG_HALF, CG_HALF2, CG_HALF3, CG_HALF4, CG_HALF1x1, CG_HALF1x2, CG_HALF1x3, CG_HALF1x4, CG_HALF2x1, CG_HALF2x2, CG_HALF2x3, CG_HALF2x4, CG_HALF3x1, CG_HALF3x2, CG_HALF3x3, CG_HALF3x4, CG_HALF4x1, CG_HALF4x2, CG_HALF4x3, CG_HALF4x4, CG_FLOAT, CG_FLOAT2, CG_FLOAT3, CG_FLOAT4, CG_FLOAT1x1, CG_FLOAT1x2, CG_FLOAT1x3, CG_FLOAT1x4, CG_FLOAT2x1, CG_FLOAT2x2, CG_FLOAT2x3, CG_FLOAT2x4, CG_FLOAT3x1, CG_FLOAT3x2, CG_FLOAT3x3, CG_FLOAT3x4, CG_FLOAT4x1, CG_FLOAT4x2, CG_FLOAT4x3, CG_FLOAT4x4, CG_SAMPLER1D, CG_SAMPLER2D, CG_SAMPLER3D, CG_SAMPLERRECT, CG_SAMPLERCUBE, CG_FIXED, CG_FIXED2, CG_FIXED3, CG_FIXED4, CG_FIXED1x1, CG_FIXED1x2, CG_FIXED1x3, CG_FIXED1x4, CG_FIXED2x1, CG_FIXED2x2, CG_FIXED2x3, CG_FIXED2x4, CG_FIXED3x1, CG_FIXED3x2, CG_FIXED3x3, CG_FIXED3x4, CG_FIXED4x1, CG_FIXED4x2, CG_FIXED4x3, CG_FIXED4x4, CG_HALF1, CG_FLOAT1, CG_FIXED1, CG_INT, CG_INT1, CG_INT2, CG_INT3, CG_INT4, CG_INT1x1, CG_INT1x2, CG_INT1x3, CG_INT1x4, CG_INT2x1, CG_INT2x2, CG_INT2x3, CG_INT2x4, CG_INT3x1, CG_INT3x2, CG_INT3x3, CG_INT3x4, CG_INT4x1, CG_INT4x2, CG_INT4x3, CG_INT4x4, CG_BOOL, CG_BOOL1, CG_BOOL2, CG_BOOL3, CG_BOOL4, CG_BOOL1x1, CG_BOOL1x2, CG_BOOL1x3, CG_BOOL1x4, CG_BOOL2x1, CG_BOOL2x2, CG_BOOL2x3, CG_BOOL2x4, CG_BOOL3x1, CG_BOOL3x2, CG_BOOL3x3, CG_BOOL3x4, CG_BOOL4x1, CG_BOOL4x2, CG_BOOL4x3, CG_BOOL4x4, CG_STRING, CG_PROGRAM_TYPE, CG_TEXTURE`
    `child` - valid values are: `CG_UNKNOWN_TYPE, CG_STRUCT, CG_ARRAY, CG_TYPE_START_ENUM, CG_HALF, CG_HALF2, CG_HALF3, CG_HALF4, CG_HALF1x1, CG_HALF1x2, CG_HALF1x3, CG_HALF1x4, CG_HALF2x1, CG_HALF2x2, CG_HALF2x3, CG_HALF2x4, CG_HALF3x1, CG_HALF3x2, CG_HALF3x3, CG_HALF3x4, CG_HALF4x1, CG_HALF4x2, CG_HALF4x3, CG_HALF4x4, CG_FLOAT, CG_FLOAT2, CG_FLOAT3, CG_FLOAT4, CG_FLOAT1x1, CG_FLOAT1x2, CG_FLOAT1x3, CG_FLOAT1x4, CG_FLOAT2x1, CG_FLOAT2x2, CG_FLOAT2x3, CG_FLOAT2x4, CG_FLOAT3x1, CG_FLOAT3x2, CG_FLOAT3x3, CG_FLOAT3x4, CG_FLOAT4x1, CG_FLOAT4x2, CG_FLOAT4x3, CG_FLOAT4x4, CG_SAMPLER1D, CG_SAMPLER2D, CG_SAMPLER3D, CG_SAMPLERRECT, CG_SAMPLERCUBE, CG_FIXED, CG_FIXED2, CG_FIXED3, CG_FIXED4, CG_FIXED1x1, CG_FIXED1x2, CG_FIXED1x3, CG_FIXED1x4, CG_FIXED2x1, CG_FIXED2x2, CG_FIXED2x3, CG_FIXED2x4, CG_FIXED3x1, CG_FIXED3x2, CG_FIXED3x3, CG_FIXED3x4, CG_FIXED4x1, CG_FIXED4x2, CG_FIXED4x3, CG_FIXED4x4, CG_HALF1, CG_FLOAT1, CG_FIXED1, CG_INT, CG_INT1, CG_INT2, CG_INT3, CG_INT4, CG_INT1x1, CG_INT1x2, CG_INT1x3, CG_INT1x4, CG_INT2x1, CG_INT2x2, CG_INT2x3, CG_INT2x4, CG_INT3x1, CG_INT3x2, CG_INT3x3, CG_INT3x4, CG_INT4x1, CG_INT4x2, CG_INT4x3, CG_INT4x4, CG_BOOL, CG_BOOL1, CG_BOOL2, CG_BOOL3, CG_BOOL4, CG_BOOL1x1, CG_BOOL1x2, CG_BOOL1x3, CG_BOOL1x4, CG_BOOL2x1, CG_BOOL2x2, CG_BOOL2x3, CG_BOOL2x4, CG_BOOL3x1, CG_BOOL3x2, CG_BOOL3x3, CG_BOOL3x4, CG_BOOL4x1, CG_BOOL4x2, CG_BOOL4x3, CG_BOOL4x4, CG_STRING, CG_PROGRAM_TYPE, CG_TEXTURE`

### cgIsPass

    public static boolean cgIsPass(CGpass arg0)

  Interface to C language function:
  `CGbool cgIsPass(CGpass);`

### cgIsProgram

    public static boolean cgIsProgram(CGprogram program)

  Interface to C language function:
  `CGbool cgIsProgram(CGprogram program);`

### cgIsProgramCompiled

    public static boolean cgIsProgramCompiled(CGprogram program)

  Interface to C language function:
  `CGbool cgIsProgramCompiled(CGprogram program);`

### cgIsState

    public static boolean cgIsState(CGstate arg0)

  Interface to C language function:
  `CGbool cgIsState(CGstate);`

### cgIsStateAssignment

    public static boolean cgIsStateAssignment(CGstateassignment arg0)

  Interface to C language function:
  `CGbool cgIsStateAssignment(CGstateassignment);`

### cgIsTechnique

    public static boolean cgIsTechnique(CGtechnique arg0)

  Interface to C language function:
  `CGbool cgIsTechnique(CGtechnique);`

### cgIsTechniqueValidated

    public static boolean cgIsTechniqueValidated(CGtechnique arg0)

  Interface to C language function:
  `CGbool cgIsTechniqueValidated(CGtechnique);`

### cgResetPassState

    public static void cgResetPassState(CGpass arg0)

  Interface to C language function:
  `void cgResetPassState(CGpass);`

### cgSetArraySize

    public static void cgSetArraySize(CGparameter param,
                                      int size)

  Interface to C language function:
  `void cgSetArraySize(CGparameter param, int size);`

### cgSetAutoCompile

    public static void cgSetAutoCompile(CGcontext ctx,
                                        int flag)

  Interface to C language function:
  `void cgSetAutoCompile(CGcontext ctx, CGenum flag);`

  Parameters:
    `flag` - valid values are: `CG_UNKNOWN, CG_IN, CG_OUT, CG_INOUT, CG_MIXED, CG_VARYING, CG_UNIFORM, CG_CONSTANT, CG_PROGRAM_SOURCE, CG_PROGRAM_ENTRY, CG_COMPILED_PROGRAM, CG_PROGRAM_PROFILE, CG_GLOBAL, CG_PROGRAM, CG_DEFAULT, CG_ERROR, CG_SOURCE, CG_OBJECT, CG_COMPILE_MANUAL, CG_COMPILE_IMMEDIATE, CG_COMPILE_LAZY, CG_CURRENT, CG_LITERAL, CG_VERSION, CG_ROW_MAJOR, CG_COLUMN_MAJOR`

### cgSetLastListing

    public static void cgSetLastListing(Buffer handle,
                                        String listing)

  Interface to C language function:
  `void cgSetLastListing(CGhandle handle, const char * listing);`

### cgSetMatrixParameterdc

    public static void cgSetMatrixParameterdc(CGparameter param,
                                              DoubleBuffer matrix)

  Interface to C language function:
  `void cgSetMatrixParameterdc(CGparameter param, const double * matrix);`

### cgSetMatrixParameterdc

    public static void cgSetMatrixParameterdc(CGparameter param,
                                              double[] matrix,
                                              int matrix_offset)

  Interface to C language function:
  `void cgSetMatrixParameterdc(CGparameter param, const double * matrix);`

### cgSetMatrixParameterdr

    public static void cgSetMatrixParameterdr(CGparameter param,
                                              DoubleBuffer matrix)

  Interface to C language function:
  `void cgSetMatrixParameterdr(CGparameter param, const double * matrix);`

### cgSetMatrixParameterdr

    public static void cgSetMatrixParameterdr(CGparameter param,
                                              double[] matrix,
                                              int matrix_offset)

  Interface to C language function:
  `void cgSetMatrixParameterdr(CGparameter param, const double * matrix);`

### cgSetMatrixParameterfc

    public static void cgSetMatrixParameterfc(CGparameter param,
                                              FloatBuffer matrix)

  Interface to C language function:
  `void cgSetMatrixParameterfc(CGparameter param, const float * matrix);`

### cgSetMatrixParameterfc

    public static void cgSetMatrixParameterfc(CGparameter param,
                                              float[] matrix,
                                              int matrix_offset)

  Interface to C language function:
  `void cgSetMatrixParameterfc(CGparameter param, const float * matrix);`

### cgSetMatrixParameterfr

    public static void cgSetMatrixParameterfr(CGparameter param,
                                              FloatBuffer matrix)

  Interface to C language function:
  `void cgSetMatrixParameterfr(CGparameter param, const float * matrix);`

### cgSetMatrixParameterfr

    public static void cgSetMatrixParameterfr(CGparameter param,
                                              float[] matrix,
                                              int matrix_offset)

  Interface to C language function:
  `void cgSetMatrixParameterfr(CGparameter param, const float * matrix);`

### cgSetMatrixParameteric

    public static void cgSetMatrixParameteric(CGparameter param,
                                              IntBuffer matrix)

  Interface to C language function:
  `void cgSetMatrixParameteric(CGparameter param, const int * matrix);`

### cgSetMatrixParameteric

    public static void cgSetMatrixParameteric(CGparameter param,
                                              int[] matrix,
                                              int matrix_offset)

  Interface to C language function:
  `void cgSetMatrixParameteric(CGparameter param, const int * matrix);`

### cgSetMatrixParameterir

    public static void cgSetMatrixParameterir(CGparameter param,
                                              IntBuffer matrix)

  Interface to C language function:
  `void cgSetMatrixParameterir(CGparameter param, const int * matrix);`

### cgSetMatrixParameterir

    public static void cgSetMatrixParameterir(CGparameter param,
                                              int[] matrix,
                                              int matrix_offset)

  Interface to C language function:
  `void cgSetMatrixParameterir(CGparameter param, const int * matrix);`

### cgSetMultiDimArraySize

    public static void cgSetMultiDimArraySize(CGparameter param,
                                              IntBuffer sizes)

  Interface to C language function:
  `void cgSetMultiDimArraySize(CGparameter param, const int * sizes);`

### cgSetMultiDimArraySize

    public static void cgSetMultiDimArraySize(CGparameter param,
                                              int[] sizes,
                                              int sizes_offset)

  Interface to C language function:
  `void cgSetMultiDimArraySize(CGparameter param, const int * sizes);`

### cgSetParameter1d

    public static void cgSetParameter1d(CGparameter param,
                                        double x)

  Interface to C language function:
  `void cgSetParameter1d(CGparameter param, double x);`

### cgSetParameter1dv

    public static void cgSetParameter1dv(CGparameter param,
                                         DoubleBuffer v)

  Interface to C language function:
  `void cgSetParameter1dv(CGparameter param, const double * v);`

### cgSetParameter1dv

    public static void cgSetParameter1dv(CGparameter param,
                                         double[] v,
                                         int v_offset)

  Interface to C language function:
  `void cgSetParameter1dv(CGparameter param, const double * v);`

### cgSetParameter1f

    public static void cgSetParameter1f(CGparameter param,
                                        float x)

  Interface to C language function:
  `void cgSetParameter1f(CGparameter param, float x);`

### cgSetParameter1fv

    public static void cgSetParameter1fv(CGparameter param,
                                         FloatBuffer v)

  Interface to C language function:
  `void cgSetParameter1fv(CGparameter param, const float * v);`

### cgSetParameter1fv

    public static void cgSetParameter1fv(CGparameter param,
                                         float[] v,
                                         int v_offset)

  Interface to C language function:
  `void cgSetParameter1fv(CGparameter param, const float * v);`

### cgSetParameter1i

    public static void cgSetParameter1i(CGparameter param,
                                        int x)

  Interface to C language function:
  `void cgSetParameter1i(CGparameter param, int x);`

### cgSetParameter1iv

    public static void cgSetParameter1iv(CGparameter param,
                                         IntBuffer v)

  Interface to C language function:
  `void cgSetParameter1iv(CGparameter param, const int * v);`

### cgSetParameter1iv

    public static void cgSetParameter1iv(CGparameter param,
                                         int[] v,
                                         int v_offset)

  Interface to C language function:
  `void cgSetParameter1iv(CGparameter param, const int * v);`

### cgSetParameter2d

    public static void cgSetParameter2d(CGparameter param,
                                        double x,
                                        double y)

  Interface to C language function:
  `void cgSetParameter2d(CGparameter param, double x, double y);`

### cgSetParameter2dv

    public static void cgSetParameter2dv(CGparameter param,
                                         DoubleBuffer v)

  Interface to C language function:
  `void cgSetParameter2dv(CGparameter param, const double * v);`

### cgSetParameter2dv

    public static void cgSetParameter2dv(CGparameter param,
                                         double[] v,
                                         int v_offset)

  Interface to C language function:
  `void cgSetParameter2dv(CGparameter param, const double * v);`

### cgSetParameter2f

    public static void cgSetParameter2f(CGparameter param,
                                        float x,
                                        float y)

  Interface to C language function:
  `void cgSetParameter2f(CGparameter param, float x, float y);`

### cgSetParameter2fv

    public static void cgSetParameter2fv(CGparameter param,
                                         FloatBuffer v)

  Interface to C language function:
  `void cgSetParameter2fv(CGparameter param, const float * v);`

### cgSetParameter2fv

    public static void cgSetParameter2fv(CGparameter param,
                                         float[] v,
                                         int v_offset)

  Interface to C language function:
  `void cgSetParameter2fv(CGparameter param, const float * v);`

### cgSetParameter2i

    public static void cgSetParameter2i(CGparameter param,
                                        int x,
                                        int y)

  Interface to C language function:
  `void cgSetParameter2i(CGparameter param, int x, int y);`

### cgSetParameter2iv

    public static void cgSetParameter2iv(CGparameter param,
                                         IntBuffer v)

  Interface to C language function:
  `void cgSetParameter2iv(CGparameter param, const int * v);`

### cgSetParameter2iv

    public static void cgSetParameter2iv(CGparameter param,
                                         int[] v,
                                         int v_offset)

  Interface to C language function:
  `void cgSetParameter2iv(CGparameter param, const int * v);`

### cgSetParameter3d

    public static void cgSetParameter3d(CGparameter param,
                                        double x,
                                        double y,
                                        double z)

  Interface to C language function:
  `void cgSetParameter3d(CGparameter param, double x, double y, double z);`

### cgSetParameter3dv

    public static void cgSetParameter3dv(CGparameter param,
                                         DoubleBuffer v)

  Interface to C language function:
  `void cgSetParameter3dv(CGparameter param, const double * v);`

### cgSetParameter3dv

    public static void cgSetParameter3dv(CGparameter param,
                                         double[] v,
                                         int v_offset)

  Interface to C language function:
  `void cgSetParameter3dv(CGparameter param, const double * v);`

### cgSetParameter3f

    public static void cgSetParameter3f(CGparameter param,
                                        float x,
                                        float y,
                                        float z)

  Interface to C language function:
  `void cgSetParameter3f(CGparameter param, float x, float y, float z);`

### cgSetParameter3fv

    public static void cgSetParameter3fv(CGparameter param,
                                         FloatBuffer v)

  Interface to C language function:
  `void cgSetParameter3fv(CGparameter param, const float * v);`

### cgSetParameter3fv

    public static void cgSetParameter3fv(CGparameter param,
                                         float[] v,
                                         int v_offset)

  Interface to C language function:
  `void cgSetParameter3fv(CGparameter param, const float * v);`

### cgSetParameter3i

    public static void cgSetParameter3i(CGparameter param,
                                        int x,
                                        int y,
                                        int z)

  Interface to C language function:
  `void cgSetParameter3i(CGparameter param, int x, int y, int z);`

### cgSetParameter3iv

    public static void cgSetParameter3iv(CGparameter param,
                                         IntBuffer v)

  Interface to C language function:
  `void cgSetParameter3iv(CGparameter param, const int * v);`

### cgSetParameter3iv

    public static void cgSetParameter3iv(CGparameter param,
                                         int[] v,
                                         int v_offset)

  Interface to C language function:
  `void cgSetParameter3iv(CGparameter param, const int * v);`

### cgSetParameter4d

    public static void cgSetParameter4d(CGparameter param,
                                        double x,
                                        double y,
                                        double z,
                                        double w)

  Interface to C language function:
  `void cgSetParameter4d(CGparameter param, double x, double y, double z, double w);`

### cgSetParameter4dv

    public static void cgSetParameter4dv(CGparameter param,
                                         DoubleBuffer v)

  Interface to C language function:
  `void cgSetParameter4dv(CGparameter param, const double * v);`

### cgSetParameter4dv

    public static void cgSetParameter4dv(CGparameter param,
                                         double[] v,
                                         int v_offset)

  Interface to C language function:
  `void cgSetParameter4dv(CGparameter param, const double * v);`

### cgSetParameter4f

    public static void cgSetParameter4f(CGparameter param,
                                        float x,
                                        float y,
                                        float z,
                                        float w)

  Interface to C language function:
  `void cgSetParameter4f(CGparameter param, float x, float y, float z, float w);`

### cgSetParameter4fv

    public static void cgSetParameter4fv(CGparameter param,
                                         FloatBuffer v)

  Interface to C language function:
  `void cgSetParameter4fv(CGparameter param, const float * v);`

### cgSetParameter4fv

    public static void cgSetParameter4fv(CGparameter param,
                                         float[] v,
                                         int v_offset)

  Interface to C language function:
  `void cgSetParameter4fv(CGparameter param, const float * v);`

### cgSetParameter4i

    public static void cgSetParameter4i(CGparameter param,
                                        int x,
                                        int y,
                                        int z,
                                        int w)

  Interface to C language function:
  `void cgSetParameter4i(CGparameter param, int x, int y, int z, int w);`

### cgSetParameter4iv

    public static void cgSetParameter4iv(CGparameter param,
                                         IntBuffer v)

  Interface to C language function:
  `void cgSetParameter4iv(CGparameter param, const int * v);`

### cgSetParameter4iv

    public static void cgSetParameter4iv(CGparameter param,
                                         int[] v,
                                         int v_offset)

  Interface to C language function:
  `void cgSetParameter4iv(CGparameter param, const int * v);`

### cgSetParameterSemantic

    public static void cgSetParameterSemantic(CGparameter param,
                                              String semantic)

  Interface to C language function:
  `void cgSetParameterSemantic(CGparameter param, const char * semantic);`

### cgSetParameterValuedc

    public static void cgSetParameterValuedc(CGparameter param,
                                             int n,
                                             DoubleBuffer vals)

  Interface to C language function:
  `void cgSetParameterValuedc(CGparameter param, int n, const double * vals);`

### cgSetParameterValuedc

    public static void cgSetParameterValuedc(CGparameter param,
                                             int n,
                                             double[] vals,
                                             int vals_offset)

  Interface to C language function:
  `void cgSetParameterValuedc(CGparameter param, int n, const double * vals);`

### cgSetParameterValuedr

    public static void cgSetParameterValuedr(CGparameter param,
                                             int n,
                                             DoubleBuffer vals)

  Interface to C language function:
  `void cgSetParameterValuedr(CGparameter param, int n, const double * vals);`

### cgSetParameterValuedr

    public static void cgSetParameterValuedr(CGparameter param,
                                             int n,
                                             double[] vals,
                                             int vals_offset)

  Interface to C language function:
  `void cgSetParameterValuedr(CGparameter param, int n, const double * vals);`

### cgSetParameterValuefc

    public static void cgSetParameterValuefc(CGparameter param,
                                             int n,
                                             FloatBuffer vals)

  Interface to C language function:
  `void cgSetParameterValuefc(CGparameter param, int n, const float * vals);`

### cgSetParameterValuefc

    public static void cgSetParameterValuefc(CGparameter param,
                                             int n,
                                             float[] vals,
                                             int vals_offset)

  Interface to C language function:
  `void cgSetParameterValuefc(CGparameter param, int n, const float * vals);`

### cgSetParameterValuefr

    public static void cgSetParameterValuefr(CGparameter param,
                                             int n,
                                             FloatBuffer vals)

  Interface to C language function:
  `void cgSetParameterValuefr(CGparameter param, int n, const float * vals);`

### cgSetParameterValuefr

    public static void cgSetParameterValuefr(CGparameter param,
                                             int n,
                                             float[] vals,
                                             int vals_offset)

  Interface to C language function:
  `void cgSetParameterValuefr(CGparameter param, int n, const float * vals);`

### cgSetParameterValueic

    public static void cgSetParameterValueic(CGparameter param,
                                             int n,
                                             IntBuffer vals)

  Interface to C language function:
  `void cgSetParameterValueic(CGparameter param, int n, const int * vals);`

### cgSetParameterValueic

    public static void cgSetParameterValueic(CGparameter param,
                                             int n,
                                             int[] vals,
                                             int vals_offset)

  Interface to C language function:
  `void cgSetParameterValueic(CGparameter param, int n, const int * vals);`

### cgSetParameterValueir

    public static void cgSetParameterValueir(CGparameter param,
                                             int n,
                                             IntBuffer vals)

  Interface to C language function:
  `void cgSetParameterValueir(CGparameter param, int n, const int * vals);`

### cgSetParameterValueir

    public static void cgSetParameterValueir(CGparameter param,
                                             int n,
                                             int[] vals,
                                             int vals_offset)

  Interface to C language function:
  `void cgSetParameterValueir(CGparameter param, int n, const int * vals);`

### cgSetParameterVariability

    public static void cgSetParameterVariability(CGparameter param,
                                                 int vary)

  Interface to C language function:
  `void cgSetParameterVariability(CGparameter param, CGenum vary);`

  Parameters:
    `vary` - valid values are: `CG_UNKNOWN, CG_IN, CG_OUT, CG_INOUT, CG_MIXED, CG_VARYING, CG_UNIFORM, CG_CONSTANT, CG_PROGRAM_SOURCE, CG_PROGRAM_ENTRY, CG_COMPILED_PROGRAM, CG_PROGRAM_PROFILE, CG_GLOBAL, CG_PROGRAM, CG_DEFAULT, CG_ERROR, CG_SOURCE, CG_OBJECT, CG_COMPILE_MANUAL, CG_COMPILE_IMMEDIATE, CG_COMPILE_LAZY, CG_CURRENT, CG_LITERAL, CG_VERSION, CG_ROW_MAJOR, CG_COLUMN_MAJOR`

### cgSetPassProgramParameters

    public static void cgSetPassProgramParameters(CGprogram arg0)

  Interface to C language function:
  `void cgSetPassProgramParameters(CGprogram);`

### cgSetPassState

    public static void cgSetPassState(CGpass arg0)

  Interface to C language function:
  `void cgSetPassState(CGpass);`

### cgSetProgramProfile

    public static void cgSetProgramProfile(CGprogram prog,
                                           int profile)

  Interface to C language function:
  `void cgSetProgramProfile(CGprogram prog, CGprofile profile);`

  Parameters:
    `profile` - valid values are: `CG_PROFILE_START, CG_PROFILE_UNKNOWN, CG_PROFILE_VP20, CG_PROFILE_FP20, CG_PROFILE_VP30, CG_PROFILE_FP30, CG_PROFILE_ARBVP1, CG_PROFILE_FP40, CG_PROFILE_ARBFP1, CG_PROFILE_VP40, CG_PROFILE_VS_1_1, CG_PROFILE_VS_2_0, CG_PROFILE_VS_2_X, CG_PROFILE_PS_1_1, CG_PROFILE_PS_1_2, CG_PROFILE_PS_1_3, CG_PROFILE_PS_2_0, CG_PROFILE_PS_2_X, GENERIC, CG_PROFILE_MAX`

### cgSetSamplerState

    public static void cgSetSamplerState(CGparameter arg0)

  Interface to C language function:
  `void cgSetSamplerState(CGparameter);`

### cgSetStringParameterValue

    public static void cgSetStringParameterValue(CGparameter param,
                                                 String str)

  Interface to C language function:
  `void cgSetStringParameterValue(CGparameter param, const char * str);`

### cgValidateTechnique

    public static boolean cgValidateTechnique(CGtechnique arg0)

  Interface to C language function:
  `CGbool cgValidateTechnique(CGtechnique);`

### cgCreateProgramFromStream

    public static CGprogram cgCreateProgramFromStream(CGcontext ctx,
                                                      int program_type,
                                                      InputStream stream,
                                                      int profile,
                                                      String entry,
                                                      String[] args)
                                               throws IOException

  A convenience method which reads all available data from the InputStream and then calls cgCreateProgram.

  Throws:
    `IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2005 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.